2005-11-08

	* version 1.0.6

2005-11-08

	* src/ldif.c: ldif_get_line(): バッファオーバーフローを修正。

2005-06-27

	* src/imageview.c: イメージビューからテキストビューに切り替えるとき
	  にクラッシュするのを修正(二之宮さん thanks)。

2005-06-23

	* src/editldap.c: バインドパスワードのエントリを非表示にした。

2005-06-17

	* version 1.0.5

2005-06-14

	* src/mh.c: mh_remove_msg(): 意図せず FolderItem::last_num を 0 に
	  セットしていたバグを修正(間違った未読数表示を引き起こしていた)。

2005-05-26

	* src/summaryview.[ch]: 外部アプリへの DnD ができるようにした。
	* src/utils.c: uri_list_extract_filenames(): URI を正しくパースする
	  ようにした。

2005-05-26

	* src/rfc2015.c: pgp_sign(): 括弧が抜けていたのを修正。
	  signatures が NULL でないかどうかをチェック(特定の条件における
	  クラッシュを修正)。
	* src/sigstatus.c: gpgmegtk_sig_status_to_string(): signature が
	  NULL でないかどうかをチェック。

2005-04-12

	* src/compose.c: compose_write_to_file(): クリア署名されたテキストを
	  エンコードしないようにした。

2005-04-11

	* configure.in: 新しい Mac OS X に対応するために -traditional-cpp を
	  -no-cpp-precomp に変更。

2005-04-05

	* src/send_messages.c: send_message_smtp(): QUIT 直後の EOF を成功と
	  みなすようにした(Gmail の SMTP サーバへの対処)。
	* src/socket.c: ssl_read(), ssl_peek(): SSL プロトコル違反の EOF を
	  チェック。

2005-03-25

	* src/about.c: 著作権の年を更新。

2005-03-24

	* version 1.0.4

2005-03-24

	* src/procmime.c:
	  procmime_scan_content_type()
	  procmime_scan_content_disposition(): スタックバッファオーバー
	  フローを起こす可能性があったのを修正。
	* src/codeconv.c: conv_unmime_header()
	  src/unmime.[ch]: unmime_header(): バッファサイズの引数を追加し、
	  デコードした文字列のサイズを制限し、バッファオーバーフローの
	  可能性を無くした。

2005-03-18

	* src/smtp.c: smtp_ehlo_recv(): AUTH 文字列を厳密にチェック。

2005-03-18

	* src/textview.c: textview_show_html(): 強制的に改行を出力。

2005-03-18

	* src/account.c: account_find_from_message_file(): HeaderEntry 配列
	  の NULL 終端が抜けていたのを追加(再編集時にクラッシュを起こして
	  いた) (Michael Schwendt さん thanks)。

2005-03-04

	* version 1.0.3

2005-03-04

	* src/codeconv.[ch]: バッファオーバーフローを起こしていた
	  conv_unmime_header_overwrite() を削除。
	* src/compose.c: compose_parse_header(): バッファオーバーフローを
	  起こす conv_unmime_header_overwrite() を使用しないようにした。

2005-03-02

	* src/compose.c: compose_destroy(): paned がウィンドウに付属して
	  いない場合のみ destroy するようにした。ポップアップメニューが
	  メモリリークしていたのを修正。

2005-02-28

	* version 1.0.2

2005-02-28

	* src/compose.c: compose_parse_header(): 親メッセージが Message-Id:
	  を持っていない場合でも In-Reply-To: から References: を生成する
	  ようにした(mori さん thanks)。

2005-02-24

	* src/compose.c: compose_write_attach(): PGP 署名のために行末の空白を
	  保護するために転送エンコーディングを強制するようにした。

2005-02-10

	* src/compose.c: compose_write_file(): PGP 署名のために行末の空白を
	  保護するために転送エンコーディングを強制するようにした(gnupg 1.2
	  と 1.4 間の非互換性を修正) (Thorsten Maerz さん thanks)。

2005-02-02

	* INSTALL, INSTALL.jp: gpgme に関する記述を修正。

2005-02-01

	* version 1.0.1

2005-01-28

	* src/select-keys.c: use_untrusted(): alertpanel() を使用するように
	  修正。

2005-01-28

	* gpgme-1.0 に対応(変更点は ChangeLog を参照) (Toshio Kuratomi さん
	  thanks)。

2005-01-25

	* src/template.c: template_write_config(): メモリリークを修正。

2005-01-25

	* src/inc.c: inc_finished(): フォルダが選択されていないときに
	  フォルダアイテムを更新しようとしたときの警告を除去。

2005-01-19

	* src/mh.c
	  src/utils.c
	  src/procmsg.c: 0番のメッセージファイルを無視するようにした。
	  stdio.h で使用されているシンボル 'fileno' を使用しないようにした。
	* src/messageview.c: messageview_show():
	  procmsg_msginfo_get_full_info() が成功したかどうか確認するように
	  した(0番のメッセージを開こうとしたときにクラッシュするのを修正)
	  (若居さん thanks)。

2005-01-11

	* src/template.c: template_write_config(): 潜在的なメモリ破壊バグ
	  を修正。

2005-01-06

	* src/pop.[ch]: Pop3State に POP3_DONE を追加(ログアウトが完了した
	  ときにセットされる)。
	  pop3_write_uidl_list(): POP3 セッションが中断された場合は削除
	  されたメッセージの UIDL を強制的に出力するようにした
	  (とみたまさひろさん thanks)。

2005-01-06

	* src/Makefile.am: CPPFLAGS と YFLAGS の代わりに AM_CPPFLAGS と
	  AM_YFLAGS を使用(ユーザ用に予約されているため)。

2004-12-24

	* version 1.0.0

2004-12-22

	* src/account.c: account_delete(): 対応するフォルダが選択されている
	  ときにリモートアカウントを削除した時にクラッシュするのを修正
	  (Debian BTS #284483)。

2004-12-21

	* NEWS, TODO, TODO.jp: 更新。
	* manual/ja/sylpheed.sgml: 更新。

2004-12-17

	* src/action.c: parse_append_filename(): 全ての特殊文字を引用符なしに
	  エスケープするようにした(IWAMOTO Kouichi さんと Yoichi Imai さん
	  thanks)。
	* AUTHORS: 更新。

2004-12-16

	* INSTALL
	  INSTALL.jp: 動作確認リストを更新。

2004-12-15

	* version 1.0.0rc

2004-12-15

	* src/compose.c: compose_wrap_line_all_full(): 空白挿入のロジックを
	  修正。

2004-12-15

	* manual/ja/sylpheed.sgml: 更新。

2004-12-15

	* src/addrbook.c
	  src/addressbook.c
	  src/addrindex.c
	  src/jpilot.c
	  src/ldif.c
	  src/syldap.c
	  src/vcard.c: '... defined but not used' の警告を除去。

2004-12-13

	* src/compose.c: compose_wrap_line_all_full(): 次の行の最初の文字が
	  空白でない場合、またはマルチバイトとシングルバイトの境界の場合
	  のみ行結合時に空白を挿入するようにした。

2004-12-13

	* src/action.c: parse_append_filename(): 特別文字をエスケープする
	  ようにした(IWAMOTO Kouichi さん thanks)。
	* src/utils.c: subst_for_filename(): シングルクォートも置換する
	  ようにした。

2004-12-10

	* src/compose.c: compose_wrap_line_all_full(): 次の行の最初の文字が
	  英数字でない場合の行の結合の問題を修正。

2004-12-09

	* src/main.c: send_queue()
	  src/mainwindow.c: send_queue_cb()
	  src/compose.c: compose_send(), compose_send_later_cb(): 送信時、
	  オフラインモードのときは ユーザにオンラインに切り替えるように
	  促すようにした。

2004-12-08

	* src/imap.c: bitlength_clean_up.imap.c.patch を適用(64-bit 環境での
	  整数長の問題を修正) (Alfons さん thanks)。

2004-12-03

	* version 1.0.0beta4

2004-12-03

	* src/pixmaps/regular.xpm: 未使用のアイコンを削除。
	* README
	  README.jp: 更新。

2004-12-02

	* src/pop.c: pop3_write_msg_to_file(): 単体の CR を LF に変換しない
	  ようにした(Alfons さん thanks)。
	* src/utils.[ch]: my_memmem(): my_memmem() を独自実装。

2004-12-01

	* manual/ja/sylpheed.sgml: 最新版に追従。

2004-12-01

	* src/pixmaps/unread.xpm: 色合いを調整。

2004-12-01

	* src/filter.c: C99 '//' コメントを削除。

2004-11-30

	* src/pixmaps/dir-close.cpm
	  src/pixmaps/dir-open.xpm
	  src/pixmaps/dir-noselect.xpm
	  src/pixmaps/group.xpm: 色合いを調整。

2004-11-29

	* src/pixmaps/dir-close.cpm
	  src/pixmaps/dir-open.xpm
	  src/pixmaps/dir-noselect.xpm
	  src/pixmaps/group.xpm: 新しい画像で置き換えた。

2004-11-29

	* src/pixmaps/folder.xpm: 削除。

2004-11-26

	* src/summaryview.c: 1文字のカラムタイトルをアイコンに変更。
	* src/pixmaps/mail.xpm: 新規。

2004-11-26

	* src/summaryview.c: summary_execute(): サマリのステータスバー
	  メッセージを pop するようにした。

2004-11-26

	* src/prefs_common.c: Web ブラウザコマンドを追加。

2004-11-26

	* manual/ja/sylpheed.sgml: 最新版に追従。
	* manual/ja/Makefile.am: ターゲット 'update-html' を追加。

2004-11-22

	* INSTALL
	  INSTALL.jp: 動作確認リストを更新。

2004-11-19

	* src/jpilot.c: コーディングスタイルを統一。
	* src/mainwindow.c: 重複するアクセラレータを修正。

2004-11-18

	* src/procmsg.c: write_mark_func(): sizeof(gpointer) != guint となる
	  システムでの誤ったキャストを修正。

2004-11-18

	* src/mainwindow.c: 英語を修正(trashes -> trash)。
	* src/prefs_common.c: prefs_keybind_apply_clicked(): メニュー文字列
	  を更新。

2004-11-18

	* src/mainwindow.c: メニューラベル「ごみ箱を空にする」を「すべての
	  ごみ箱を空にする」に変更。

2004-11-16

	* version 1.0.0beta3

2004-11-16

	* src/pixmaps/error.xpm: CList の行に合うようにより小さなサイズにした。

2004-11-16

	* src/jpilot.c: JPilot アドレス帳の日本語対応パッチを適用
	  (IWAMOTO, Kouichi さん thanks)。

2004-11-15

	* src/compose.c
	  src/procmime.[ch]: 添付するテキストファイル中の 8bit 文字の割合が
	  20% より高ければ BASE64 エンコーディングを使用し、そうでなければ
	  quoted-printable を使用(全くない場合は 7bit)。

2004-11-12

	* src/compose.c: compose_write_attach()
	  src/procmime.c: procmime_decode_content():
	  テキストファイルを BASE64 にエンコードする前に正規化し、デコード
	  した後に正規化を解除して RFC 2045 に準拠するようにした
	  (Nicolas Degory さん thanks)。

2004-11-11

	* src/pixmaps/complete.xpm
	  src/pixmaps/continue.xpm: CList の行に合うようにより小さなサイズ
	  にした。

2004-11-11

	* src/statusbar.c: statusbar_create(): 自動的に伸長しないように
	  ウィジェットの幅を1に指定。
	* src/utils.[ch]: trim_string_before(): 指定した長さを超える先頭の
	  文字を切り詰め、 "..." を追加。
	* src/folderview.c
	  src/summaryview.c: trim_string_before() を使ってフォルダ名を表示
	  するようにした。

2004-11-10

	* src/defs.h
	  src/prefs_common.c: mozilla-firefox をデフォルトのブラウザにした。

2004-11-09

	* src/summaryview.c: summary_key_pressed()
	  src/textview.c: textview_key_pressed(): Shift または Alt とスペース
	  キーが押された場合バックスクロールするようにした。 Shift と Enter
	  キーが押された場合もバックスクロールするようにした。

2004-11-09

	* src/foldersel.c: foldersel_new_folder(): 新規に作成されたフォルダを
	  選択するようにした。

2004-11-08

	* version 1.0.0beta2

2004-11-08

	* src/account.c
	  src/imap.c
	  src/inc.c
	  src/pop.c
	  src/prefs_account.[ch]: RecvProtocol::A_APOP を廃止し、 APOP の
	  オプションを追加。
	  prefs_account_protocol_set_optmenu(): リファクタリング。

2004-11-07

	* src/folderview.c: folderview_empty_trash_cb(): 未使用の変数を削除。

2004-11-05

	* src/summary_search.c: ワイドキャラクタ文字列の代わりに C 文字列
	  を使用。 AND/OR マッチができるようにした。

2004-11-05

	* src/folderview.[ch]
	  src/mainwindow.c: 選択フォルダに応じてファイル/フォルダ と
	  ファイル/メールボックス のメニューのセンシティビティを変更する
	  ようにした。
	  「ファイル/フォルダ/新規フォルダを作成」からニュースグループの
	  購読が行えるようにした。

2004-11-04

	* src/folderview.[ch]
	  src/mainwindow.c: フォルダ/メールボックスのメニューを再構成。
	  メインメニューで「メールボックスを削除」、「新着メッセージを
	  チェック」、「フォルダツリーを再構築」を有効にした。
	  フォルダのコンテキストメニューから「メールボックスを削除」を
	  削除。

2004-11-04

	* src/folderview.c
	  src/mainwindow.c
	  src/procmsg.[ch]: フォルダのコンテキストメニューに「ごみ箱を
	  空にする」を追加。

2004-11-01

	* src/filter.[ch]
	  src/summaryview.c: immediate_execution が off の場合は即座に移動
	  または削除しないようにした。

2004-10-29

	* version 1.0.0beta1

2004-10-29

	* gettext-0.14.1 に更新。

2004-10-28

	* src/compose.c: メニューを再構成。
	* src/mh.c: デバッグ用の g_print() を削除。

2004-10-27

	* src/compose.c
	  src/prefs_template.c
	  src/template.[ch]: テンプレートのパラメータに Cc: を追加。

2004-10-26

	* src/prefs_filter_edit.c: 既存のルールの編集中の条件メニュー切替え
	  の問題を修正。

2004-10-25

	* src/filter.c: filter_action_exec(): ローカルフィルタリング時
	  FolderItem のカウンタを更新するようにした(フォルダビューの
	  メッセージカウントがおかしくなるのを修正)。

2004-10-25

	* src/mbox.c: proc_mbox(): folder_table が NULL かどうかをチェック
	  (警告を修正)。

2004-10-21

	* src/pixmaps/stock_add_16.xpm
	  src/pixmaps/stock_remove_16.xpm: gtk-2.4 のストックアイコンから変換。
	* src/prefs_filter_edit.c: 追加/削除ボタンにアイコンを使用。
	* src/stock_pixmap.[ch]: 追加/削除のアイコンを追加。

2004-10-21

	* src/pixmaps/stock_dialog_error_48.xpm
	  src/pixmaps/stock_dialog_info_48.xpm
	  src/pixmaps/stock_dialog_question_48.xpm
	  src/pixmaps/stock_dialog_warning_48.xpm: gtk-2.4 のストックアイコン
	  からダイアログアイコンを変換。
	* src/alertpanel.[ch]: 警告ダイアログにアイコンを追加。
	  alertpanel_message(): AlertType を追加。
	* src/stock_pixmaps.[ch]: ダイアログアイコンを追加。

2004-10-08

	* src/procmsg.c: 冗長なデバッグ出力を削除。

2004-10-07

	* version 0.9.99

2004-10-07

	* src/procmsg.c: procmsg_send_queue()
	  src/send_message.c: send_queue_info_free(): 不正なキューメッセージ
	  を送信しようとしたときに segmentation fault になるバグを修正。

2004-10-06

	* src/mainwindow.c: ファイルメニューにセパレータを追加。
	* src/prefs_filter_edit.c: いくつかのデバッグ出力を削除。

2004-10-05

	* src/inputdialog.c: input_dialog_open(): 入力ダイアログが開いている
	  間はメールの自動チェックを開始しないようにした。

2004-10-04

	* src/mh.c: mh_remove_all_msg()
	  src/procmsg.c: procmsg_empty_trash(): ごみ箱を空にした後メッセージ
	  数のカウントがおかしくなるのを修正。

2004-10-01

	* src/prefs_filter.c: 自動作成されたルールを追加できないバグを修正。
	* src/prefs_filter_edit.c: prefs_filter_edit_dialog_to_rule(): ルール
	  名が存在するかどうかをチェック。

2004-09-30

	* src/filter.c: filter_apply_msginfo(): FilterRule::enabled == FALSE
	  の場合フィルタを適用しないようにした。
	* src/prefs_filter.c: 「有効」カラムを実装。
	* src/account.c: account_selected(): ダブルクリックの挙動を修正。

2004-09-30

	* src/colorlabel.c: メニューラベルサイズを調整。カラーメニューから
	  「なし」を削除。
	* src/filter.[ch]
	  src/prefs_filter_edit.c: カラーラベルアクションを実装。
	* src/summaryview.c: summary_filter_func(): フラグアクションが実行
	  されたときにサマリのフラグを更新するようにした。

2004-09-29

	* src/prefs_filter_edit.c: カラーラベルを追加。
	* src/colorlabel.c: メニューのラベルのサイズと輪郭線を修正。

2004-09-28

	* src/filter.[ch]
	  src/prefs_filter_edit.c: ルール作成時のエラー処理を改良。

2004-09-28

	* src/prefs_common.c: ビューのデフォルトのサイズを調整。

2004-09-27

	* src/filter.c
	  src/prefs_filter_edit.c: サイズ/経過日数条件を実装。
	* src/menu.[ch]: menu_get_option_menu_active_user_data(): 新規。

2004-09-22

	* src/prefs_filter_edit.c: ヘッダの編集が完了したら以前の項目を
	  選択するようにした。

2004-09-22

	* src/prefs_filter.[ch]
	  src/prefs_filter_edit.c
	  src/procheader.[ch]: ユーザ定義ヘッダのダイアログを実装。

2004-09-17

	* src/filter.c:
	  filter_action_exec(): ローカルフィルタリングを修正。
	  strmatch_regex(): 大小文字無視の正規表現を使用。
	* src/summaryview.[ch]: フィルタ結果をステータスバーに表示。

2004-09-14

	* src/filter.[ch]: フィルタルール適用タイミングを実装。
	* src/prefs_fil_er_edit.c: prefs_filter_edit_action_hbox_set():
	  PF_ACTION_EXEC のパラメータを表示していなかったバグを修正。

2004-09-10

	* src/prefs_filter.c: prefs_filter_write_user_header_list(): fopen()
	  の代わりに prefs_file_open() を使用。

2004-09-10

	* src/defs.h
	  src/prefs_filter.c: ユーザ定義ヘッダリストのロード/セーブを
	  実装。

2004-09-09

	* src/inc.c: inc_spool()
	  src/prefs_common.c: ファイルとディレクトリの両方を指定できるように
	  スプールパスの設定を修正。

2004-09-09

	* src/prefs_filter.[ch]
	  src/prefs_filter_edit.[ch]: メッセージからのフィルタルールの作成
	  を実装。

2004-09-07

	* src/mimeview.c: mimeview_drag_data_get()
	  src/summaryview.c: summary_drag_data_get(): DnD の不正な URI
	  を修正。

2004-09-06

	* src/filter.[ch]
	  src/summaryview.c: ローカルフィルタを修正。
	* src/mh.c: mh_copy_msgs(): 'else' が抜けていたのを修正。

2004-09-06

	* src/foldersel.c: foldersel_new_folder(): 潜在的なメモリ破壊を修正
	  し、追加後にフォルダリストを書き出すようにした。
	* src/summaryview.c: summary_show(): メッセージリストを読み込んだ
	  後に FolderItem::opened フラグを立てるようにした。

2004-09-03

	* src/filter.c
	  src/inc.c
	  src/mbox.c
	  src/mh.c
	  src/procmsg.[ch]
	  src/summaryview.c: FolderItem::mark_queue を使用して新着フラグを
	  正しく扱うようにした。

2004-08-31

	* src/filter.c
	  src/inc.c: 新着フラグ管理の修正。

2004-08-31

	* src/prefs_filter.c: ダイアログを開いた時に最後の行に移動しない
	  ようにした。閉じる時に CList をクリアするようにした。

2004-08-27

	* src/filter.c
	  src/inc.c
	  src/pop.[ch]
	  src/prefs_filter_edit.c
	  src/summaryview.c: FLT_ACTION_EXEC と FLT_ACTION_DELETE を実装。

2004-08-27

	* src/prefs_filter.c: 新規ルールが追加されたら自動スクロールする
	  ようにした。
	  ルールがダブルクリックされたら編集ダイアログを開くようにした。
	  prefs_filter_copy_cb(): 実装。
	* src/prefs_filter_edit.c: アクション「ルールの評価を停止」を実装。

2004-08-26

	* src/filter.[ch]
	  src/inc.c
	  src/mbox.c
	  src/prefs_filter_edit.c
	  src/summaryview.c: FilterResult を FilterInfo に改名し、メンバに
	  account を追加。
	  command test, size, age, account, on-receive 条件を実装。
	* src/mh.c
	  src/procheader.c: procheader_parse_file(): ファイルサイズと
	  タイムスタンプも得るようにした。
	* src/utils.c:
	  execute_async()
	  execute_sync()
	  execute_command_line(): 終了ステータスを返すようにした。

2004-08-26

	* src/filter.[ch]
	  src/inc.c: 実行した全てのアクションタイプを保存。
	  filter_rule_rename_dest_path(): 新システムに合わせて修正。
	  filter_rule_delete_action_by_dest_path(): パスにマッチする
	  アクションを削除。
	* src/mbox.c: proc_mbox(): FLT_ACTION_NOT_RECEIVE を無視するように
	  した。
	* src/prefs_filter.c: prefs_filter_delete_path(): 新システムに
	  合わせて修正。
	* src/summaryview.c:
	  summary_filter()
	  summary_filter_func(): 新システムに合わせて修正。

2004-08-25

	* src/filter.[ch]: メッセージ本文へのマッチを実装。
	* src/procmime.[ch]:
	  procmime_find_string_part()
	  procmime_find_string(): マッチング関数ポインタを受け取るようにした。
	* src/procmsg.[ch]: file_path (一時メッセージのみに使用)を MsgInfo
	  に追加。
	  procmsg_msginfo_copy()
	  procmsg_msginfo_free(): 残りのメンバを扱うようにした。
	* src/summary_search.c: procmime_find_string() のための修正。
	* src/summaryview.c: filter_apply_local() -> filter_apply_msginfo().
	* src/utils.[ch]: 文字列マッチ用関数を追加。
	* src/compose.c
	  src/undo.c: 余分なデバッグメッセージを削除。

2004-08-24

	* 新フィルタリングシステムを実装(現在進行中)。
	* src/defs.h
	  src/filter.[ch]: フィルタリングの XML データの読み書きを実装。
	* src/prefs_filter.[ch]
	  src/prefs_filter_edit.[ch]: 新フィルタリングシステムの UI を実装。
	* src/inc.c
	  src/main.c
	  src/mbox.c
	  src/pop.c
	  src/summaryview.c: 新フィルタリングシステムに合わせて修正。
	* src/menu.h: MENUITEM_ADD(): label が NULL の場合セパレータを作成
	  するようにした。
	* src/procheader.[ch]: ユーティリティ関数を追加。
	* src/utils.c: open_uri(): 警告メッセージを修正。

2004-08-09

	* src/main.c: "./gtkrc" をパースしないようにした。

2004-08-04

	* src/socket.c:
	  ssl_read()
	  ssl_peek(): データの読み込みの前に SSL をチェックするようにした
	  (ソケットが破壊されたときのフリーズを修正)。
	* src/session.[ch]: session_set_access_time(): 新規。
	* src/imap.c
	  src/news.c
	  src/nntp.c: サーバの応答の受信に成功したときのみ last_access_time
	  を更新するようにした。
	* 上記について Cedric Pradalier さん thanks。

2004-07-23

	* src/xml.[ch]: コードの整理といくつかの関数の追加。

2004-07-16

	* src/pop.[ch]: pop3_getrange_uidl_recv(): 無効な UIDL のチェックを
	  緩めた。

2004-07-16

	* src/account.[ch]
	  src/main.c
	  src/prefs.[ch]
	  src/prefs_account.[ch]
	  src/prefs_common.[ch]: *_{save,write}_config() を *_write_config()
	  に統一。

2004-06-30

	* src/procheader.c:
	  procheader_get_one_field()
	  procheader_get_unfolded_line(): シーケンス 'SP CR LF' が出現
	  したときに折り返し解除処理が正しく動作しないバグを修正
	  (NOGUCHI, Takuya さん thanks)。

2004-06-23

	* src/prefs_common.c: confirm_on_exit のデフォルトを FALSE にした。

2004-06-23

	* src/menu.[ch]: menu_set_active() を追加。
	* src/compose.c: アカウントを選択するときに「表示/自動整形」モードを
	  切り替えないようにした。

2004-06-23

	* src/compose.[ch]: メッセージ作成ウィンドウから自動整形を切り替え
	  られるようにした。

2004-06-17

	* version 0.9.12

2004-06-17

	* src/session.c: session_set_timeout(): interval が 0 のとき
	  timeout_tag をリセットしていなかったバグを修正。

2004-06-16

	* src/gtkstext.c: gtk_stext_update_text(): cache の null チェックを
	  追加(Jim Hranicky さん thanks)。

2004-06-15

	* src/defs.h: 特定のプラットフォーム(例: FreeBSD)におけるキャッシュ
	  の非互換性問題に対処するために CACHE_VERSION を増加。
	* src/procmsg.c: procmsg_read_cache(): エラーが発生したら読み込んだ
	  キャッシュデータを全て破棄するようにした。

2004-06-10

	* src/summaryview.[ch]: 使用不可能なときは「再編集」メニューを隠す
	  ようにした。

2004-06-08

	* src/inc.[ch]
	  src/send_message.c
	  src/session.[ch]: セッションのタイムアウトを実装。
	* src/pop.h: Pop3ErrorValue から未使用の値を削除。

2004-06-07

	* src/inc.c: inc_all_account_mail(): コードの整理。

2004-06-03

	* src/procmsg.c: procmsg_read_cache_data_str(): いくつかの環境のため
	  に gint32 を guint32 に変更。
	* src/summaryview.c: 「印刷」メニューを復活し、「振り分けルールを
	  作成」メニューを削除。

2004-06-01

	* src/about.c: 著作権の年を修正。

2004-05-28

	* version 0.9.11

2004-05-21

	* src/smtp.c: RFC 2821 に準拠(Alfons さん thanks)。

2004-05-20

	* src/folderview.[ch]: スプリングローデッドフォルダを実装。

2004-05-20

	* src/folderview.c: folderview_button_pressed(): 開いているフォルダ
	  が選択されたときのみ「メッセージを検索...」メニュー項目を有効に
	  するようにした。

2004-05-19

	* src/compose.c
	  src/prefs_common.[ch]: 「送信に失敗したメッセージを送信待ちに
	  入れる」オプションを削除。

2004-05-18

	* src/summaryview.c: コンテキストメニューを整理。
	* src/mainwindow.c: メニュー項目 '/メッセージ/再編集' の位置を変更。

2004-05-12

	* src/procmsg.[ch]: キャッシュデータの整数値の型を g(u)int32 に
	  固定。

2004-05-11

	* src/nntp.c: nntp_get_article(): broken なニュースサーバのために
	  応答のプロトコルエラーを無視するようにした(Davide Scola さん
	  thanks)。

2004-05-11

	* src/gtkutils.[ch]: gtkut_editable_disable_im() を追加。
	* src/passphrase.c: パスフレーズの入力時に XIM を無効にした。

2004-05-11

	* src/compose.c
	  src/folderview.c
	  src/inc.c
	  src/prefs_display_header.c
	  src/procmsg.h: AMD64 (とその他64-bitプラットフォーム)　のための
	  修正(Hiroyuki Ikezoe さん thanks)。

2004-05-10

	* src/inc.[ch]: gtk_timeout_add() を使用せず、代わりに
	  gettimeofday() を使用(稀にロックアップするのを防ぐため)。

2004-03-19

	* src/defs.h
	  src/inc.[ch]: 進捗ダイアログの更新方法を変更し、高速なネットワーク
	  におけるオーバーヘッドを軽減。

2004-03-16

	* src/nntp.c: nntp_session_new(): セッションの開始時に認証を試みる
	  ようにした(Shiino Yuki さん、 IWAMOTO, Kouichi さん thanks)。
	* src/news.c
	  src/nntp.c: ソケットエラーが発生したときはセッションを破棄する
	  ようにした。

2004-03-12

	* src/mainwindow.c
	  src/summaryview.[ch]: 選択中のメッセージを振り分ける機能を追加。

2004-03-12

	* src/filter.[ch]
	  src/prefs_filter.c: フィルタシステムを再実装(UI は未実装)。

2004-03-09

	* src/filter.c: 「含まない」フラグのマッチングアルゴリズムを修正
	  (ヘッダが存在しない場合でもマッチし、複数の同一ヘッダを正しく扱う
	  ようにした)。
	* src/imageview.c: get_resized_size(): リサイズの問題を起こしていた
	  typo を修正。

2004-03-02

	* src/folder.c
	  src/mh.c: MH フォルダの最後の番号のメッセージを削除したとき
	  FolderItem::last_num のみを更新し、その他の場合はスキャンしない
	  ようにした(移動時にメッセージ数の計算を誤るバグを修正)。

2004-03-02

	* src/folderview.c
	  src/summaryview.c: DnD 使用時は常にデフォルトでメッセージを移動する
	  ようにした(ニュースフォルダを除く)。 Ctrl キーが押された場合は
	  メッセージをコピーするようにした。
	* src/mainwindow.c: main_window_empty_trash()
	  src/summaryview.c: summary_execute(): 不足していた
	  statusbar_pop_all() を追加。

2004-02-29

	* version 0.9.10

2004-02-26

	* src/prefs_common.c: "inc_local" のデフォルトを FALSE にした。

2004-02-26

	* src/account.c
	  src/folderview.c: IMAP4 アカウントをチェックするときはオンライン
	  モードに切り替えるようにした。その後ステータスバーを pop するように
	  した。
	* src/inc.c: コードの整理。
	* src/mainwindow.[ch]: main_window_get() と
	  main_window_toggle_online_if_offline() を追加。
	* src/prefs_common.c: prefs_common_read_config(): 初回起動時に
	  オフラインモードにしてしまっていたバグを修正。

2004-02-25

	* src/imageview.c: ウィンドウのリサイズ時に自動リサイズするようにした。
	  クラッシュを防ぐために最小サイズを16ピクセルに制限。
	  imageview_init(): imlib 使用時は画像をキャッシュしないようにした。
	  imageview_show_image(): メモリリークを修正。
	* src/mimeview.c: mimeview_init(): imageview_init() を呼ぶようにした。

2004-02-24

	* src/codeconv.[ch]: ISO-2022-JP-3 エンコーディングを追加。

2004-02-24

	* src/codeconv.c
	  src/mainwindow.c
	  src/messageview.c: KOI8-U エンコーディングを追加。
	* src/prefs_common.c: prefs_message_create(): 画像リサイズオプション
	  の文字列を修正。

2004-02-19

	* src/addressbook.c: addressbook_list_selected(): 引数を修正。
	* src/imageview.[ch]: 元の画像データを ImageView に保持し、
	  リサイズの切り替えができるようにした。
	* src/messageview.[ch]
	  src/mimeview.[ch]: MessageView でなく MimeView で ImageView を
	  扱うようにした。

2004-02-16

	* src/imap.c
	  src/news.c
	  src/summaryview.c: imap.c と news.c から statusbar_pop_all() を
	  除去(summaryview.c 内で実行)。

2004-02-12

	* src/inc.[ch]
	  src/pop.[ch]: inc_drop_message() を Pop3Session の仮想関数にし、
	  pop3.c の inc.h への依存を除去。

2004-02-12

	* src/mainwindow.c
	  src/messageview.[ch]
	  src/textview.c: 新規ウィンドウのメッセージビューにステータスバーを
	  追加。

2004-02-10

	* src/inc.[ch]: 逐次更新にハッシュテーブルを使用。
	  更新間隔を2秒に変更。
	* src/folder.[ch]
	  src/mh.c
	  src/procmsg.c
	  src/summaryview.c: フォルダのメッセージ数の集計を補正するために
	  FolderItem::unmarked_num を追加。

2004-02-09

	* src/inc.[ch]: フォルダビューを逐次更新するようにした。
	* src/foldersel.c: 選択項目の完全な ID を表示。

2004-02-06

	* src/folderview.[ch]: コードの整理。
	  folderview_append_item(): 新規。フォルダをフォルダビューに追加する。
	* src/foldersel.c: foldersel_new_folder(): folderview_append_item()
	  を使用。

2004-02-06

	* src/foldersel.c: 「新規フォルダを作成」機能を実装。
	* src/folder.[ch]: folder_find_child_item_by_name(): 新規。
	* src/utils.h: AUTORELEASE_STR(): malloc 文字列を自動開放(alloca)
	  文字列に変換。

2004-02-05

	* src/folderview.c: folderview_new_imap_folder_cb() を
	  folderview_new_folder_cb() にまとめた。

2004-02-04

	* src/compose.c: compose_write_to_file(): 無駄な strlen() を除去
	  (Alfons さん thanks)。
	* src/textview.c: textview_button_pressed(): アドレスをクリックした
	  とき正しいアカウントを選択するようにした。

2004-01-29

	* version 0.9.9

2004-01-29

	* src/folder.c: folder_item_fetch_all_msg()
	  src/folderview.c: folderview_download_cb(): 進捗をプログレスバーで
	  表示。
	* src/mainwindow.[ch]: 新たにプログレスバー用の関数を追加。

2004-01-29

	* src/summaryview.c: summary_key_pressed(): サマリビューの水平
	  スクロールバーが左端にあるときのみ GDK_Left でフォルダビューに
	  切り替えるようにした(Alfons さん thanks)。

2004-01-29

	* src/codeconv.c: conv_euctojis(): JIS X 0201 カナ変換を設定可能に
	  した。
	* src/prefs_common.[ch]: PrefsCommon::allow_jisx0201_kana (隠し設定)
	  を追加。

2004-01-28

	* src/codeconv.c: conv_euctojis(): JIS X 0201 カナから JIS X 0208
	  へ強制的に変換するようにした。

2004-01-28

	* src/imap.c: imap_get_msginfo(): 間違ってカウントされてしまうのを
	  修正。

2004-01-28

        * src/base64.c
	  src/codeconv.c
	  src/compose.c
	  src/html.c
	  src/imap.c
	  src/pop.c
	  src/prefs_account.c
	  src/procmime.c
	  src/procmsg.c
	  src/quote_fmt_parse.y
	  src/quoted-printable.c
	  src/textview.c
	  src/unmime.c
	  src/utils.c
	  src/utils.h
	  src/xml.c: ctype 関数に対して引数の型が誤っていたのを修正(unsigned
	  char でなくて char を渡していた)。

2004-01-27

	* src/mainwindow.[ch]: MainWindow::messageview_cid を追加。
	  メッセージビューが隠された場合クリアするようにした。
	* src/textview.c: リンクがクリックされたら URL をステータスバーに
	  表示するようにした。
	  textview_uri_security_check(): 実際の URL と表示されている URL を
	  比較し、偽の URL の可能性があれば警告を出すようにした。
	* src/utils.[ch]:
	  is_uri_string(): 文字列が URL であれば TRUE を返す。
	  get_uri_path(): URL のスキーム部以外の部分を返す。

2004-01-23

	* src/folder.[ch]: folder_item_fetch_all_msg(): 新規。フォルダ中の
	  全てのメッセージを取得する。
	* src/folderview.c: 「ダウンロード」機能を実装。

2004-01-23

	* src/gtkutils.[ch]: 矢印メニューボタンをボタンに付加する ComboButton
	  を実装。
	* src/mainwindow.[ch]: main_window_toolbar_create(): 返信、転送ボタン
	  にコンボボタンを追加。

2004-01-22

	* src/mainwindow.c: ツールバーによってウィンドウサイズが自動的に
	  伸長してしまうのを修正。

2004-01-21

	* src/addr_compl.[ch]
	  src/gtkshruler.[ch]: 著作権表示を変更。

2004-01-20

	* src/gtkstext.c: find_line_params(): マルチバイトとシングルバイト
	  文字の間でも改行するようにした。

2004-01-20

	* src/gtkstext.c: find_line_params(): ワードラップモードのとき
	  マルチバイト文字間でも改行するようにした。

2004-01-05

	* src/codeconv.c: conv_iconv_strdup(): LP64 環境でのクラッシュを修正
	  (James Noyes さん thanks)。
	* src/compose.c: compose_select_account(): 自動的に署名/暗号化
	  オプションをオフにしないようにした。

2003-12-17

	* src/inc.[ch]: inc_account_mail() を public にした。
	* src/mainwindow.c: 受信メニューをサブメニューにし、各アカウントから
	  の受信のための動的なメニューを追加。

2003-12-15

	* version 0.9.8a

2003-12-15

	* src/procmsg.c: procmsg_open_data_file(): DATA_READ が指定されて
	  バッファが与えられたらバッファをセットするようにした。
	  procmsg_open_cache_file_with_buffer(): 新規。
	  procmsg_read_cache(): ファイル I/O の後に setvbuf() を呼んでいた
	  (バッファ読み込みエラーを起こしていた)バグを修正。

2003-12-12

	* version 0.9.8

2003-12-12

	* configure.in: IPv6 にデフォルトで対応するようにした。

2003-12-11

	* src/inc.c: inc_mail(), inc_all_account_mail(): オフラインモードの
	  ときはユーザにオンラインに切り替えるように促すようにした。
	* src/mainwindow.h: main_window_toggle_online() を追加。

2003-12-11

	* src/foldersel.c
	  src/folderview.[ch]
	  src/mainwindow.c
	  src/stock_pixmap.[ch]
	  src/pixmap/dir-noselect.xpm: no-select フォルダを薄いアイコンと
	  文字列で表示。
	* src/Makefile.am: offline.xpm, online.xpm, dir-noselect.xpm を
	  EXTRA_DIST に追加。

2003-12-11

	* src/folder.h: マクロ FOLDER_ITEM_CAN_ADD() を追加。
	* src/folderview.c: folderview_drag_motion_cb(): コードの整理。
	  folderview_drag_received_cb(): no_select フォルダで、あるいは
	  それ自身から受け付けないようにした。
	* src/foldersel.c: no_select フラグがセットされているフォルダを選択
	  不可にした。

2003-12-10

	* src/imap.c: imap_do_copy_msgs(), imap_remove_msgs(): コードの整理。
	  メッセージを削除したときに MSG_INVALID フラグをセット。
	* src/mh.c: mh_do_move_msgs(), mh_remove_msg(): メッセージを削除した
	  ときに MSG_INVALID フラグをセット。
	* src/procmsg.[ch]:
	  procmsg_move_messages()
	  procmsg_copy_messages(): エラーステータスを返すようにした。
	  MsgTmpFlags に MSG_INVALID を追加。
	* src/summaryview.c: summary_execute(): エラーを検出し、無効になった
	  ノードのみを削除するようにした。
	  summary_unthread_for_exec(): 閉じたツリー中のノードを削除しない
	  バグを修正。

2003-12-06

	* src/mainwindow.[ch]: ステータスバーにオンラインスイッチボタンを
	  追加し、メニューに「/ファイル/オフラインにする」を追加。
	* src/pixmaps/offline.xpm
	  src/pixmaps/online.xpm: 新規(Mozilla の
	  themes/classic/communicator/icons/ から拝借)。
	* src/stock_pixmap.[ch]: online.xpm と offline.xpm を追加。
	* src/textview.[ch]: textview_show_error(): 新規。
	* src/summaryview.c: summary_display_msg_full(): メッセージが表示
	  された場合のみマークを更新。
	* src/prefs_common.[ch]: PrefsCommon::online_mode を追加。
	* src/news.c: news_session_get()
	  src/imap.c: imap_session_get(): オフラインモードのときは NULL を
	  返すようにした。
	* src/messageview.[ch]: messageview_show(): メッセージが表示できた
	  かどうかのステータスを返すようにした。失敗したときはエラー
	  メッセージをビューに表示するようにした。
	* src/procmsg.c:
	  procmsg_get_message_file()
	  procmsg_open_message(): 取得に失敗したときに警告を表示しないように
	  した。

2003-12-04

	* src/html.c: html_get_tag(): 値を持たない属性に対応。

2003-12-04

	* src/codeconv.c: conv_get_code_conv_func(): src_charset と現在の
	  文字コードが同一の場合、または現在の文字コードがマルチバイトで
	  ある場合のみ conv_latintodisp を返す(KOI8-R locale 上での
	  ISO-8859-5 の表示を修正)。

2003-11-25

	* autogen.sh: aclocal で m4 ディレクトリを含まないようにした。
	* intl/libgnuintl.h: cvs から削除。
	* po/.cvsignore: stamp-po と remove-potcdate.sed を追加。

2003-11-24

	* gettext-0.12.1 に移行。

2003-11-21

	* configure.in: struct dirent 中の d_type メンバのチェックを追加。
	* src/mh.c: mh_scan_folder(): 利用可能な場合は d->d_type を使用。
	  mh_get_uncached_msgs(): 余分な stat() を削除。
	  mh_parse_msg(): 通常のファイルでない場合は NULL を返す。
	  mh_scan_tree_recursive(): 利用可能な場合は d->d_type を使用。
	* src/utils.[ch]:
	  dirent_is_regular_file()
	  dirent_is_directory(): 新規。利用可能な場合はエントリのタイプを
	  判別するのに d->d_type を使用。
	  remove_dir_recursive(): dirent_is_directory() を使用。

2003-11-14

	* src/folder.h: FolderItem に 'updated' フラグを追加。
	* src/folderview.[ch]: folderview_update_all_updated(): 新規。全ての
	  更新されたフォルダを更新する。
	* src/imap.c: 内容の変更時に FolderView::update フラグをセット。
	* src/main.c: send_queue()
	  src/mainwindow.c: send_queue_cb(): コードの整理。
	* src/mh.c: コードの整理。
	  mh_scan_folder(): 新着メッセージを正しくカウントするようにした。
	* src/procmsg.[ch]: コードの整理。
	  procmsg_open_cache_file(): 新規。
	  procmsg_open_mark_file(): 読み込み/書き込み/追加書き込みができる
	  ようにした。
	  procmsg_send_queue(): アカウントに対応する送信控を正しく選択する
	  ようにした。
	* src/send_message.[ch]: send_get_queue_info(): 送信待ちメッセージ
	  からキュー情報を取得。
	  send_queue_info_free(): QueueInfo を開放。
	  send_message_queue(): ファイルの代わりに QueueInfo を引数にとる
	  ようにした。
	* src/summaryview.c: summary_write_cache(): コードの整理。

2003-11-10

	* src/compose.c: compose_redirect_write_headers(): Resent-Cc: ヘッダ
	  を正しく付加するようにした。

2003-11-05

	* src/imap.c: imap_get_msg_list(): フラグを得るための SEARCH コマンド
	  に失敗した場合 FETCH コマンドに fallback するようにした。
	  imap_search_flags(): SEARCH コマンドを使用して UID の配列とフラグの
	  ハッシュテーブルを返す。
	  imap_fetch_flags(): FETCH コマンドを使用して UID の配列とフラグの
	  ハッシュテーブルを返す。

2003-10-28

	* src/summary_search.c: summary_search_execute(): 後方検索が有効な
	  ときの「一括検索」を修正。
	  「一括検索」が有効なときは後方検索ボタンを無効にするようにした。

2003-10-15

	* version 0.9.7

2003-10-15

	* src/imap.c: imap_scan_tree(): ルートディレクトリの存在を STATUS
	  ではなく LIST でチェックするようにした。

2003-10-07

	* src/send_message.c: alertpanel_error() を呼ぶときのフォーマット
	  文字列のバグ(悪意のある SMTP サーバによって攻撃可能)を修正
	  (Georgi Guninski さん thanks)。

2003-10-03

	* src/folder.[ch]
	  src/imap.[ch
	  src/mh.[ch]
	  src/news.[ch]: フォルダシステムのリファクタリング(claws の実装に
	  基づく)。
	* src/account.c
	  src/foldersel.c
	  src/folderview.c
	  src/mainwindow.c
	  src/messageview.c
	  src/procmsg.c
	  src/setup.c
	  src/summaryview.c: 全ての場所で FOLDER_TYPE() マクロを使用。

2003-09-17

	* version 0.9.6

2003-09-17

	* src/addressbook.c:
	  addressbook_folder_load_person()
	  addressbook_folder_load_group(): ループの後で ctree をソートする
	  ようにした(一つのフォルダに多くのアドレスがある場合のパフォーマンス
	  の問題を解決)(christian mock さん thanks)。

2003-09-16

	* src/folderview.c: folder_init(): コードを整理。
	* src/summaryview.c: summary_init(): boldfont が正しくロードされたか
	  どうかをチェック。
	* src/grouplistdialog.c: delete_event に適切なコールバックを使用する
	  ようにした(足永さん thanks)。
	* src/imap.c: ゼロ長メッセージを許すようにした。
	* src/recv.c: recv_bytes_write(): size == 0 の場合はすぐに戻るように
	  した。

2003-09-16

	* src/folderview.c: folderview_init(): フォントが読み込めない場合は
	  gtk のデフォルトに fallback するようにした(起動時のクラッシュを
	  修正)。さらに不要なコードを除去。

2003-09-15

	* src/compose.c: compose_insert_sig(): マニュアル操作のときは現在の
	  カーソルの位置に署名を挿入するようにした。

2003-09-11

	* src/summaryview.c: summary_key_pressed(): メインウィンドウがロック
	  されていても delete キーを無視しないようにした。

2003-09-10

	* src/action.c: action 終了のコードを改良(RH9 で action 終了時に
	  長時間待たされるのを修正) (Melvin さん thanks)。
	* src/stringtable.[ch]: string_table_insert_string(): 警告
	  "dereferencing type-punned pointer will break strict-aliasing
	  rules" を除去するためにコードを修正。
	  引数に gchar * の代わりに const gchar * を使用。

2003-09-05

	* src/utils.[ch]: generate_mime_boundary(): MIME boundary を作成する
	  新規関数(rfc2015.c から移動)。
	  さらに特別文字を除去。
	  obsolete な lrand48() のかわりに random() を使用。
	  重複を避けるために prefix の引数を追加。
	  対 QP シーケンスとして常に "=_" を追加し、コードを単純化。
	* src/rfc2015.c:
	  rfc2015_decrypt_message()
	  rfc2015_encrypt()
	  rfc2015_sign(): 継続する content 行を正しく扱っていなかったバグを
	  修正。
	* src/compose.c
	  src/rfc2015.c: generate_mime_boundary() を使用。

2003-09-05

	* src/folderview.c:
	  folderview_delete_folder_cb()
	  folderview_remove_mailbox_cb(): FolderItem を削除する前に現在表示
	  されているフォルダを閉じるようにした(フォルダ削除時のクラッシュを
	  修正)。
	* src/folder.h
	  src/imap.[ch]: imap_scan_tree()
	  src/mh.[ch]: mh_scan_tree(): スキャンに失敗したときは -1 を返す。
	* src/summaryview.c: summary_clear_all(): メッセージビューもクリア。
	* src/imap.c: imap_close(): 指定したフォルダが選択されていなければ
	  失敗。
	  imap_scan_tree(): 指定したルートディレクトリが存在するかどうかを
	  調べ、なければ作成するようにした。
	  imap_parse_list(): サーバがエラーを返したら警告を出力。
	  imap_find_namespace_from_list(): スラッシュで区切られていないパス
	  に対応。
	  imap_status(): 指定しなければ値を返さないようにした。

2003-09-02

	* sylpheed.spec.in: typo を修正。

2003-09-02

	* version 0.9.5

2003-09-01

	* src/inc.[ch]
	  src/main.c
	  src/mainwindow.c
	  src/prefs_common.[ch]: 手動受信時のみ受信ダイアログを表示する
	  オプションを追加し、 RECV_DIALOG_ACTIVE オプションを削除。

2003-09-01

	* src/compose.c: compose_write_headers(): MIME 境界の ':' も '_' に
	  置換するようにした(broken なサーバへの対処として)。

2003-08-28

	* src/imap.c: imap_scan_tree_recursive(): コンパイルエラーを修正。

2003-08-27

	* src/prefs_filter.c: 「先頭」と「末尾」ボタンを追加。

2003-08-26

	* src/folder.[ch]: folder_item_remove_children(): 新規。 FolderItem
	  の下の全ての子を削除。
	* src/folderview.c: folderview_rescan_tree(): メッセージを修正。
	* src/imap.c: imap_scan_tree(), imap_scan_tree_recursive(): 以前の
	  FolderItem オブジェクトを再利用。

2003-08-25

	* src/folder.[ch]: FolderItem に自分自身の GNode への参照を追加。
	  folder_item_remove(): 全ての FolderItem を開放。
	  folder_tree_destroy(): folder_item_remove() を使用。
	* src/folderview.c: folderview_sort_folders(): 特別フォルダの親が
	  異なっても順序を保つようにした。
	* src/imap.c: imap_scan_tree_recursive(): メモリリークを修正。
	* src/mh.c: mh_scan_tree(): 以前の FolderItem を保持。
	  mh_remove_missing_folder_items(): ディレクトリをスキャンし、
	  見つからないフォルダを削除。
	  mh_scan_tree_recursive(): 以前の FolderItem オブジェクトを再利用。

2003-08-20

	* src/mainwindow.c: ウィンドウサイズの変更を常に反映。
	* src/folderview.c: folderview_init()
	  src/summaryview.c: summary_init(): pixmap を作成する前にウィジェット
	  を realize するようにした。
	* src/prefs_common.[ch]: フォルダとメッセージビューの可視状態を
	  記憶するようにした。

2003-08-07

	* src/mainwindow.c
	  src/prefs_common.[ch]: 分離されたビューのサイズと位置を記憶。
	  main_window_set_widgets(): ビュータイプを変更した時にヘッダビュー
	  の隠し項目が表示されていたバグを修正。
	  ウィンドウのサイズを指定する代わりに各ビューのサイズを指定。

2003-08-01

	* src/compose.c: compose_select_account(): リダイレクトモードで
	  署名を追加しないようにした。
	  compose_insert_sig(): 署名文字列が存在しない場合は "\n\n" を
	  挿入しないようにした。常にメッセージの終わりに署名を挿入。

2003-08-01

	* sylpheed.spec.in を改良(Andre Oliveira da Costa さん thanks)。

2003-07-31

	* フォルダシステムのコードを少し整理。
	* src/compose.c: compose_queue(), compose_draft_cb(): コードの整理。
	* src/folder.c: コードの整理。
	* src/imap.c
	  src/mh.c: 関数内でメッセージ数を計算。
	* src/procmsg.c: procmsg_set_flags(): メッセージ数を計算。
	* src/summaryview.[ch]: SummaryView 内でメッセージ数を計算・保持
	  しないようにした。

2003-07-30

	* src/folder.[ch]
	  src/imap.[ch]
	  src/mh.[ch]
	  src/procmsg.c
	  src/summaryview.c: *_msgs_with_dest() を *_msgs() に改名。

2003-07-29

	* src/imap.[ch]: プロトコル拡張を使用するために CAPABILITY を使用。
	  imap_greeting(): 最初のサーバグリーティングを解析。 PREAUTH 応答
	  にも対応。
	  imap_add_msgs()
	  imap_cmd_append(): UIDPLUS に対応していれば APPENDUID 応答を使用。

2003-07-28

	* src/imap.c: imap_get_flag_str(): バッファオーバーランを修正。

2003-07-25

	* version 0.9.4

2003-07-25

	* src/main.c: main(): 起動時に設定ファイルを保存しないようにした。

2003-07-25

	* src/imap.c:
	  imap_get_msg_list(): キャッシュ未使用のときの冗長な UID SEARCH ALL
	  を除去。
	  \Seen がセットされていたら MSG_NEW フラグを解除。
	  imap_get_uncached_messages(): first_uid と last_uid が両方とも 0
	  の場合は全てのメッセージを取得。

2003-07-24

	* src/imap.c: IMAP4 サーバの状態を常に正確に反映するように実装を改良。
	  imap_get_msg_list(): UID SEARCH コマンドを使用してメッセージの
	  状態を調べるようにした。
	  imap_delete_cached_message(): 単一のメッセージキャッシュを削除する。
	  imap_get_uid(): 削除。
	  imap_cmd_search(): 新規。 UID SEARCH コマンドを発行し、 UID の配列
	  を返す。
	  imap_cmd_gen_recv(): 文字列長を無制限にした。
	  imap_get_uid_table(): UID 配列からハッシュテーブルを返す。

2003-07-24

	* src/folder.[ch]
	  src/imap.[ch]
	  src/mh.[ch]
	  src/news.[ch]: Folder::close() メソッドを追加。
	* src/summaryview.c: summary_clear_list(): folder_item_close() を
	  呼ぶようにした。

2003-07-23

	* メッセージを他のフォルダから IMAP フォルダにコピーしたときフラグを
	  引き継ぐようにした。
	* src/imap.[ch]
	  src/mh.[ch]
	  imap_add_msg()
	  imap_add_msgs()
	  mh_add_msg()
	  mh_add_msgs(): ファイルを追加するときにフラグも指定できるようにした。
	* src/folder.[ch]: 仮想関数に assertion を追加。
	* src/procmsg.[ch]: procmsg_get_message_file_list(): MsgFileInfo
	  のリストを返すようにした。
	  procmsg_message_file_list_free(): 新規。

2003-07-23

	* src/procmsg.h: 移植性のため MsgPermFlags と MsgTmpFlags を enum
	  から guint32 に変更(Alfons さん thanks)。
	* src/imap.c: imap_add_msgs(): 冗長な unlink() を削除。

2003-07-22

	* src/session.[ch]:
	  session_read_msg_cb()
	  session_read_data_cb(): リモートホストによって接続を切断された場合
	  に無限ループに陥るバグを修正(今井さん thanks)。
	  SessionState に SESSION_EOF を追加。
	  session_is_connected(): 新規。
	* src/inc.[ch]: inc_put_error()
	  src/send_message.c: send_put_error(): ログメッセージも共に出力。

2003-07-18

	* IMAP4 のさらなる最適化。
	* src/folder.[ch]: 複数のファイルをフォルダに追加するメソッド
	  add_msgs() を追加。
	  FolderItem 操作の冗長な scan() を削除。
	* src/imap.[ch]: Folder::add_msgs() を実装し、他の Folder
	  インスタンスからの移動・コピーを最適化。
	* src/mh.[ch]: Folder::add_msgs() を実装し、コードを整理。
	  mh_fetch_msg(): 必要であればフォルダをスキャン。
	* src/procmsg.[ch]: procmsg_get_message_file_list(): メッセージリスト
	  からファイルのリストを返す。
	* src/summaryview.c: 削除・移動・コピー操作で MSG_MARKED フラグを
	  削除しないようにした。
	  summary_display_msg_full(): 冗長なメッセージの取得を削除。

2003-07-17

	* コマンドを発行するときにシーケンスセットを使用して IMAP4 の
	  移動/コピー/削除/マーク操作を最適化(claws の実装を整理して適用)。
	* src/imap.[ch]:
	  imap_set_message_flags()
	  imap_cmd_envelope()
	  imap_cmd_copy()
	  imap_cmd_store(): UID 番号の代わりにシーケンスセット文字列を
	  受け取るようにした。
	  imap_do_copy_msgs_with_dest(): シーケンスセットを使用して最適化。
	  imap_cmd_fetch(): BODY の代わりに BODY.PEEK を使用。
	  imap_remove_all_msg()
	  imap_set_message_flags(): FLAGS の代わりに FLAGS.SILENT を使用。
	* src/compose.c
	  src/summaryview.c: 各メッセージ毎にコマンドを発行するのではなく
	  imap_msg_list_{set,unset}_perm_flags() を使用するようにした。

2003-07-15

	* src/inc.c
	  src/prefs_account.[ch]
	  src/send_message.c
	  src/session.[ch]: 非ブロッキング SSL を有効/無効にするオプションを
	  追加。

2003-07-15

	* src/compose.c: compose_attach_append(): message/rfc822 ファイルを
	  添付するときにメッセージの件名を表示。

2003-07-14

	* src/session.[ch]:
	  session_recv_msg()
	  session_recv_data()
	  session_read_msg_cb()
	  session_read_data_cb(): sock_peek() を削除し、ユーザ空間でメッセージ
	  をバッファリングして最適化(今回は正しく実装)。

2003-07-11

	* src/session.c: メッセージの後のデータ受信を正しく扱えなかったため、
	  前の変更を元に戻した。

2003-07-11

	* src/session.c
	  session_recv_msg()
	  session_read_msg_cb(): sock_peek() を削除し、ユーザ空間でメッセージ
	  をバッファリングして最適化。

2003-07-11

	* src/imap.[ch]: リファクタリング。
	  SockInfo を引数にもつ全ての関数を IMAPSession をとるように変更。
	  imap_cmd_count をインスタンス変数: IMAPSession::cmd_count にした。
	  imap_open(): TCP (または SSL)コネクションのみを確立するようにした。
	  imap_session_new(): グリーティングと認証をここで処理。

2003-07-10

	* src/imap.[ch]: CRAM-MD5 認証を実装し、コードを整理。
	* src/prefs_account.[ch]: 受信タブに IMAP4 認証方式のオプション
	  メニューを追加し、他のプロトコルのフレームを隠すようにした。

2003-07-10

	* src/mainwindow.c: send_queue_cb(): エラーが起こった場合はフォルダ
	  を2重にスキャンしないようにした。
	* src/procmsg.c: procmsg_send_queue(): 送信したメッセージ数を返す
	  ようにした。

2003-07-09

	* src/mainwindow.c:
	  main_window_set_toolbar_sensitive()
	  main_window_set_menu_sensitive(): メール受信中のファイル操作の
	  ロックを除去。

2003-07-09

	* src/folder.[ch]: folder_item_remove_msg(): メッセージ番号の代わりに
	  MsgInfo を引数にとるようにした。
	* src/imap.[ch]: imap_remove_msg(): imap_remove_msgs() を使用して
	  再実装。
	* src/mh.[ch]: mh_do_move(): mh_do_move_msgs_with_dest() を使用して
	  再実装。
	  mh_copy_msg(): mh_copy_msgs_with_dest() を使用して再実装。
	* src/procmsg.c: procmsg_send_queue(): メッセージリストを使用する
	  ように修正。

2003-07-08

	* src/rfc2015.c: rfc2015_is_encrypted(): 警告を抑えるために
	  MimeInfo::mime_type をチェック。
	* src/logwindow.c: log_window_append(): 行を削除するときに上に
	  スクロールしないようにした。

2003-07-07

	* src/compose.c: PGP/MIME 署名を使用するときは text/plain パートに
	  'Content-Disposition: inline' を付加。

2003-07-04

	* version 0.9.3

2003-07-04

	* src/defs.h: UI_REFRESH_INTERVAL を 40msec から 50msec に変更。
	* src/session.c: session_read_msg_cb(): sock_read() がエラーで
	  返るときは常に失敗するようにした。
	* src/socket.[ch]: sock_check(): 例外的な SSL の状態に対応。
	  sock_has_pending_data(): 削除。
	  デバッグ出力を削除。
	* src/send_message.c: send_recv_message(): メッセージをステータスバー
	  に表示。

2003-07-03

	* src/inc.[ch]: 受信中に CList の受信済メッセージ数を更新。
	* src/session.c: session_read_data_cb(): g_malloc() と memcpy() を
	  取り除いて最適化。

2003-07-02

	* src/socket.[ch]: sock_add_watch(): 新規。 SSL をオリジナルの watch
	  関数で監視する(SSL でない場合は g_io_add_watch() を使用)。
	* src/session.[ch]: 以前の対処を削除し、 g_io_add_watch() を
	  sock_add_watch() で置き換えた。

2003-07-01

	* src/socket.[ch]: ソケットに未処理のデータが存在する場合 TRUE を
	  返す sock_has_pending_data() を追加。
	* src/session.c: session_recv_msg(), session_recv_data(): ソケットに
	  未処理のデータがあるかどうかを調べ、ある場合はコールバックをすぐに
	  呼ぶようにした(SSL での ESMTP EHLO 時に固まるのを修正)。

2003-06-30

	* src/socket.c: SSL 関数で戻り値をチェック。

2003-06-30

	* src/mimeview.c: mimeview_init(): GTK+ テーマによる速度低下を防ぐ
	  ために TextView を初期化(Yuri Arapov さん thanks)。

2003-06-27

	* src/session.c: session_read_data_cb(): コールバックを呼ぶ前に
	  Session::read_data_buf をクリアするようにした。

2003-06-26

	* src/socket.c: ソケット接続をプロトコル独立にした。
	* src/session.c: デバッグ用 g_print() を削除。
	* src/inc.c: ステータスバーの出力の冗長度を減らし、メインウィンドウ
	  のプログレスバーにカウンタを表示。

2003-06-26

	* src/session.c: #include <errno.h> が足りなかったので追加。

2003-06-25

	* src/session.[ch]: 性能とコードデザインの問題を解決するために
	  Session システムを非ブロッキング I/O で再実装。
	* src/socket.[ch]: sock_connect_async() と sock_connect_async_cancel()
	  を追加し、非同期接続を可能にした。
	  sock_peek(): 実装を変更。
	* src/pop.c: UIDL/LIST/RETR の応答の受信を最適化。

2003-06-18

	* src/procmsg.c: procmsg_get_thread_tree(): ノードが祖先(parent /
	  great parent)の場合(主に循環参照の場合に起こる) (メッセージ群の
	  サンプルを発見した Phillipe Gramoulle さんとパッチを提供した
	  Alfons さん thanks)。

2003-06-16

	* src/pop.c: pop3_get_uidl_table(): UIDL リストが見つからなかった場合
	  でも空のハッシュテーブルを返すようにした(初回にメッセージを取得
	  出来ないバグを修正)。

2003-06-10

	* src/main.c: 指定した各フォルダのステータスを表示するオプション
	  '--status-full' を追加。オプション '--status' も続く引数でフォルダ
	  を指定可能(Yuri Arapov さん thanks)。
	* src/folder.[ch]: folder_get_status(): 新規。フォルダの配列を引数
	  として受け取り、それらのステータスを返す。
	  folder_count_total_msgs(): 削除。

2003-06-06

	* version 0.9.2

2003-06-06

	* src/filesel.c
	  src/foldersel.c
	  src/inputdialog.c: ボタンがダブルクリックされたときに終了してしまう
	  のを防ぐために gtk_main() の代わりに gtk_main_iteration() を使用。

2003-06-02

	* src/addr_compl.c: invalidate_address_completion(): g_completion_list
	  が NULL かどうかをチェック(西山 和広さん thanks)。

2003-06-02

	* src/pop.c: pop3_session_recv_data_finished(): サーバに保存される
	  べきメッセージを削除していたバグを修正(Tristan Wallis さん thanks)。

2003-05-27

	* version 0.9.1

2003-05-26

	* src/socket.[ch]:
	  sock_set_io_timeout(): 新規。タイムアウトの間隔を指定する。
	  sock_gdk_input_add(): 既に使用されていないため削除。
	* src/prefs_common.[ch]: タイムアウトの値を指定するオプションを追加。

2003-05-26

	* src/action.c: create_io_dialog() でユーザ文字列を隠していなかった
	  バグを修正(Markus Amersdorfer さん thanks)。
	  ChildInfo::type を削除し、 Children::action_type を追加。

2003-05-23

	* src/inc.c: inc_start(): 受信前に全てのパスワードを訊くようにした。
	  余分なエラーダイアログをポップアップしないようにした。
	  inc_account_mail()
	  inc_all_account_mail()
	  inc_progress_dialog_set_list(): アカウントリストの表示を新しい
	  関数に分離。
	  inc_progress_dialog_set_label()
	  inc_recv_data_finished()
	  inc_recv_message(): RETR が完了したときに正しくダイアログを更新。

2003-05-22

	* src/imap.c:
	  imap_modified_utf7_to_locale()
	  imap_locale_to_modified_utf7(): iconv() を使用しない場合コンパイル
	  に失敗するのを修正。

2003-05-21

	* src/procmime.c: procmime_scan_multipart_message(): message/rfc822
	  パートのパースを修正。

2003-05-21

	* src/pop.c: pop3_ok(): タイムアウトエラーを検出。

2003-05-20

	* src/imap.c: imap_locale_to_modified_utf7(): locale 文字列が '+'
	  を含む場合のエンコードのバグを修正。
	  imap_modified_utf7_to_locale()
	  imap_locale_to_modified_utf7(): たとえ iconv() がサポートされて
	  いなかったとしても少なくとも '&' をエスケープ/エスケープ解除する
	  ようにした。

2003-05-20

	* src/compose.c:
	  compose_insert_sig()
	  compose_get_signature_str(): 署名文字列に区切りも含むようにした。
	  署名ファイルが見つからない場合は区切りを挿入しないようにした。
	  sig_path が NULL のとき暗黙のデフォルトの署名パス(~/.signature)
	  を使用しないようにした。

2003-05-20

	* src/codeconv.c
	  src/gtkshruler.c
	  src/news.c
	  src/procmsg.c
	  src/quote_fmt_parse.y
	  src/smtp.c: gcc-3.3 が出力する警告を抑制。
	  src/stringtable.c: string_entry_free() を使用。

2003-05-19

	* src/compose.c: compose_insert_sig(): 署名ファイルが見つからない
	  場合に常に署名区切りを追加していたバグを修正。
	  compose_get_signature_str(): 署名ファイルが開けない場合にクラッシュ
	  するバグを修正。

2003-05-16

	* version 0.9.0

2003-05-16

	* src/session.c: session_recv_msg(): デバッグ出力を削除。

2003-05-15

	* src/imap.c:
	  imap_parse_atom()
	  imap_get_header()
	  imap_cmd_fetch(): サーバが返すデータサイズをチェック(BugTraq で
	  発見された脆弱性を修正)。

2003-05-14

	* src/addr_compl.c: get_complete_address()
	  src/addressbook.c: addressbook_format_address()
	  src/compose.c: QUOTE_IF_REQUIRED(): 名前が atext (RFC 2822, 3.2.4.
	  Atom) で定義されていない文字を含んでいる場合は引用符で括るように
	  した。
	* src/main.c: main(): Solaris におけるカラーの問題を解決するために
	  colormap と visual をセット(Markus Schwarzenberg さん thanks)。

2003-05-12

	* version 0.9.0pre1

2003-05-12

	* src/prefs_account.c: POP before SMTP オプションを一時的に削除。

2003-05-09

	* src/prefs_common.[ch]: 「サマリでカーソルキーを押したとき
	  メッセージを開く」の説明を変更。
	* src/summaryview.c: summary_show(): always_show_msg が TRUE の場合
	  メッセージを開くようにした。

2003-05-09

	* src/logwindow.[ch]: メモリ消費量を削減するため、ログメッセージの
	  最大行数を制限するようにした。

2003-05-07

	* src/compose.c: compose_insert_sig(): 署名文字列に不正なシーケンス
	  が含まれるときのクラッシュを修正。
	* src/utils.[ch]: 正確さのため get_wcs_len() を get_mbs_len() に変更。

2003-05-07

	* MIME 構造の大きなリファクタリング。
	* src/procmime.c: procmime_scan_message(): gpgme が有効のときは
	  メッセージを復号化するようにした。 content-type が multipart/*
	  または message/rfc822 の場合のみマルチパートツリーを作成。
	  procmime_scan_multipart_message(): message/rfc822 パートの走査
	  を修正。
	* src/action.c: parse_append_msgpart()
	  src/messageview.c: messageview_show()
	  src/mimeview.c: mimeview_show_message(): procmsg_open_message() と
	  procmime_scan_mime_header() の代わりに procmime_scan_message()
	  を使用。
	  mimeview_set_multipart_tree(): 新しい MIME 構造に対応。
	* src/textview.c: textview_show_part(): 不要なチェックを削除。
	* src/procmsg.c: procmsg_open_message_decrypted(): 復号化に失敗した
	  場合のファイルポインタを修正。

2003-05-06

	* src/ssl.c: ssl_init_socket_with_method(): log_warning() を
	  g_warning() で、 log_print() を debug_print() で置き換えた。
	* src/pop.[ch]: エラーコード PS_NOTSUPPORTED を追加し、 UIDL が
	  サポートされていなければ LAST で再試行するようにした。

2003-05-01

	* src/codeconv.c: conv_get_code_conv_func(): dest_charset_str が NULL
	  のとき、現在の locale が EUC-JP の場合のみ EUC-JP に変換するように
	  した。

2003-05-01

	* src/action.c: execute_actions(): テキストウィジェットが未選択の
	  場合クラッシュするのを修正(Paul さんと Melvin さん thanks)。
	* src/action.c
	  src/prefs_actions.c: 著作権表示に Claws チームの表示がなかったので
	  追加。

2003-04-28

	* src/session.c:
	  session_send_msg()
	  session_send_data(): メモリリークとデータ送信のバグを修正。
	* src/send_message.c:
	  send_message_smtp(): フォーカス管理を修正。

2003-04-25

	* src/smtp.[ch]: エラーが発生したら応答文字列を SMTPSession::error_msg
	  にセットするようにした。
	* src/send_message.c: エラーが発生したらエラーダイアログを表示。
	* src/main.c: send_queue()
	  src/mainwindow.c: send_queue_cb(): ここではエラーダイアログを表示
	  しない。

2003-04-25

	* src/session.c: session_close(): state が SESSION_DISCONNECTED で
	  ない場合のみ子プロセスを kill するようにした。
	* src/send_message.c: send_cancel_button_cb()
	  src/inc.c: inc_cancel(): Session::state を SESSION_DISCONNECTED に
	  セットしないようにした。
	* src/prefs.[ch]: prefs_write_*() の名前を変更。
	* src/address.[ch]: 削除。

2003-04-24

	* src/compose.c: compose_template_apply(): 宛先を上書きするようにした。

2003-04-23

	* src/procheader.c: procheader_date_parse(): デバッグ用 print を削除。
	* src/session.c: 各 g_print を debug_print に変更。
	  session_child_input(): 不要な session_close() を削除(FALSE を
	  返した後結局 close される)。
	* src/send_message.c: send_message_smtp(): g_print を debug_print
	  に変更。

2003-04-23

	* src/procheader.c: procheader_procheader_date_parse(): タイムゾーン
	  が不明の場合はローカルタイムゾーンのオフセットを追加しないように
	  した。
	  Y2K 対応コードを RFC 2822 に従うようにした。
	  procheader_scan_date_string(): タイムゾーン指定がない日付文字列
	  への対処。
	* src/utils.c: remote_tzoffset_sec(): タイムゾーンが不明の場合は
	  -1 を返すようにした。

2003-04-22

	* src/action.[ch]: リファクタリング。 また MIME モードにおけるバグ
	  と、エラー時のメモリリークを修正。
	  action_update_msgview_menu(): 新規。
	* src/messageview.[ch]: "Tools/Actions" メニューを追加。ウィンドウ
	  リストを保持。
	  messageview_get_selected_mime_part(): MessageView が MIME モード
	  のとき、選択されたパートの MimeInfo を返す。
	* src/mimeview.[ch]: mimeview_get_selected_part(): 選択されたパート
	  の MimeInfo を返す。
	* src/summaryview.[ch]: summary_get_selected_msg_list(): 選択された
	  メッセージの MsgInfo リストを返す。

2003-04-21

	* src/prefs_filter.[ch]: 元のメッセージのヘッダをセット済キーワード
	  として含むようにした。ウィジェットのサイズを修正。
	* src/utils.[ch]: 大小文字を区別しないハッシュ用に str_case_equal()
	  と str_case_hash() を追加。

2003-04-18

	* src/procmsg.c: procmsg_get_filter_keyword(): 自動検出されるヘッダ
	  に X-Sequence を追加。
	* src/action.[ch]
	  src/prefs_actions.c
	  src/compose.c
	  src/mainwindow.c: 関数名を修正。
	  get_user_string(): 独自の実装の代わりに input_dialog() を使用。

2003-04-17

	* src/codeconv.[ch]: conv_encode_header(): addr_field が TRUE の
	  場合はエンコード文字列に '(' と ')' を含めないようにした。
	* src/compose.c: compose_convert_header(): フラグ 'addr_field' を
	  追加。

2003-04-16

	* src/prefs_actions.[ch]: アクション実行ルーチンを action.[ch] に
	  分離。

2003-04-16

	* src/prefs_actions.c: 少しコードの整理。

2003-04-16

	* src/codeconv.[ch]: conv_iconv_strdup(): EILSEQ の処理を修正。

2003-04-16

	* src/inc.c:
	  inc_recv_data_progressive()
	  inc_recv_data_finished()
	  inc_recv_message()
	  send_recv_message()
	  send_send_data_progressive()
	  send_send_data_finished(): assertion を追加。

2003-04-16

	* src/codeconv.[ch]: conv_iconv_strdup(): 潜在的なメモリ破壊バグを
	  修正。

2003-04-16

	* src/codeconv.[ch]: conv_iconv_strdup(): 一部のエンコーディング変換
	  (UTF-7 等)を混乱させていたため、ソースバッファにヌル文字を含めない
	  ようにした。

2003-04-15

	* src/procmsg.c: procmsg_get_filter_keyword(): ヘッダの改行を除去し、
	  List-Id ヘッダから ID を抽出するようにした。
	* src/utils.[ch]: extract_one_parenthesis_with_skip_quote(): 削除。
	  extract_list_id_str(): List-Id ヘッダから ID 文字列を抽出。

2003-04-15

	* src/prefs_actions.c: claws ブランチからマージ。いくつかのバグ修正
	  と機能追加。

2003-04-14

	* src/compose.c: compose_parse_header(): 再編集時に不要な改行が含ま
	  れるバグを修正。
	* src/imap.c
	  src/pop.c: 'occured' という typo を修正。

2003-04-11

	* src/compose.[ch]: アカウント変更時の自動署名切り替えを実装。
	  compose_insert_sig(): 現在の署名を置換するフラグを追加。
	  compose_get_signature_str(): 新規。署名の文字列を返す。
	  compose_insert_command_output(): 削除。
	  compose_select_account(): アカウント変更時に compose_insert_sig()
	  を呼ぶようにした。
	  compose_destroy(): UndoMain オブジェクトのメモリリークを修正。
	  Compose::sig_str: 新規。現在の署名の文字列を保持する。
	* src/gtkutils.[ch]: gtkut_stext_find(): 新規。
	  gtk_stext_clear() を gtkut_stext_clear() に改名。
	* src/utils.[ch]: get_wcs_len(): マルチバイト文字列のワイドキャラクタ
	  長を返す。
	  normalize_newlines(): CR+LF と CR を LF に変換する。
	  get_command_output(): コマンドの出力を返す。

2003-04-08

	* src/procmsg.[ch]: procmsg_get_filter_keyword(): 新規。メッセージの
	  フィルタ用キーワードを返す。
	* src/summaryview.c: summary_filter_open():
	  procmsg_get_filter_keyword() を使用。
	* src/messageview.c: create_filter_cb(): 実装。

2003-04-07

	* src/inc.c:
	  inc_start()
	  inc_put_error(): エラー時にサーバの応答を表示するようにした。
	* src/pop.[ch]: Pop3Session::error_msg を追加し、エラー時に
	  サーバの応答をセットするようにした。

2003-04-04

	* src/messageview.[ch]: 別ウィンドウのメッセージビューの文字コード
	  強制指定をメインウィンドウから分離。
	  textview_show_message()
	  textview_show_part()
	  textview_add_part(): 指定されていれば MessageView::forced_charset
	  を使用。

2003-04-03

	* src/mainwindow.c: ファイルメニューを少し修正。
	* src/menu.[ch]: item factory の rc 文字列を扱う関数を追加。
	* src/messageview.[ch]: メニューを追加し、メインウィンドウのメニュー
	  ショートカットを引き継ぐようにした。
	  msginfo (表示時に複製される)を MessageView に追加。
	* src/prefs_common.c: prefs_keybind_apply_clicked():
	  menu_factory_clear_rc() を使用。

2003-03-28

	* send_message.c: send_message_smtp():
	  SMTP AUTH の認証方法の強制を再び有効にした。
	  認証に失敗したら一時パスワードをクリアするようにした。
	* smtp.c: エラーが発生した場合は警告をログに出力し、
	  SMTPSession::error_val をセットするようにした。
	* smtp.h: エラー値を enum に変更。 SMTPSession::error_val を追加。
	* src/mbox.c: proc_mbox(): フォルダの更新を強制するようにした。

2003-03-28

	* src/pop.h: エラー値を enum に変更。
	* src/pop.c: pop3_retr_recv(): inc_drop_message() が失敗したら
	  PS_IOERR を返すようにした。
	  pop3_ok(): 現在の状態に基づいて適切なエラー値を返すようにした。
	  エラーが発生した場合は警告をログに出力するようにした。

2003-03-27

	* src/nntp.[ch]
	  src/news.[ch]: リファクタリング。 NNTPSockInfo を削除し、 nntp.c
	  で NNTPSession を使用するようにした。

2003-03-27

	* src/inc.c: inc_pop3_session_do(): Session::state == SESSION_ERROR
	  の場合は適切なエラーを返すようにした。
	* po/POTFILES.in: src/automaton.c, src/send.c を削除。
	  src/send_message.c を追加。

2003-03-26

	* src/pop.[ch]
	  src/session.c: POP3 の受信が壊れていたのを修正。
	  session_recv_data_from_sock_unescape(): 終端記号が現れるまで読み
	  こみ、実際のサイズも返すようにした。

2003-03-25

	* src/automaton.[ch]: 削除。
	* src/session.c: デバッグ出力をいくらか削除。
	* src/smtp.c: smtp_session_recv_msg(): サーバが HELO コマンドに対して
	  EHLO スタイルの応答を返したときのための対処。
	  EHLO を除いて全ての複数行応答を無視するようにした(あらゆるコマンド
	  に対して許可されているため)。

2003-03-25

	* src/session.[ch]
	  src/pop.c: ドットでエスケープされている行をもつメッセージの受信を
	  修正。
	  session_recv_data(): エスケープ解除のフラグを追加。
	  session_recv_data_from_sock_unescape(): 新規。メッセージを行毎に
	  受信し、ドットでエスケープされている行をエスケープ解除する。
	  以前の対処を削除。
	* src/defs.h: UI_REFRESH_INTERVAL を 40 msec に減少。

2003-03-25

	* src/pop.[ch]: 与えられたサイズと実際のサイズが異なる場合に受信に
	  失敗する問題への対処。

2003-03-24

	* src/pop.c: pop3_retr_eom_recv(): あるサーバは時々正しくない
	  メッセージサイズを返すため、無効なメッセージ終端を無視するように
	  した。
	* src/news.c: news_session_new(): NNTPSession オブジェクトをゼロ
	  クリアするようにした。 SockInfo の二重開放を防ぐため、
	  Session::sock を nntp_sock->sock で初期化しないようにした。
	* src/imap.c: IMAPSession オブジェクトをゼロクリアするようにした。
	  imap_cmd_append(): SockInfo を閉じないようにした。

2003-03-22

	* src/pop.c: pop3_session_recv_msg(): STLS を修正。

2003-03-22

	* src/inc.[ch]
	  src/pop.[ch]: 新 I/O システムを使って再実装。
	* src/session.[ch]: session_recv_msg(): 新規。
	  session_send_data_to_sock()
	  session_recv_data_from_sock(): 進捗通知の頻度を下げた。

2003-03-22

	* src/smtp.c: smtp_auth_recv(): CRAM-MD5 認証を修正。

2003-03-20

	* src/session.[ch]: session_start_tls(): 新規。
	  session_recv_msg(): static にした。

2003-03-20

	* 非同期ネットワーク I/O を実装。
	* src/session.[ch]: 子プロセスを通してサーバと通信するための
	  インタフェース。
	* src/smtp.[ch]
	  src/send_message.[ch]: 新 I/O システムを使って書き直した。
	* src/socket.[ch]: *_write() を *_write_all() に名称変更し、
	  *_write() を単なる write() のラッパーとした。
	* src/utils.c: get_outgoing_rfc2822_str(): 新規。メッセージを SMTP
	  または NNTP で送信するために修正する。
	  file_read_stream_to_str(): 新規。

2003-03-12

	* src/textview.c: textview_button_pressed(): URI のリンクの範囲を
	  訂正。
	* src/compose.c: compose_wrap_line_all_full(): 折り返しの問題への
	  対処のため、 UTF-8 の3バイト以上で表現される文字を2文字幅、2
	  バイト文字を1文字幅として扱うようにした。

2003-03-12

	* src/utils.c: subject_compare_for_sort(): ヌル文字列を許可(サマリの
	  ソートを修正)。

2003-03-11

	* HTML リンクを正しく実装。
	* src/html.[ch]: HTMLAttr, HTMLTag: 属性 / タグのための新規構造体。
	  html_get_tag(): 新規。タグを解析して HTMLTag オブジェクトを返す。
	  html_parse_tag(): <a> タグと 'href' 属性もパース。
	* src/textview.c: textview_write_link(): 新規。リンク文字列を作成。

2003-03-10

	* src/compose.c: compose_wrap_line_all_full(): 無限ループ /
	  クラッシュバグを修正(Darko Koruga さん thanks)。
	  compose_write_to_file(): 変換に失敗したがとにかく送信したいとき
	  に正しい charset 要素を出力するようにした。

2003-03-10

	* src/headerview.c: headerview_show()
	  src/textview.c: textview_write_line(): マルチバイト環境での
	  クラッシュを防ぐために表示文字列から表示不能な文字を削除するように
	  した。
	* src/codeconv.[ch]: conv_unreadable_locale(): 新規。
	  conv_localetodisp() から分離。

2003-03-10

	* src/procmsg.c: procmsg_cmp_by_subject()
	  src/summaryview.c: summary_cmp_by_subject(): 件名を比較するときに
	  Re: を無視するようにした。
	* src/utils.[ch]:
	  subject_compare_for_sort()
	  trim_subject_for_sort(): 新規。

2003-03-07

	* version 0.8.11

2003-03-07

	* src/defs.h: デフォルトの sendmail コマンドに -i オプションを追加。

2003-03-06

	* src/codeconv.[ch]: 足りない文字エンコーディングと locale を追加。

2003-03-06

	* src/procmsg.[ch]:
	  procmsg_get_mark_sum()
	  procmsg_open_mark_file()
	  procmsg_read_mark_file(): ディレクトリパスの代わりに FolderItem
	  を受け取るようにした。

2003-03-05

	* src/codeconv.c: conv_encode_header(): 長い非 ASCII 文字列を
	  エンコードするときに折り返し境界にある空白が失われるバグを修正
	  (Sergey Vlasov さん thanks)。
	  ハード行長制限(998文字)にかかるまで長い単語中で強制的に折り返
	  さないようにした(空白のない長いアドレスリストが壊れる問題への
	  対処)。

2003-03-03

	* src/prefs_account.c: gpg も ssl も使用しない場合にコンパイルに失敗
	  するのを修正。

2003-03-03

	* src/codeconv.c: UTF-8 locale 対応を修正。
	  conv_get_code_conv_func(): locale のエンコーディングが UTF-8 の
	  場合は conv_noconv を返すようにした。 ISO-8859-* から locale
	  エンコーディングへの変換の場合は conv_latintodisp を返すようにした。
	  conv_convert(): conv_codeset_strdup() の代わりに conv_iconv_strdup()
	  を呼ぶようにした。
	  conv_codeset_strdup(): 一部のコードを conv_iconv_strdup() に移動。

2003-02-28

	* src/prefs_account.[ch]: 署名にコマンドの出力を使用するオプション
	  を追加。
	* src/compose.c: compose_insert_sig(): 指定された場合はコマンドの
	  出力を使用。
	  compose_insert_command_output(): 新規。

2003-02-28

	* src/main.c: main(): --status コマンドが実行された時に sylpheed
	  が起動していない場合はロックソケットを削除。
	  lock_socket_remove(): 新規。

2003-02-27

	* src/codeconv.c: conv_codeset_strdup(): 現在のコードセットが
	  US-ASCII (または POSIX) の場合は変換しないようにした。

2003-02-21

	* src/codeconv.c: conv_iconv_strdup(): 無効な文字をスキップして
	  変換を続けるようにした。

2003-02-21

	* src/summaryview.c: summary_selected(): ウィジェットのセンシティ
	  ビティを常に更新するようにした。

2003-02-20

	* src/utils.c: tzoffset_sec(): GMT+12 より大きいまたは GMT-12 より
	  小さいタイムゾーンで誤った日付を表示していたバグを修正。

2003-02-18

	* src/prefs_common.[ch]
	  src/sourcewindow.c: ソースウィンドウのサイズを記憶するようにした。
	* src/md5.c: gcc 3.1 でのコンパイルの問題を修正。

2003-02-17

	* src/about.c: about_create(): 著作件表示を修正。

2003-02-17

	* src/colorlabel.c: カラーラベルの矩形に pixmap を使わず、矩形を
	  描画するようにし、パレットベースの画面のカラーマップに従うよう
	  にした(長期に渡る Solaris でのクラッシュを修正 - Alfons
	  Hoogervorst さん thanks)。

2003-02-17

	* src/procheader.c: procheader_date_parse(): 月の文字列を大小文字を
	  区別しないようにした。
	* src/prefs_filter.c: prefs_filter_close(): セレクションリストが
	  空の場合のクラッシュを修正。

2003-02-14

	* src/quote_fmt_parse.y: gettext 翻訳可能な文字列を削除。
	* src/unmime.c: unmime_header(): コード変換に失敗したときは壊れた
	  文字を削除。
	* src/codeconv.c: conv_encode_header(): 75 文字以上の長い単語が
	  入力されるとヘッダを壊していたバグを修正。

2003-02-13

	* src/codeconv.c: isprintableeuckanji(): 1バイト目で 0xf4 を超える
	  値を許可しないようにした(glibc の abort() 問題を修正)。
	* src/html.c: html_read_line(): 現在の locale で表示不能な文字を
	  削除。

2003-02-11

	* src/utils.[ch]:
	  trim_subject_for_compare(): trim_subject() を改名。
	  trim_subject(): 新規。件名の先頭の[...]または(...)を削除する。
	* src/prefs_folder_item.c
	  src/folder.[ch]:
	  サマリ/返信時の件名を省略するオプションを追加。
	* src/summaryview.c: summary_set_header(): フォルダオプションが設定
	  されていれば件名を短縮。
	* src/compose.c: compose_reply_set_entry(): フォルダオプションが設定
	  されていれば件名を短縮。

2003-02-09

	* src/codeconv.c:
	  LBREAK_IF_REQUIRED(): 最初の単語の前で改行しないようにした(X-Face
	  ヘッダの問題を修正)。
	  conv_encode_header(): 1単語97文字まで許可するようにした。

2003-02-07

	* src/filter.c: filter_match_condition(): 2番目の条件が正規表現を
	  無視していたバグを修正。
	* src/news.h: NewsGroupInfo: メッセージ番号に guint を使用
	  (グループリストダイアログのメッセージ数を修正) (Thorsten Maerz
	  さん thanks)。

2003-02-06

	* src/codeconv.c: conv_encode_header(): コード変換失敗時に segfault
	  を起こすバグを修正。
	  conv_get_charset_str()
	  conv_get_charset_from_str(): ハッシュテーブルを使用して最適化。

2003-02-06

	* src/quote_fmt_parse.y:
	  SHOW_MESSAGE_NO_SIGNATURE, SHOW_QUOTED_MESSAGE_NO_SIGNATURE:
	  "\n-- \n" のみを署名の区切りとして扱うようにした。

2003-02-05

	* src/gtkutils.[ch]: gtkut_ctree_node_prev(): 新規。
	* src/summary_search.c: summary_search_execute(): 閉じたノードも
	  検索するようにした。

2003-02-05

	* src/codeconv.c:
	  conv_unreadable_latin(): 0x7f を表示不可文字に含めた。
	  conv_localetodisp(): デフォルトで 8bit 文字を削除しないようにした。
	  conv_get_current_charset()
	  conv_get_outgoing_charset(): locale 名の末尾に "@euro" が追加され
	  ていれば ISO-8859-15 を返すようにした。
	* src/compose.c: compose_write_to_file(): コード変換に失敗したとき
	  変換元と変換先のエンコーディングを表示するようにした。

2003-02-04

	* version 0.8.10

2003-02-04

	* src/procmsg.h: WRITE_CACHE_DATA(): 速度を少し向上(Colin Leroy
	  さん thanks)。
	* src/mh.c: mh_get_msginfo(): NULL チェックを追加(Thorsten Maerz
	  さん thanks)。

2003-02-03

	* src/textview.c: textview_write_line(): conv が NULL の場合は
	  変換しないようにした。

2003-02-03

	* src/codeconv.[ch]:
	  conv_guess_encoding() を conv_guess_ja_encoding() に変更。
	  conv_localetodisp(): 新規。(仮定された)現在の locale 文字列から
	  表示不可な文字を削除する。
	  conv_codeset_strdup(): dest_code が NULL でかつ現在の locale
	  エンコーディングが US-ASCII ならば ISO-8859-1 に変換するようにした。
	  conv_get_code_conv_func(): 変換先文字コードに US-ASCII が指定され
	  ていれば conv_ustodisp を返すようにした。
	* src/textview.c: textview_write_line(): 変換に失敗した場合は
	  strncpy2() の代わりに conv_localetodisp() を使用。

2003-01-31

	* src/codeconv.c: conv_iconv_strdup()
	  src/imap.c:
	  imap_modified_utf7_to_locale()
	  imap_locale_to_modified_utf7(): いくつかのシステムで警告を除去
	  するために ICONV_CONST マクロを使用。
	* src/codeconv.c: conv_iconv_strdup(): iconv() の出力をフラッシュ
	  し、バッファを切り詰めるようにした。
	  変換に失敗したら不完全な文字列の代わりに NULL を返すようにした。

2003-01-30

	* src/summaryview.c: summary_execute(): 現在選択されているノードが
	  削除される場合は適切なノードを選択するようにした。
	* src/gtkutils.[ch]: gtkut_ctree_node_is_selected(): 新規。指定した
	  ノードが選択されていれば TRUE を返す。

2003-01-30

	* src/summaryview.c: summary_status_show(): 削除あるいは移動時に
	  たまにクラッシュするのを修正。

2003-01-29

	* src/codeconv.c: conv_unreadable_eucjp(): EUC-JP の正当性チェック
	  をより厳密にした。
	  isprintableeuckanji(): 新規。 EUC-JP の正当性チェックにテーブルを
	  使用するようにした。

2003-01-17

	* version 0.8.9

2003-01-17

	* INSTALL を更新。

2003-01-17

	* src/quoted-printable.c: qp_encode_line(): 元の文字列に CRLF が
	  あった場合に改行が重複するバグを修正。
	* src/utils.[ch]
	  canonicalize_str(): 新規。新規に確保された正規化された文字列を
	  返す。
	  uncanonicalize_file(): 新規。正規化を解除する(CRLF -> LF)。
	  uncanonicalize_file_replace(): 新規。
	* src/compose.c: 処理の前に常に本文を正規化し、戻る前に正規化を
	  解除するようにした。

2003-01-17

	* src/procmime.c: procmime_get_encoding_for_charset(): ロシア語
	  charset の場合は ENC_8BIT を選ぶようにした。
	* src/compose.c: compose_write_to_file(): 8bit メッセージを署名する
	  場合は base64 を使用するようにした。

2003-01-16

	* src/prefs_common.c: prefs_send_create(): Content-Transfer-Encoding
	  の設定の説明を追加。

2003-01-16

	* src/codeconv.c: ロシア語 locale のための locale_table の修正
	  (Sergey Vlasov さん thanks)。
	* src/procmime.c: procmime_get_encoding_for_charset(): ISO-8859-5,
	  KOI8-*, Windows-1251 に対して ENC_BASE64 を返すようにした。
	* src/compose.c: compose_attach_append(): message/rfc822 に対して
	  正しい Content-Transfer-Encoding をセットするようにした。
	  compose_write_to_file(): ユーザ定義の Content-Transfer-Encoding
	  を有効にした。
	* src/prefs_common.[ch]: ユーザ定義の Content-Transfer-Encoding
	  のオプションを追加。

2003-01-15

	* src/quoted-printable.[ch]: qp_encode_line(): 行が改行で終わらない
	  場合のバグを修正。

2003-01-15

	* quoted-printable 符号化を実装。
	* src/quoted-printable.[ch]: qp_encode_line(): 新規。
	* src/compose.c:
	  compose_write_to_file()
	  compose_write_attach(): quoted-printable 符号化を実装。
	  compose_attach_property_create(): quoted-printable メニュー項目を
	  有効にした。
	* src/procmime.c: procmime_get_encoding_for_charset(): ISO-8859-*
	  と CP125* 文字セットの場合は ENC_QUOTED_PRINTABLE を返すように
	  した。
	* src/Makefile.am: libiconv 対応のために sylpheed_LDADD に
	  $(LIBICONV) を追加。

2003-01-14

	* src/folderview.c
	  src/summaryview.c
	  src/utils.[ch]: get_abbrev_newsgroup_name(): ニュースグループ名
	  の省略方法を改良。

2003-01-14

	* configure.in: iconv 検出結果を表示。

2003-01-13

	* src/codeconv.[ch]: libjconv から iconv() へ移行。
	  conv_iconv_strdup(): 新規。
	* src/about.c
	  src/imap.c
	  src/mainwindow.c
	  src/prefs_common.c: HAVE_LIBJCONV を HAVE_ICONV に置換。

2003-01-10

	* src/compose.c
	  src/folderview.c
	  src/prefs_folder_item.c: 英語の修正(property -> properties)。
	* src/prefs_filter.c: エントリが保存されていなければ警告するように
	  した。
	  prefs_filter_dialog_to_filter(): 新規。

2003-01-09

	* src/codeconv.c: conv_encode_header(): 改行の後に生の文字列を出力
	  してしまうバグを修正。
	* INSTALL を更新。

2003-01-08

	* src/codeconv.[ch]: コードの整理と最適化。
	  conv_code_converter_new()
	  conv_convert(): libjconv 使用時に conv_get_code_conv_func() で
	  得られる関数を使用するようにした。
	  conv_codeset_strdup(): コードの整理。
	  conv_get_code_conv_func(): 変換先文字コードの引数を追加し、一般化
	  した。

2003-01-06

	* src/codeconv.c: LBREAK_IF_REQUIRED(): 文字が続く場合のみ改行する
	  ようにした。
	* src/compose.c: compose_convert_header(): 末尾の空白を削除。
	* src/customheader.c: custom_header_read_str(): 名前と値の空白を
	  削除。
	* src/prefs_customheader.c: prefs_custom_header_clist_set_row():
	  名前と値の空白を削除。

2002-12-25

	* version 0.8.8

2002-12-25

	* src/codeconv.c: conv_encode_header(): 無効な文字が現われると無限
	  ループに陥るバグを修正。

2002-12-25

	* src/procmsg.[ch]: procmsg_sort_msg_list(): 新規。メッセージリスト
	  をソートする。
	* src/summaryview.c: summary_show(): summary_sort() を削除
	  (folder_item_get_msg_list() 内部で行われるため)。これにより
	  サマリ表示の速度を向上。
	  マクロを使ってサマリのソート関数を整理。
	* src/mh.c
	  src/imap.c
	  src/news.c
	  src/folder.[ch]: folder_item_get_msg_list(): FolderItem::sort_key
	  がセットされていればあらかじめソートしたリストを返すようにした。
	  FolderSortKey enum に SORT_BY_TO を追加。
	* src/mainwindow.c: 「表示/ソート/宛先順」を追加。

2002-12-20

	* version 0.8.7

2002-12-20

	* src/codeconv.c: conv_encode_header(): 改行時の余分な空白の修正。
	* src/compose.c: compose_convert_header(): 改行するために常に
	  文字列を conv_encode_header() に渡すようにした。

2002-12-20

	* src/textview.c: textview_make_clickable_parts(): 誤った email
	  アドレスのパースを修正。

2002-12-19

	* src/defs.h: DEFAULT_BROWSER_CMD を追加。
	* src/mimeview.c: mimeview_view_file()
	  src/prefs_common.c: prefs_other_create()
	  src/utils.c: open_uri(): デフォルトの web ブラウザを mozilla に
	  変更し、 'netscape -remote' 中の 'remote' コマンド(非公開)を
	  'new-window' に変更。

2002-12-19

	* src/compose.c: compose_send_control_enter(): メッセージ/送信
	  がアクセラレータキーを持っていない場合に Ctrl-Enter を押すと
	  クラッシュする問題を修正(Sergey Vlasov さん thanks)。

2002-12-18

	* src/mainwindow.c:
	  set_charset_cb()
	  sort_summary_cb()
	  sort_summary_type_cb(): メニュー項目をチェック解除したときの
	  不要な処理を防ぐようにした。

2002-12-18

	* src/main.c: X なしでリモート操作を可能にするために gtk_init()
	  の前にコマンドラインオプションを処理するようにした(Ruslan N.
	  Balkin さん thanks)。
	* src/codeconv.c: conv_encode_header(): 潜在的なバッファオーバー
	  フローを修正。

2002-12-18

	* src/Makefile.am: $(target_alias) を $(target_triplet) に変更
	  (autotools の仕様変更の模様)。

2002-12-18

	* src/imap.c: サーバが NAMESPACE コマンドをサポートしていないとき
	  LIST コマンドを使ってパスセパレータを取得するようにした(Brian
	  Sammon さんのパッチに基づく)。
	  imap_parse_list(): パスセパレータを返すための引数を追加。
	  imap_get_namespace_by_list(): 新規。

2002-12-17

	* src/addr_compl.c: add_address(): デバッグ出力を削除。
	* src/gtkutils.[ch]: gtkut_window_popup()
	  src/mainwindow.c: main_window_popup(): ウィンドウのポップアップの
	  挙動を修正する Sergey Vlasov さんのパッチを適用(thanks!)
	* src/account.c: account_edit_create(): row_move シグナルに
	  signal_connect_after を使用して行位置のバグを修正。
	  account_row_moved(): CList を半ページスクロールするようにした。
	* src/prefs_filter.c: prefs_filter_row_move(): CList を半ページ
	  スクロールするようにした。
	* src/summaryview.c: summary_reply(): 表示されているメッセージが
	  選択されている場合のみ選択部テキストを使用するようにした(Sergey
	  Vlasov さん thanks)。

2002-12-13

	* src/codeconv.c: conv_encode_header(): MIME ヘッダエンコーディング
	  のルーチンを再実装。現在の locale がシングルバイトであれば
	  Q 符号化を使用するようにした。
	* src/utils.[ch]: is_next_nonascii(): ワイドキャラクタ文字列の代わり
	  にマルチバイト文字列をとるようにした。コントロールコードを非
	  ASCII とみなすようにした。
	  get_next_word_len(): 新規。次の単語の長さを返す。
	  is_next_mbs(), find_wspace(): 削除。
	* src/quoted-printable.[ch]: 新規。
	  qp_decode_line(): QP 行を1行デコードする。
	  qp_decode_q_encoding(): MIME ヘッダ中の Q 符号化された文字列を
	  デコードする。
	  qp_get_q_encoding_len(): 文字列を Q 符号化したときの長さを返す。
	  qp_q_encode(): 文字列を Q 符号化する(RFC 2047)。
	* src/unmime.c: quoted-printable 関連の関数を quoted-printable.c
	  に移動。

2002-12-05

	* src/send.c: send_message_local(): ドット1文字だけの行をエスケープ
	  するようにした(postfix の sendmail コマンドがそこで止まるため)。

2002-12-05

	* src/send.c: send_message_local(): 先頭がドットの行をエスケープ
	  しないようにした(Sergey Vlasov さん thanks)。

2002-12-03

	* autogen.sh: 現在の ltmain.sh を上書きするために
	  'libtoolize --force --copy' を追加。
	* acconfig.h: 削除。
	* configure.in: GPGME の最低バージョンを 0.3.10 に上げた。
	  XIM のチェックを修正。
	* ac/check-type.m4
	  ac/gnupg-check-typedef.m4: コメント用の引数を追加。

2002-11-29

	* src/imageview.[ch]: 衝突する imageview_show_image() の定義を修正
	  (Thorsten Maerz さん thanks)。

2002-11-28

	* src/compose.c: compose_entry_append(): サブジェクトエントリで
	  ", " を追加しないようにした。
	* src/codeconv.c: conv_get_outgoing_charset(): テーブルから送信
	  文字コードを得るようにした(日本語以外の locale では現在無効)。
	  conv_get_current_locale(): LC_CTYPE も参照するようにした。

2002-11-27

	* README: 隠し設定の説明を追加。

2002-11-27

	* src/prefs_common.[ch]: 全般の設定ダイアログを再構成。
	  enable_hscrollbar と bold_unread を隠しオプションにした。

2002-11-26

	* src/quote_fmt_parse.y: パースエラーを修正(Andreas Hinz さん thanks)。

2002-11-26

	* src/account.[ch]:
	  account_find_from_message_file()
	  account_find_from_msginfo(): 新規。指定したメッセージの 'From:'、
	  'X-Sylpheed-Account-Id:'、'AID:' のようなヘッダからアカウントを
	  検索する。
	* src/compose.c:
	  compose_reedit(): メッセージの以前の作成時のアカウントを復元。
	  compose_write_headers(): 草稿モードの場合 'X-Sylpheed-Account-Id:'
	  ヘッダを追加。

2002-11-26

	* src/compose.c: compose_entry_set() を使ってコードを整理
	  (gtk_entry_set_text() を直接使用しない)。

2002-11-25

	* src/imap.c: imap_parse_namespace(): メモリリークを修正。

2002-11-22

	* autotools と libtool を最新版に更新。
	* configure.in: AC_PREREQ(2.50) を追加。

2002-11-22

	* src/textview.c: textview_set_font(): UTF-8 locale でのメッセージ
	  表示の修正(Sergey Vlasov さん thanks)。

2002-11-21

	* src/imageview.[ch]: imageview_show_image(): 指定されればウィンドウ
	  サイズに合うように画像をリサイズするようにした。
	* src/prefs_common.[ch]: 「添付画像をリサイズする」オプションを追加。

2002-11-20

	* SMTP の実装をリファクタリング。
	* src/session.h: Session に ui_func を追加。
	* src/smtp.[ch]: 接続ルーチンを smtp_session_new() から smtp_connect()
	  に分離。
	  smtp_ok() 以外の全ての関数の引数を SockInfo から SMTPSession
	  に変更。
	  各関数から UI コールバックを呼ぶようにした。
	* src/send.c: send_message_smtp(): UI 更新のコードを
	  send_progress_dialog_update() に分離。

2002-11-18

	* src/smtp.[ch]: smtp_from() から smtp_auth() を分離。
	* src/send.c: send_message_smtp(): smtp_auth() を呼び出し、その状態
	  をダイアログに表示。

2002-11-18

	* src/filter.c: strmatch_regex(): 拡張正規表現を使用(Fabien Devaux
	  さん thanks)。
	* src/main.c: main(): assortrc -> filterrc 移行のためのコードを
	  削除。
	* src/gtkutils.c: gtkut_font_load(): 現在の locale が C または
	  POSIX の場合のみ gdk_font_load() を使用。
	  gtkut_stext_is_uri_string(): URI 文字列に "www." を含むようにした。
	* src/textview.c: textview_make_clickable_parts(): URI 文字列に
	  "www." を含むようにした。

2002-11-15

	* version 0.8.6

2002-11-13

	* src/textview.c: textview_add_part(): 署名の状態を異なる色で表示。

2002-11-12

	* src/folder.c: folder_write_list_recursive(): To/Cc/Bcc/Reply-To
	  の文字列をエスケープするようにした。

2002-11-11

	* src/codeconv.c: conv_encode_header(): libjconv 未使用時に日本語
	  以外の locale でヘッダの B-encoding を有効にした。

2002-11-11

	* src/inc.[ch]: INC_IO_ERROR を IncState に追加。それに対応する
	  エラーメッセージも追加。
	  inc_pop3_session_do(): PS_IOERR のとき INC_NOSPACE の代わりに
	  INC_IO_ERROR をセット。

2002-11-07

	* src/prefs_account.[ch]: 使われていないため
	  prefs_account_save_config() を削除。
	* src/procmime.[ch]: procmime_mimeinfo_free_all() が全ての場合に
	  使えるため procmime_mimeinfo_free() を削除。

2002-11-06

	* src/account.c: account_get_special_folder(): F_INBOX に対応し、
	  コードを整理。

2002-11-06

	* src/compose.[ch]: ComposeEntryType: COMPOSE_* を COMPOSE_ENTRY_*
	  に変更し、 COMPOSE_ENTRY_{REPLY_TO,SUBJECT,FOLLOWUP_TO} を追加。
	  compose_reply()
	  compose_forward()
	  compose_redirect(): FolderItem を引数に加え、 item の設定を反映
	  させるようにした。
	  compose_entry_set(): 新規。
	  compose_entry_append(): コードの整理。
	  compose_entries_set_from_item(): ComposeMode を引数にとるようにし、
	  FolderItem::use_auto_to_on_reply が有効になるようにした。
	* src/summaryview.c: summary_reply(): folder_item を
	  compose_{reply,forward,redirect}() に渡すようにした。

2002-11-05

	* src/gtkutils.[ch]:
	  gtkut_font_load(): 新規。現在の locale によって font または fontset
	  を自動的に選択する。
	  gtkut_font_load_from_fontset(): 新規。フォントセット文字列から
	  フォントセットの代わりに単一のフォントの読み込みを試みる。
	* src/alertpanel.c
	  src/folderview.c
	  src/headerview.c
	  src/summaryview.c: C または POSIX locale で 8-bit 文字を表示
	  できない問題に対処(fontset の代わりに font を使用)。
	* src/compose.c
	  src/sourcewindow.c
	  src/textview.c: gtkut_font_load*() を使用してコードを整理。

2002-10-29

	* src/mh.c: mh_get_msginfo(): 正しいメッセージ番号をセット。

2002-10-29

	* src/folder.[ch]: 新規仮想メソッド Folder::get_msginfo() を追加。
	  メッセージ番号に対応する新規 MsgInfo を返す。
	  folder_item_get_msginfo(): 新規。
	* src/imap.[ch]: imap_get_msginfo(): 新規。
	* src/mh.[ch]: mh_get_msginfo(): 新規。
	* src/news.[ch]: news_get_msginfo(): 新規。

2002-10-28

	* src/codeconv.c: conv_euctojis(): 不正なコードが出現したら無限
	  ループに陥るバグを修正。

2002-10-25

	* src/codeconv.c: conv_codeset_strdup()
	  src/html.[ch]: html_read_line(): 変換失敗の警告を出さないように
	  した。
	  enum HTMLState に HTML_CONV_FAILED を追加。

2002-10-24

	* フォルダ毎の自動指定アドレスを実装(まだ作業中)。
	* src/compose.[ch]: compose_new(): 引数に FolderItem を追加し、
	  (mailto が空であれば)それからエントリを設定。
	  compose_entry_append(): 必要であればメニューを有効にするようにした。
	  compose_entries_set_from_item(): 新規。
	* src/folder.[ch]: auto_to, use_auto_to_on_reply, auto_cc, auto_bcc,
	  auto_replyto を FolderItem に追加し、 apply_sub を ac_apply_sub
	  に名称変更。
	  folder_build_tree(), folder_read_folder_func(),
	  folder_write_list_recursive(): 上記メンバを追加。
	* src/prefs_folder_item.[ch]: 自動指定アドレスを追加。
	* src/pop.[ch]: Pop3State::prev_folder を削除。

2002-10-11

	* src/compose.c: ファイルマネージャからファイルを「移動」することで
	  ファイルをドロップできるようにした(Alfons さん thanks)。

2002-10-10

	* compose_reply_set_entry(): ML 返信のとき Reply-To を List-Post
	  より優先させるようにした。

2002-10-09

	* src/gtksctree.[ch]: gtk_sctree_set_anchor_row(): 新規。
	* src/summaryview.c: summary_step(): 正しいセレクションアンカーを
	  失うバグを修正。
	  summary_key_pressed(): gtk_ctree_select() の代わりに
	  gtk_sctree_select() を使用。
	* src/inc.[ch]
	  src/pop.c
	  src/recv.c: ディスクフルとソケットエラーを区別するようにした
	  (Colin Leroy さん thanks)。

2002-10-08

	* src/account.c: account_edit_prefs(): 未使用の変数を削除。
	* src/compose.[ch]: ComposeMode の WITH_QUOTE/WITHOUT_QUOTE フラグ
	  を分離。
	  compose_reply()
	  compose_reply_set_entry(): 返信形式を一つの引数で受け取るように
	  した。
	* src/summaryview.c: summary_reply(): 条件分岐を削減。

2002-10-08

	* src/compose.c: compose_redirect(), compose_reedit(): 行終端から
	  CR を取り除くようにした(Sergey Vlasov さん thanks)。
	* src/folderview.c: 「フォルダツリーを再スキャン」を「フォルダツリー
	  を再構築」に改名。

2002-10-08

	* src/folder.[ch]: 仮想メソッド Folder::remove_msgs() を追加。
	* src/imap.[ch]: メッセージを一度に削除する imap_remove_msgs()
	  を実装。

2002-10-07

	* src/account.[ch]: account_open(): 新規。アカウント設定ダイアログ
	  を開き、終了時に UI に反映させる。
	* src/folderview.c:
	  folderview_button_pressed()
	  folderview_property_cb(): リモートアカウントのルートフォルダの
	  プロパティを要求されたらアカウント設定ダイアログを開くようにした。

2002-10-07

	* src/account.c: account_destroy(): フォルダ中のアカウント情報への
	  参照を解除するようにした。
	* src/folder.[ch]: folder_unref_account_all(): 新規。全フォルダ中
	  の指定したアカウント情報への参照を解除する。
	* src/folderview.c:
	  folderview_rm_imap_server_cb()
	  folderview_rm_news_server_cb(): folder_destroy() がアカウント情報
	  を参照しているため Folder を先に削除するようにした。

2002-10-04

	* src/account.c: account_find_from_item(): 正しいアカウントを選択
	  していなかったバグを修正。
	* inc_pop3_session_do():
	  SSL の初期化に失敗したときのリソースのリークを修正。
	  キャンセルされたら一時的なイベントループからすぐに抜けるようにした。

2002-10-04

	* src/account.[ch]: account_find_from_item(): 新規。
	* src/compose.c:
	  compose_reply(), compose_forward(), compose_redirect()
	  src/mainwindow.c: compose_cb(): 作成時に最適なアカウントを選択
	  するようにした。
	* src/folder.[ch]: FolderItem::apply_sub を追加。
	* src/menu.[ch]: menu_find_option_menu_index(): 新規。指定した
	  データを含むオプションメニューのインデックスを検索する。
	* src/prefs_folder_item(): 作成タブと、フォルダアカウントの設定を
	  追加。

2002-10-04

	* configure.in: lber ライブラリの検出に $LDAP_LIBS を追加。

2002-10-03

	* version 0.8.5

2002-10-03

	* src/procmsg.c: procmsg_msginfo_get_full_info(): メモリリークを
	  修正し、エラーチェックを追加。

2002-10-03

	* src/compose.[ch]: フラグ Compose::use_newsgroups を追加し、
	  Compose::orig_account を削除。
	  compose_check_for_valid_recipient(): 有効なエントリのみをチェック。
	  compose_write_headers()
	  compose_redirect_write_headers(): エントリが有効になっている場合
	  のみ Newsgroups ヘッダを追加。
	  compose_send(): ニュースアカウントからメールアカウントを見つける
	  方法を From アドレスをマッチさせるように変更。
	* src/send.c: send_message_queue(): ニュースメッセージの送信待機
	  を有効にした。
	* src/news.[ch]: news_post_stream(): 新規。

2002-10-03

	* configure.in: lber を先にチェックし、 ldap のチェック時に
	  $LDAP_LIBS を使用。

2002-10-02

	* po/*.po: クラッシュを引き起こす多くのフォーマット文字列のミス
	  を修正(Sergey Vlasov さん thanks)。

2002-10-02

	* src/procheader.c: procheader_parse_stream(): 完全パースの対象
	  に Cc ヘッダを追加。
	* src/procmsg.[ch]: procmsg_msginfo_get_full_info(): 新規。指定
	  された情報から完全なメッセージ情報を返す。
	* src/compose.c: compose_reply(), compose_forward(): Cc ヘッダの
	  ために完全なメッセージ情報を得るようにした。

2002-10-02

	* src/inc.c: inc_account_mail(), inc_all_account_mail(): IMAP4 と
	  NNTP のアカウントをチェックした後それらのフォルダのサマリを更新
	  するようにした。

2002-10-01

	* version 0.8.4

2002-10-01

	* src/prefs_common.c: prefs_compose_create(): 返信ボタンのオプション
	  のラベルを修正。
	* configure.in: LDAP ライブラリ検出の AC_CHECK_LIB() の5番目の引数
	  に -lldap と -llber を追加。

2002-09-30

	* INSTALL
	  INSTALL.jp: 更新。

2002-09-30

	* src/mainwindow.c: 返信ボタンの挙動を通常の返信と ML への返信
	  とで切り替えるようにした。
	* src/prefs_common.[ch]: 返信ボタンの機能を切り替えるオプション
	  を追加。

2002-09-27

	* src/compose.c: compose_new(): 効果が無く、ハングを引き起こすだけ
	  であるため XIM の workaround を削除。

2002-09-26

	* src/compose.[ch]: compose_reply(): ML への返信用のフラグを追加。
	  compose_parse_header(): List-Post ヘッダもパース。
	  compose_reply_set_entry(): ML への返信に対応(ML のアドレスが
	  見つからなければ通常の返信に fallback する)。
	* src/mainwindow.c
	  src/prefs_common.c
	  src/summaryview.c: 返信メニューを再構成し、「メーリングリストに
	  返信」を追加。
	* src/utils.[ch]: scan_mailto_url(): 新規。 mailto URL をスキャンし、
	  新規に確保したパラメータを返す。

2002-09-25

	* src/account.c: account_read_config_all(): アカウント情報を設定
	  ファイルで初期化する前にデフォルトに設定するようにした。
	* src/prefs_account.[ch]: prefs_account_new(): 新規。デフォルトの
	  設定で初期化されたアカウント情報構造体を新規に作成して返す。

2002-09-24

	* src/addr_compl.c:
	  replace_address_in_edit(): newtext が NULL かどうかをチェック。
	  completion_window_button_press(): メモリリークを修正。
	* src/pop.c: LOOKUP_NEXT_MSG(): recv_time が RECV_TIME_KEEP である
	  メッセージを期限切れにしないようにした。
	  pop3_getrange_uidl_recv(): ac_prefs->getall がセットされている
	  ときのみ get_all フラグをセット。
	  pop3_retr_recv(): フィルタで受信されなかったメッセージを削除
	  しないようにし、その場合 recv_time を RECV_TIME_KEEP に設定する
	  ようにした。
	* src/pop.h: enum RecvTime を追加。
	* src/inc.c: inc_drop_message(): フィルタで受信されない場合一時
	  メッセージファイルを unlink するようにした。

2002-09-20

	* src/mainwindow.c: 「編集/スレッドを選択」メニューを追加。
	* src/summaryview.[ch]: コンテキストメニューに「スレッドを選択」を
	  追加。
	  summary_select_thread(): 新規。現在のスレッドのメッセージを全て
	  選択する。

2002-09-19

	* src/rfc2015.c: check_signature(): エラー処理とメモリリークを修正。

2002-09-19

	* src/rfc2015.c: check_signature(): 検証前にファイルパートの最後の
	  空行を正しく除去し、正規化するようにした(Evolution その他 MUA
	  との非互換性を解消するはず)。
	* src/utils.[ch]: copy_file_part(): 新規。指定した範囲のファイル
	  ストリームを別のファイルにコピーする。

2002-09-19

	* src/compose.c: compose_write_to_file(): 8-bit テキストの署名時に
	  は BASE64 エンコードを強制するようにした(Colin Leroy さん thanks)。

2002-09-16

	* src/prefs_common.c: prefs_send_create(): Cyrillic (Windows-1251)
	  用の charset 文字列を修正。

2002-09-15

	* version 0.8.3

2002-09-15

	* src/codeconv.c: ru_RU.CP1251 の charset を Windows-1251 に変更し、
	  bg_BG locale を追加。

2002-09-11

	* src/compose.c: account_activated(): 選択されたアカウントに応じて
	  メニュー項目とエントリの状態を変更。
	  compose_select_account(): 新規。タイトルバー、メニュー項目、
	  エントリの状態を変更する。

2002-09-11

	* src/inc.c: inc_mail(): inc_spool() がエラーで帰ったときの
	  new_msgs を訂正。
	  open_inbox_on_inc がセットされているとき、受信中にサマリビューを
	  リフレッシュしないようにした。

2002-09-10

	* src/summaryview.c: summary_show(): open_inbox_on_inc がセット
	  されていてもリフレッシュするようにした(サマリのリフレッシュの
	  問題を防ぐため)。
	* src/imap.c: remove*_numbered_files() を呼ぶ前にディレクトリの
	  存在をチェックして警告を除去。

2002-09-06

	* src/prefs_common.c: 英語を訂正。

2002-09-06

	* src/prefs_common.[ch]: オプション「新規ウィンドウで開いたときのみ
	  メッセージを既読としてマーク」を追加。

2002-09-04

	* src/folder.c:
	  folder_tree_destroy()
	  folder_write_list_recursive(): 整合性チェックを追加。
	* src/imap.c: imap_scan_tree(): folder->node が NULL で session
	  を取得できない場合、空のフォルダノードを作成するようにした
	  (Alfons さんの提案に基づく)。

2002-09-03

	* src/textview.c: textview_key_pressed(): GDK_Delete イベントを
	  SummaryView に渡すようにした。
	* src/summaryview.c: summary_key_pressed(): MIME モードのときに
	  正しい TextView をスクロールするようにした。

2002-09-02

	* src/news.c: news_scan_group(): 誤ったメッセージ数計算を修正。

2002-08-30

	* 主要な POP3 のリファクタリング。
	* src/inc.[ch]: Pop3State, inc_pop3_state_new(),
	  inc_pop3_state_destroy(), inc_get_uidl_table(), そして
	  inc_write_uidl_list() を pop.c に移動。
	  Pop3State::folder_table と Pop3State::inc_state を IncSession
	  に移動。
	  inc_start()
	  inc_put_error(): lockbusy 状態を追加。
	  inc_pop3_session_do(): inc_state を Pop3State::error_val から得る
	  ようにした。
	  inc_cancel(): ここで automaton を terminate せずにフラグをセット
	  するだけにしてクラッシュを回避。
	* src/pop.[ch]
	  pop3_getauth_pass_recv()
	  pop3_getauth_apop_recv(): lockbusy 状態をチェック。
	  pop3_retr_recv(): Pop3State::cancelled フラグをチェック。
	* src/automaton.[ch]: Automaton に 'cancelled' フラグを追加。
	  automaton_input_cb(): cancelled フラグが真の場合 terminate 。
	* sylpheed.desktop: Type=Internet を Type=Application に修正。
	  Categories=Application;Network; を追加。

2002-08-29

	* src/inc.[ch]
	  src/pop.c
	  src/progressdialog.c: 状態カラムに詳細な情報を表示。
	  Pop3State に cur_total_recv_bytes を追加。
	* src/prefs_common.[ch]: 完了時に受信ダイアログを閉じるかどうかを
	  指定するオプションを追加。

2002-08-28

	* src/folder.[ch]: folder_get_path(): 新規。 Folder のルートパスを
	  返す。
	* src/imap.c
	  src/news.c
	  imap_folder_destroy()
	  imap_remove_msg()
	  imap_remove_all_msg()
	  news_folder_destroy(): Folder / メッセージを削除するときに
	  キャッシュディレクトリ / ファイルを削除するようにした。
	* src/utils.c:
	  file_exist()
	  is_dir_exist()
	  is_file_entry_exist(): 引数が NULL かどうかをチェック。
	  remove_all_files()
	  remove_numbered_files()
	  remove_expired_files(): エラー時のメモリリークを修正。

2002-08-28

	* src/folder.[ch]
	  src/imap.[ch]
	  src/mh.[ch]
	  src/news.[ch]
	  src/session.[ch]
	  src/smtp.[ch]: Folder と Session のデストラクタを仮想メソッドに
	  した。

2002-08-27

	* src/compose.c: 通常行の結合を自動改行時のみ行うようにした。
	* src/main.c: GnuPG の警告メッセージを修正。
	* src/about.c: about_create(): コンパイル済機能一覧を修正。
	* configure.in: LDAP ライブラリのチェックを改良(Alfons さん thanks)。

2002-08-26

	* version 0.8.2

2002-08-26

	* src/compose.c:
	  join_next_line()
	  compose_wrap_line_all(): インデントされていない行を結合する変更
	  を元に戻した。
	* NEWS
	  TODO
	  TODO.jp: 更新。
	* configure.in: 少なくとも gpgme-0.3.5 を要求するようにした。

2002-08-23

	* src/alertpanel.c: alertpanel_create(): 少し修正。
	* NEWS を修正。

2002-08-23

	* NEWS を更新。

2002-08-23

	* src/alertpanel.c: alertpanel_create(): レイアウトを修正。
	* src/rfc2015.c: check_signature(): エラー時に abort しないようにした。

2002-08-22

	* src/compose.c: compose_wrap_line_all(): ちらつきを抑えるために
	  必要なときのみ widget を freeze するようにした。

2002-08-21

	* src/compose.c: 行折り返しを改良。
	  join_next_line()
	  compose_wrap_line_all(): インデントされていない行も結合。
	  dump_text(): マルチバイト文字も正しく扱うようにした。

2002-08-21

	* src/compose.c: compose_wrap_line_all(): 自動改行のための修正
	  (行の上限位置で空白が入力されたら次の行に移動)。

2002-08-19

	* src/inc.c: inc_get_uidl_table(): Martin Kluge さんによって報告
	  されたメモリリークを修正。

2002-08-16

	* src/mh.c: mh_scan_tree_recursive(): 混乱を避けるために Maildir
	  フォルダチェックを無効にした。

2002-08-16

	* src/folder.[ch]: folder_item_get_msg_list(): メソッド
	  Folder::get_msg_list() へのラッパーを追加。
	* src/account.c: account_edit_prefs(), account_delete():
	  folderview_rescan_all() の代わりに folderview_set_all() を使用。
	* src/folderview.[ch]:
	  folderview_check_new_all(): 新規。全フォルダを更新する。
	  folderview_rescan_tree(): 実行前に確認するようにした。
	  folderview_rescan_all(): もう使われないためコメントアウト。
	  folderview_update_item_foreach(): サマリの更新のフラグを追加。
	* src/inc.c: inc_finished(): prefs_common.scan_all_after_inc が
	  セットされている場合のみサマリを更新するようにした。
	  inc_drop_message(): サマリの更新を強制するために対象フォルダの
	  mtime を 0 にセット。
	  inc_start(), get_spool(): フォルダビューを更新するときにサマリも
	  更新するようにした。
	* src/mainwindow.c: 「ファイル - フォルダツリーを再スキャン」を
	  「ファイル - 全フォルダの新着メッセージをチェック」に変更。

2002-08-09

	* src/compose.c: compose_write_to_file(): 指定した場合メッセージ本文
	  をクリア署名するようにした。
	  compose_clearsign_text(): 新規。文字列をクリア署名したもので
	  置き換える。
	* src/prefs_account.c: クリア署名のオプションを追加。
	* src/rfc2015.c: rfc2015_clearsign(): 新規。
	  pgp_sign(): クリア署名のフラグを追加。
	* src/utils.[ch]: get_tmp_file(): 新規に確保された一意のファイル名
	  を返すようにした(呼び出し側で解放する必要がある)。
	  str_write_to_file(), file_read_to_str(): 新規。

2002-08-08

	* src/procmsg.c: procmsg_read_mark_file(): メモリリークを避ける
	  ためキーの重複をチェック。

2002-08-08

	* src/base64.c: memcpy() のために string.h を include した。
	* src/gtksctree.c: 関数 abs() の代わりにマクロ ABS() を使用。
	* src/prefs_account.c
	  src/prefs_common.c: sys/socket.h 中の関数 send() と衝突しないように
	  'send' を 'p_send' に名称変更した。
	* src/mainwindow.c: 不要な関数をコメントアウトした。
	* src/utils.c: canonicalize_file_replace(): 警告メッセージを訂正。

2002-08-08

	* src/utils.[ch]: get_tmp_file(): 新規。 ~/.sylpheed/ 中のテンポラリ
	  ファイル用のディレクトリを返す。
	* src/main.c: ~/.sylpheed/ 中にテンポラリディレクトリを作成。
	* src/compose.c
	  src/inc.c: ~/.sylpheed/ 中にテンポラリファイルを作るようにし、
	  ファイル名を修正。
	  compose_exec_ext_editor(): g_get_tmp_dir() が '/tmp' 以外を返した
	  ときにテンポラリファイルの作成に失敗するバグを修正。

2002-08-08

	* src/utils.c: copy_file(): unlink するときに dest_bak != NULL か
	  どうかをチェック。

2002-08-08

	* src/utils.[ch]: canonicalize_file_replace(): 与えられたファイルと
	  一時ファイルが同じファイルシステム上になかった場合にファイルの
	  置き換えに失敗するバグを修正。
	  copy_file(): バックアップを保持するかどうかのフラグを追加。
	  move_file(): 移動先ファイルを上書きするかどうかのフラグを追加。

2002-08-07

	* src/socket.[ch]: IPv6 が有効な場合にリンクに失敗するのを修正。
	* src/select-keys.c: キー選択ダイアログを修正。

2002-08-07

	* src/socket.[ch]: my_gethostbyname(): 新規。
	* src/utils.c: get_domain_name(): 短いホスト名の代わりに FQDN を
	  返すようにした(Bob Woodside さん thanks)。
	* src/template.c: デバッグメッセージの冗長度を下げた。

2002-08-06

	* src/prefs_common.[ch]: obsolete なデフォルト署名鍵の設定を削除。
	* src/utils.c: canonicalize_file(): fwrite() のエラーチェックを
	  訂正。

2002-08-06

	* src/compose.c: compose_write_to_file():
	  暗号化/署名の前に行末を正規化するようにした(他の MUA との相互運用
	  性が修正されるはず)。
	  不要な strdup を除去。
	  草稿メッセージを暗号化/署名しないようにした。
	* src/utils.[ch]:
	  canonicalize_file(), canonicalize_file_replace(): 新規。
	* src/passphrase.c
	  src/select-keys.c: g_message() を debug_print() と g_warning()
	  に変更。
	* src/mimeview.c: mimeview_check_signature(): 不要な MIME 構造の
	  スキャンを削除。
	* src/textview.c: textview_add_part(): 署名のステータスを TextView
	  に表示。
	* src/rfc2015.c
	  src/sigstatus.c: 翻訳可能な文字列といくつかの MIME ヘッダを修正。

2002-08-06

	* src/procmsg.c: procmsg_save_to_outbox(): 送信待ちから保存する
	  ときに一時ファイルを消去するのを忘れていたのを修正。

2002-08-05

	* src/compose.c
	  src/passphrase.[ch]
	  src/rfc2015.[ch]
	  src/prefs_account.[ch]
	  src/prefs_common.[ch]: claws ブランチから GnuPG 関連をマージ。
	  いくつかのメッセージを修正。

2002-08-05

	* src/textview.c: textview_scan_header(): メモリリークを修正
	  (Alfons さん thanks)。

2002-08-04

	* src/prefs_actions.c: execute_actions(): create_io_dialog() を
	  正しい条件ブロックに入れた。

2002-08-01

	* src/compose.c: compose_wrap_line_all(): 文字バッファの初期化を
	  修正。
	* src/utils.c:
	  log_print()
	  log_message()
	  log_warning()
	  log_error(): ログメッセージにタイムスタンプを追加。

2002-07-31

	* src/socket.c: typo を修正(HAVE_SYS_SELECT -> HAVE_SYS_SELECT_H)

2002-07-31

	* src/socket.c: socket I/O タイムアウトを実装。
	  fd_recv(): 新規。
	* src/pop.c: 正しくエラーをチェックしてエラー値を返すようにした。

2002-07-31

	* src/prefs_actions.c: アクションの入出力ダイアログを遅延させずに
	  表示するようにした。ウィンドウをインセンシティヴにする代わりに
	  ダイアログをモーダルにした。 UI を整理。

2002-07-29

	* --attach コマンドラインオプションを実装。
	* src/main.c:
	  Cmd::attach_files: ファイルパスを保存する新規メンバ。
	  parse_cmd_opt(): --attach オプションを追加。 --compose オプション
	  が暗黙に指定される。
	  prohibit_duplicate_launch()
	  lock_socket_input_cb(): "compose_attach" メッセージを追加。
	* src/compose.c
	  src/mainwindow.c
	  src/textview.c: compose_new_with_recipient() を compose_new() に
	  名称変更し、添付ファイルのための引数を追加。

2002-07-29

	* src/logwindow.c: 隠しているときは GtkText ウィジェットをフリーズ。
	  log_window_append(): メッセージと警告のヘッダを変更。

2002-07-26

	* src/news.c: 自動キャッシュ削除を実装。
	  news_delete_expired_caches(): 新規。
	  news_get_article_list(): 存在しないメッセージがリストから削除
	  されないバグを修正。
	* src/procmsg.[ch]: procmsg_get_last_num_in_msg_list():
	  procmsg_get_last_num_in_cache() を名称変更。
	* src/utils.[ch]: remove_expired_files(): 新規。

2002-07-26

	* src/inc.c
	  inc_mail(): 取込に外部コマンドを使ったときはサマリの更新を強制
	  するようにした。
	  inc_all_account_mail(): スプールのチェックの失敗時のバグを修正。

2002-07-25

	* version 0.8.1

2002-07-24

	* src/addressbook.c
	  src/editaddress.c
	  src/editgroup.c
	  src/editldap_basedn.c
	  src/importldif.c
	  src/prefs_common.c: gtk_editable_get_chars() が返す文字列を free
	  していなかったメモリリークを修正。少しコードを整理。
	* src/importldif.h
	  src/vcard.h: C++ スタイルのコメントを除去。

2002-07-23

	* src/codeconv.c: conv_encode_header(): マルチバイトと us-ascii
	  文字を両方含む文字列のエンコードの問題を修正。

2002-07-23

	* src/utils.c: remove_numbered_files(): ディレクトリを unlink()
	  しないようにした。
	* src/codeconv.c:
	  conv_get_code_conv_func(): charset が指定されていなければ
	  conv_anytodisp() を返すようにした。
	  conv_unmime_header_overwrite()
	  conv_unmime_header(): ヘッダをデコードする前に conv_anytodisp()
	  するようにした。

2002-07-14

	* version 0.8.0

2002-07-14

	* src/compose.c: 「ツール/アクション」メニューを追加。

2002-07-12

	* src/base64.c: BASE64VAL() マクロのマイナーな修正。

2002-07-11

	* src/base64.c: base64_decode(): バッファオーバーランのバグを修正。

2002-07-11

	* src/codeconv.c
	  src/compose.c
	  src/smtp.c
	  src/unmime.c
	  src/base64.[ch]: BASE64 エンコード / デコードルーチンを書き直した。
	  base64_encode(), base64_decode(): 新規。
	* src/rfc822.[ch]: 削除。
	* COPYING
	  src/about.c: fetchmail の著作権表示を削除。

2002-07-10

	* src/codeconv.c
	  src/procmime.c
	  src/unmime.[ch]: MIME デコードルーチンを書き直した。
	  unmime_header()
	  unmime_quoted_printable_line(): 新規。
	* src/procheader.c:
	  procheader_get_one_field()
	  procheader_get_unfolded_line(): CR も削除するようにした。

2002-07-08

	* libkcc: ソースツリーから削除。
	* COPYING
	  src/about.c: libkcc の著作権表示を削除。
	* src/codeconv.c: conv_guess_encoding(): スピードアップのために
	  最初に ASCII コードをチェック。
	* src/prefs_actions.c: 不要なスペース/タブを除去。

2002-07-05

	* src/prefs_actions.c: コーディングスタイルに準拠。
	  UI のデザインを修正。
	* src/mainwindow.c: main_window_set_menu_sensitive(): 複数の
	  メッセージが選択されているときアクションメニューを有効に
	  するようにした。

2002-07-05

	* src/prefs_actions.[ch]: claws から「アクション」機能をマージ。
	  update_actions_menu(): メニュー削除を簡略化。
	* src/mainwindow.c: 「アクション」メニューをツールと設定に追加。

2002-07-04

	* src/codeconv.[ch]: conv_jistoeuc(), conv_euctojis(),
	  conv_sjistoeuc(), conv_guess_encoding() を実装。 libkcc に依存
	  しないようにした。

2002-07-04

	* configure.in: strchr のチェックを追加。

2002-07-02

	* src/prefs_common.[ch]
	  src/inc.c: 受信エラーダイアログを抑制するオプションを追加。

2002-07-01

	* src/account.c: account_find_from_address(): ヘッダの複数のアドレス
	  に対応。

2002-06-28

	* src/gtksctree.[ch]: 行の移動後に無効にならないように
	  GtkSCTree::anchor_row を gint から GtkCTreeNode* に変更。
	  gtkutils.c に依存しないようにした。
	* src/prefs_common.[ch]
	  src/summaryview.c: summary_selected(): サマリビューでカーソルキー
	  を押したときメッセージを表示するオプションを追加。

2002-06-28

	* configure.in
	  src/Makefile.am
	  src/compose.c: クロスコンパイル時に正しいシステム名を表示するように
	  "host_alias" を "target_alias" に変更(Patrice Mandin さん thanks)。

2002-06-27

	* src/prefs_account.[ch]: SMTP AUTH の認証方式を強制指定する
	  オプションメニューを追加。
	* src/send.c
	  src/smtp.[ch]: smtp_from(), smtp_auth(): SMTP AUTH の認証方式を
	  指定する引数を追加。
	  smtp_ehlo(): RFC に準拠しない AUTH 応答を許可するようにした。

2002-06-25

	* src/prefs_common.[ch]
	  src/compose.c: 「入力時に自動改行」を実装。

2002-06-25

	* src/summaryview.[ch]
	  src/mainwindow.c: 「移動/{次の,前の}新着メッセージ」メニューを追加。
	  少しコードを整理。

2002-06-20

	* src/folderview.c
	  src/prefs_common.[ch]: フォルダビューで垂直スクロールバーの
	  ポリシーを指定する隠しオプションを追加。

2002-06-19

	* src/messageview.[ch]:
	  messageview_copy_clipboard(): MIME モードでテキストをコピーでき
	  ないバグを修正。
	  messageview_get_current_textview(): 新規。
	  messageview_get_text_widget(): 削除。
	* src/quote_fmt_parse.y: msginfo が空でもメッセージを引用するように
	  した。
	* src/compose.[ch]: 「引用としてペースト」を実装。
	  text_inserted(): 新しい "insert_text" シグナルのコールバック。
	  Compose::paste_as_quotation が TRUE ならペーストするテキストに
	  引用符を付ける。

2002-06-19

	* src/compose.c: ファイルの Content-Type が text/* の場合は、その
	  内容をチェックして最適な Content-Transfer-Encoding を指定
	  (湯浅さん thanks)。

2002-06-18

	* src/textview.c: textview_key_pressed(): メニューショートカットを
	  作動させるためにキープレスイベントをメインウィンドウに渡すように
	  した(Alfons さん thanks)。

2002-06-18

	* src/folder.c: folder_build_tree(): 繰り下げを防ぐために mtime に
	  atoi() の代わりに strtoul() を使用。
	* src/imap.c:
	  imap_move_msg()
	  imap_move_msgs_with_dest()
	  imap_copy_msgs_with_dest(): 複数メッセージのコピー/移動を妨げる
	  バグを修正。
	  imap_parse_envelope()
	  imap_cmd_envelope(): メッセージの完全な情報を取得し、パーサを
	  単純化するために ENVELOPE の代わりに RFC822.HEADER を使用。
	  スレッド構築の際に References ヘッダが無視されていたバグを修正。
	  imap_parse_one_address()
	  imap_parse_address(): 削除。
	  imap_get_header(): 新規。 RFC822 ヘッダを読みこみ新たに確保された
	  文字列を返す。
	* src/procheader.[ch]: procheader_parse() を procheader_parse_stream()
	  に変更し、異なるインタフェースを追加。

2002-06-17

	* po/zh_TW.Big5.po: クラッシュを起こすミスを修正。

2002-06-15

	* version 0.7.8

2002-06-13

	* src/inc.c: inc_get_uidl_table(): 無効な時間がハッシュテーブルに
	  挿入される可能性のあるバグを修正。
	  inc_write_uidl_list(): 少しコードを整理。
	* src/mainwindow.c: main_window_get_current_state():
	  空フォルダでの状態を実行不可にした。
	* src/summaryview.c: summary_sort():
	  空フォルダでソートしないようにした。
	* src/pop.c: 少しコードを整理。

2002-06-12

	* src/prefs_account.c: CREATE_RADIO_BUTTONS(): typo を修正し、
	  ラジオボタンの挙動を修正。

2002-06-11

	* POP3 で「N 日後にメッセージを削除」機能を実装。
	* src/inc.[ch]:
	  inc_get_uidl_table()
	  inc_write_uidl_list(): UIDL リストファイルの位置を RC_DIR/uidl-*
	  から RC_DIR/uidl/* に移動。各 UIDL に受信時刻を追加。
	  src/main.c: main(): RC_DIR/uidl/ ディレクトリを作成。
	  src/pop.[ch]: LOOKUP_NEXT_MSG(): ここで期限切れメッセージを削除。
	  Pop3MsgInfo に recv_time を追加。
	  src/prefs_account.[ch]: メッセージを残す日数のオプションを追加。

2002-06-09

	* version 0.7.7

2002-06-07

	* src/folder.c: folder_set_missing_folders(): 特別フォルダのタイプ
	  が変更された場合、起動時にそれらが増殖するバグを修正。
	* src/folderview.c: folderview_remove_mailbox_cb(): ラベルを修正。

2002-06-04

	* src/compose.c: compose_reply(), compose_forward(): lockup を起こす
	  ので直前の変更を元に戻した。

2002-06-04

	* src/compose.c: compose_reply(), compose_forward(): 署名部分を
	  自動改行しないようにした。
	  compose_new_with_recipient(): 起動直後の XIM の問題を回避。

2002-06-04

	* src/mainwindow.c: ソートの昇順 / 降順を別のメニュー項目から指定
	  できるようにした。
	  「表示/ソート/ソートしない」メニュー項目を追加。
	* src/summaryview.[ch]: summary_sort(): ソートタイプの引数を追加。

2002-05-31

	* 永続的なソート順を実装。
	* src/folder.[ch]:
	  folder_build_tree(): 'sort_key' と 'sort_type' 属性を読み込む。
	  folder_write_list_recursive(): ソート状態を書き込む。
	  src/mainwindow.c
	  src/summaryview.[ch]: summary_show(): 必要であればソートする。
	  降順ソートの場合先頭のノードを選択。
	  SummarySortType とソート状態の変数を SummaryView から削除。

2002-05-30

	* src/account.c
	  src/news.[ch]
	  src/nntp.[ch]
	  src/prefs_account.[ch]: SSL 上の NNTP を有効にした。
	* src/nntp.c: nntp_group(): GROUP コマンドが一度失敗したときに
	  MODE READER コマンドを発行して再試行するようにした(broken な
	  ニュースサーバでの問題を回避できるらしい)。

2002-05-30

	* faq/it/*.html: DOS 改行を修正。
	* faq/*/*.html: ">" を &quot; に変更。

2002-05-29

	* src/prefs_account.c: prefs_account_protocol_activated(): SSL タブ
	  の不要なフレームを隠すようにした。

2002-05-29

	* src/pop.[ch]
	  src/inc.c
	  src/prefs_account.[ch]: POP3 で STLS コマンドを有効にした。
	* src/account.c: account_clist_set_row(): TLS の設定を表示。

2002-05-28

	* src/compose.c: compose_send_later_cb(): 「リダイレクト」機能に
	  対応。
	* src/imap.[ch]
	  src/ssl.h
	  src/prefs_account.[ch]: IMAP4 で STARTTLS コマンドを有効にした。
	* src/send.c
	  src/smtp.[ch]: SSLSMTPType の代わりに SSLType を使用。

2002-05-28

	* src/utils.[ch]: make_dir(): mkdir() と chmod() のラッパー。
	* src/compose.c: compose_create(): 不要な行を削除。

2002-05-27

	* src/news.c: news_scan_group(): 特定の場合に誤った値をセットする
	  バグを修正。
	* src/prefs_account.c: 高度な設定 - フォルダ の設定の英語を修正。

2002-05-23

	* src/textview.c: textview_show_message(), textview_show_part():
	  GtkSText *text が正しくないオブジェクトを指していたバグを修正。
	  textview_add_part(): RFC822 ヘッダを追加するときに GtkSText を
	  フリーズするようにした。
	  textview_show_part(): シングルパート MIME メッセージをテキストと
	  して表示できないバグを修正。

2002-05-22

	* src/compose.c: compose_redirect_write_to_file():
	  change_file_mode_rw() の対象を訂正。 fclose() が成功したかどうか
	  をチェック。エラーが起こった場合は不完全なファイルを unlink 。

2002-05-22

	* src/compose.c:
	  compose_create(): リダイレクトモード時は草稿関連のメニューを無効
	  にするようにした。
	  compose_redirect_write_to_file(): fwrite() のエラーハンドリング
	  を修正。
	* src/prefs_common.c: 「差出人が自分の場合は `差出人' カラムに宛先
	  を表示する」オプションをデフォルトでオフにした。

2002-05-21

	* src/compose.[ch]: 「リダイレクト」(または Bounce)機能を実装。
	  claws ブランチの実装に基づく。
	  compose_redirect(): 新規ウィンドウを作成し、編集不可にする。
	  compose_redirect_write_to_file(): いくつかを除いて元のメッセージ
	  のヘッダと本文をコピー。
	  compose_redirect_write_headers(): さらに "Resent-*" ヘッダを追加。
	  compose_create(): リダイレクトモード時のメニューセンシティビティ
	  をセット。

2002-05-20

	* src/codeconv.c: conv_encode_header(): エンコードされた文字列と
	  次の折り返された文字列との間に不要なスペースが挿入されるバグを
	  修正(とみたまさひろさん thanks)。

2002-05-19

	* src/mainwindow.[ch]: リファクタリングを行った。
	  main_window_toggle_message_view(): summary_toggle_view_real() を
	  ここに移動。
	* src/messageview.[ch]: messageview_is_visible(): 新規。
	* src/summary_search.c
	  src/summaryview.[ch]: SummaryView::msg_is_toggled_on: 削除。
	  代わりに messageview_is_visible() を使用。

2002-05-17

	* src/mainwindow.c: 「すべてのスレッドを展開/閉じる」メニューを追加。
	* src/summaryview.[ch]:
	  summary_expand_threads(), summary_collapse_threads(): 新規。

2002-05-17

	* src/mainwindow.c: 「/表示/表示・非表示/フォルダツリー」と
	  「/表示/表示・非表示/メッセージビュー」トグルメニューの挙動を修正。
	  「/表示/サマリビューを切替」メニューを削除し、その機能を
	  「/表示/表示・非表示/メッセージビュー」に統合。
	  main_window_set_widgets(): トグルメニュー項目の状態を変更。
	* src/prefs_common.c: prefs_keybind_apply_clicked(): menurc 文字列を
	  更新。

2002-05-16

	* src/mimeview.c: mimeview_set_multipart_tree(): テキスト以外の
	  シングルパート MIME の内容を message/rfc822 のパートの子として表示。
	* src/procmime.c:
	  procmime_mimeinfo_next(): content-type がシングルパート MIME の
	  message/rfc822 パートのための修正。
	  procmime_scan_multipart_message(): 入れ子になった message/rfc822
	  パートの修正。 message/rfc822 の内容のサイズを訂正。
	* src/textview.c: textview_show_part(): multipart/* と message/rfc822
	  の内容を展開。コードの整理。
	  textview_add_parts(): 新規。あるパート以下の全てのパートを textview
	  に追加する。
	  textview_clear(): body_pos と cur_pos をリセット。

2002-05-16

	* src/addr_compl.c: 挙動を向上させるために修正。
	  get_address_from_edit(): 鉤括弧中のカンマを無視。
	  completion_window_apply_selection(): 新規。現在の clist の選択行
	  の適用のみ行う。
	  completion_window_accept_selection(): 削除。
	  address_completion_complete_address_in_entry(): 少しコードを整理。
	  ここでエントリ中のアドレスを置換しない。
	  completion_window_select_row(): clist の選択を常に適用。
	  completion_window_key_press(): 選択をここでは適用しない。

2002-05-15

	* src/imap.c: imap_create_folder(): サブフォルダを含むフォルダを
	  作成するために末尾のディレクトリセパレータを保つようにした。

2002-05-14

	* src/foldersel.c: ツリーを大小文字を区別せずにソート。
	* src/mainwindow.c: allsel_cb()
	  src/messageview.c: messageview_select_all(): MIME ビューでの
	  「すべて選択」を修正。
	* src/mainwindow.c: 全般・アカウントの設定ボタンをツールバーから
	  削除。

2002-05-13

	* src/compose.c: compose_account_option_menu_create(): ac->name が
	  NULL かどうかをチェック。

2002-05-12

	* version 0.7.6

2002-05-12

	* manual/ja/*: 日本語マニュアルを更新(今井さん thanks)。
	  manual/en/*: 英語マニュアルを更新。
	* faq/de/*
	  faq/it/*: ドイツ語とイタリア語マニュアルを追加。
	* faq/en/*
	  faq/es/*
	  faq/fr/*: FAQ を更新。
	* src/manual.[ch]
	  src/mainwindow.c: ドイツ語とイタリア語を追加。

2002-05-11

	* src/prefs_account.c: IMAP または News アカウントを作成するときに
	  「全受信で受信」オプションをデフォルトでオフにするようにした。

2002-05-11

	* src/imap.c: imap_scan_tree(): namespace をプレフィクスに使用しない
	  ようにした。
	* src/prefs_folder_item.c: 識別子パスも表示。
	  table を使ってレイアウト。編集不可なエントリをウィンドウの背景色
	  で表示。
	* src/procmime.c: procmime_get_tmp_file_name(): 安全なファイル名を
	  生成。

2002-05-11

	* src/automaton.[ch]: Automaton に UI コールバックを追加。
	* src/inc.c
	  src/pop.c: inc_progress_update() を直接呼ぶ代わりにコールバックを
	  使用。
	  pop3_getrange_uidl_recv(): 「全受信」オプションが指定されている
	  ときは LAST に fallback しないようにした。

2002-05-10

	* src/folderview.c: 簡略表示されたニュースグループを正しくソート
	  するようにした。

2002-05-10

	* src/folderview.c
	  src/prefs_common.[ch]
	  src/summaryview.c: ニュースグループ名を簡略表示する最小の文字数
	  を指定するオプションを追加。

2002-05-09

	* src/folderview.c: folderview_check_new(): 選択できないフォルダを
	  スキップ。
	* src/summaryview.c: コンテキストメニューに「振り分けルールを作成」
	  を追加。
	* src/imap.c: コードの整理。
	  imap_scan_tree_recursive(): 各呼び出し時にパス区切りを取得。
	  imap_get_path_separator(): 新規。

2002-05-08

	* src/imap.[ch]: others/shared フォルダの namespace に対応(作業中)。
	  imap_parse_namespace(): others/shared namespace もパース。
	  imap_find_namespace(): others/shared namespace も検索。
	* src/utils.[ch]:
	  strchr_parenthesis_close(): 閉じ括弧へのポインタを返す。
	  strsplit_parenthesis(): 括弧のリストを文字列の配列に分割。

2002-05-08

	* src/procheader.c: procheader_date_parse(): "Mon,6 May 2002 20:31:12
	  +0800" のような日時文字列をパースできないバグを修正。
	  procheader_scan_date_string(): 新規。 procheader_date_parse() から
	  文字列スキャン部分を分離。

2002-05-07

	* src/summary_search.c: summary_search_execute(): サマリの行を選択
	  するときにロックを解除するようにした(Martin Schaaf さん thanks)。
	* src/summaryview.c: summary_set_column_titles(): Win/Mac のスタイル
	  に合うように矢印の方向を逆にした。

2002-05-02

	* src/compose.c: compose_write_headers(): 必要であれば自分のアドレス
	  を引用符で囲むようにした。コードの整理。 Newsgroups と Cc を
	  カスタムヘッダで上書きしないようにした。
	* src/imap.c: imap_add_msg(): 追加したメッセージの UID を返すように
	  した。
	* src/compose.c: compose_queue(): queue フォルダの存在をチェック。
	* src/imap.c: QUOTE_IF_REQUIRED(): その他の IMAP スペシャルキャラクタ
	  も引用符で囲むようにした。
	  imap_open(): 不要な引数を削除。

2002-04-25

	* src/utils.[ch]: trim_string(): 新規。指定した長さより長い文字を
	  切り詰め、 "..." を追加する。
	* src/folderview.c: ダイアログを表示するときフォルダ名を切り詰める
	  ようにした。

2002-04-23

	* src/imap.c: imap_create_folder(): root の INBOX フォルダにプレ
	  フィクスを付けないようにした。
	* src/folderview.c: folderview_select()
	  src/summary_search.c: summary_search_execute(): 検索中にサマリ
	  ビューをロックするようにした(Martin Schaaf さん thanks)。

2002-04-21

	* version 0.7.5

2002-04-21

	* sylpheed*.png: 若居さんによる新しい app アイコンを追加(thanks!)。

2002-04-21

	* src/summaryview.c: summary_show(): 残ったマークを処理しないバグを
	  修正。
	* src/account.c: account_edit_prefs(): アカウント名が空の場合の
	  クラッシュバグを修正。
	* src/prefs_account.c: prefs_account_apply(): アカウント名が空の場合
	  エラーダイアログを表示。
	* src/imap.c: ログの量を減らすためにいくつかの log_print() を
	  debug_print() に変更。

2002-04-21

	* src/mh.c: mh_get_new_msg_filename(): 新規。新規メッセージのファイル
	  名を返す。
	  mh_add_msg()
	  mh_do_move()
	  mh_do_move_msgs_with_dest()
	  mh_copy_msg()
	  mh_copy_msgs_with_dest(): mh_get_new_msg_filename() を使用。
	* src/utils.[ch]: is_file_entry_exist() を追加。 stat() が成功したら
	  TRUE を返す。
	* src/imap.c:
	  imap_fetch_msg(): 必要であれば FETCH の前にメールボックスを SELECT
	  するようにした。
	  imap_scan_folder(): UIDNEXT の値を用いて last_num をセット。
	  imap_select(): SELECT の必要がなければすぐに返るようにした。
	  現在選択中のメールボックスのパスを保存。
	  imap_status(): UIDNEXT を追加。

2002-04-20

	* src/folder.c: folder_item_scan(): 警告を除去。
	* src/inputdialog.[ch]: input_dialog_combo(): 大小文字の区別の指定の
	  ための引数を追加。

2002-04-17

	* src/mainwindow.c: main_window_create(): 最小サイズを制限。

2002-04-17

	* src/compose.c: 新しい自動改行ルーチンをマージ。
	  join_next_line(): マルチバイト文字を結合しないバグを修正。
	  get_indent_length(): enum と変数名を修正。
	  INDENT_CHARS: ':' をインデントしないようにした。
	* src/folderview.c:
	  folderview_rename_folder_cb()
	  folderview_delete_folder_cb(): フォルダ識別子に対応。
	  folderview_rm_imap_folder_cb(): folderview_delete_folder_cb()
	  と統合。

2002-04-15

	* src/folder.[ch]: folder_item_scan(): スキャンに失敗したら -1 を
	  返す。
	* src/folderview.c: folderview_check_new(): folder_item_scan() に
	  失敗したらチェックを中断。

2002-04-15

	* src/imap.c: imap_create_missing_folders(): INBOX と Trash のみを
	  作成するようにした。
	* src/prefs_folder_item.c: prefs_folder_item_set_dialog(): ニュース
	  フォルダのタイプを変えられないようにした。
	  prefs_folder_item_destroy(): prefs_dialog_destroy() を使用。
	* src/prefs.[ch]: prefs_dialog_destroy(): 新規。

2002-04-15

	* src/prefs_account.[ch]: 「高度な設定」タブに特別フォルダの設定を
	  追加。「 IMAP サーバディレクトリ」の設定もそこに移動。
	* src/account.[ch]: account_get_special_folder(): 新規。アカウント
	  に対する最適な特別フォルダを返す。
	* src/compose.c: account_get_special_folder() を使用。
	* src/prefs_folder_item.[ch]: 新規。フォルダプロパティダイアログを
	  実装し、特別フォルダの設定を実装(claws の大部分の機能はまだ統合
	  されておらず、構造は少し変更されている)。
	* src/folderview.c: プロパティメニューを有効にした。

2002-04-14

	* src/textview.c: IS_RFC822_CHAR(): ',' や ';' 等のセパレータが
	  現れたときにもパーサのスキャンを停止するようにした。

2002-04-12

	* src/mainwindow.c: メニューの順序を少し変更。
	* src/compose.c: 'Ctrl-Enter' でいくつかの修飾キーを無視するように
	  した。
	  compose_reply_set_entry(): 「差出人に返信」がニュースグループで
	  使えるようにした。

2002-04-11

	* src/compose.c: compose_create(): ジオメトリヒントを設定して
	  ウィンドウの最大サイズを制限するようにした。
	* src/imap.c: imap_parse_list(): INBOX を \Noselect としてマーク
	  しないようにした。
	  imap_get_uncached_messages()
	  imap_cmd_fetch(): FETCH を含まない応答を無視するようにした。

2002-04-11

	* COPYING: ライセンス変更("NO-VIRUS CLAUSE" の削除と OpenSSL に対する
	  条項の追加)。

2002-04-09

	* src/prefs_account.c
	  src/smtp.[ch]: OpenSSL 有効時にコンパイルできないバグを修正。

2002-04-09

	* src/smtp.[ch]
	  src/send.c
	  src/session.[ch]: SMTP プロトコル処理の最初の再構成。
	  SMTPSession: 新規クラス。 Session のサブクラス。
	  smtp_session_new(): send_smtp_open() をこの関数に移動。
	  smtp_from(): SMTP AUTH の呼び出しを smtp_auth() に移動。
	  smtp_auth(): SMTP AUTH メソッドにサーバの応答を使用。
	  smtp_ehlo(): サーバの応答を読み、認証タイプのフラグをセット。
	  smtp_helo(): EHLO コマンドを分離。
	  smtp_ok(): バッファが指定されていれば最後のサーバの応答を返す
	  ようにした。
	* src/esmtp.[ch]: smtp.[ch] にマージ。
	* src/imap.c: imap_session_destroy_all(): session_destroy() を使用。

2002-04-08

	* src/imap.c: imap_open(): IMAP4 セッションが確立できない場合警告
	  メッセージを出すようにした。

2002-04-06

	* src/compose.c: テンプレートを現在のカーソル位置に挿入できるように
	  した。
	* src/mainwindow.c: いくつかのメニューをサブメニュー
	  '/表示/表示・非表示' の下に移動。

2002-04-05

	* src/filter.c
	  src/inc.c: folder_find_item_from_path() を
	  folder_find_item_from_identifier() に変更。
	  src/prefs_account.c
	  src/prefs_filter.c: フォルダパスを指定するのに
	  folder_item_get_identifier() を使用。

2002-04-05

	* src/folder.[ch]: 「フォルダ識別子」を実装(そして claws の実装に
	  存在したバグを修正)。
	  folder_find_from_name(): 名前とタイプから Folder を検索。
	  folder_get_identifier(): Folder の id を返す。
	  folder_item_get_identifier(): FolderItem の id を返す。
	  folder_find_item_from_identifier(): id から FolderItem を返す。
	  folder_get_type_string(): フォルダタイプ文字列を返す。
	  folder_get_type_from_string(): 文字列から FolderType を返す。
	  (そして誤った g_strcasecmp() の用法を修正)。
	* src/export.c
	  src/import.c: folder_item_get_identifier() と
	  folder_find_item_from_identifier() を使用。

2002-04-03

	* src/imap.c: imap_parse_atom(): 継続行を読んだ後に cur_pos が正しい
	  アドレスを指していなかったバグを修正。
	  imap_scan_folder(): 未読数が0のときは新着数を0にセット。
	  imap_parse_flags(): \Seen フラグが存在すれば新着・未読フラグを
	  追加しないようにした。
	* ac/Makefile.am: MACROS から gpgme.m4 を削除。

2002-04-02

	* 現在開いているフォルダにフラグを追加できない問題を修正。
	* src/compose.c:
	  compose_send(): 保存後 outbox を更新。
	  compose_queue()
	  compose_draft_cb(): procmsg_add_flags() を使用。
	* src/folder.[ch]: FolderItem に "opened" フラグと "mark_queue"
	  リストを追加。
	* src/main.c: send_queue(): 全ての queue フォルダから送信。
	* src/mainwindow.c: send_queue_cb(): 全ての queue フォルダから送信。
	* src/procmsg.[ch]:
	  procmsg_flush_mark_queue(): 新規。全ての待ち状態のフラグをファイル
	  に書き出す。
	  procmsg_add_flags(): 新規。フォルダに指定されたフラグを追加。
	  procmsg_send_queue(): 送信待ちフォルダを指定するための引数を追加。
	  procmsg_save_to_outbox(): procmsg_add_flags() を使用。
	* src/summaryview.c:
	  summary_show(): FolderItem の opened フラグを立てる。
	  summary_clear_list(): FolderItem の opened フラグを下げる。
	  summary_write_cache(): procmsg_flush_mark_queue() を呼ぶようにした。

2002-04-01

	* src/summaryview.[ch]: スペースが十分になければステータスラベルの
	  フォルダ名と選択数の末尾を削るようにした。

2002-04-01

	* src/imap.c: imap_create_special_folder(): INBOX の下に特別フォルダ
	  を作成するとき SpecialFolderItemType をセットしていなかったバグを
	  修正。
	* ac/gpgme.m4: 削除。
	* ac/README: 追加。
	* ac/missing/gdk-pixbuf.m4
	  ac/missing/gettext.m4
	  ac/missing/gpgme.m4
	  ac/missing/imlib.m4: 便宜のため追加。

2002-03-29

	* src/esmtp.c: esmtp_auth(): デコードされたチャレンジ文字列の後に
	  ゴミが表示されるバグを修正。メモリリークを修正。 strtok() を削除。
	* src/compose.c: compose_draft_cb(): 草稿メッセージを既読として
	  マーク。
	* src/folderview.c: folderview_update_node(): 送信控と草稿フォルダ
	  の強調をしないようにした。

2002-03-28

	* src/messageview.c: messageview_show(): メモリリークを修正。
	* src/summaryview.c: summary_save_as(): コピーに失敗したらエラー
	  ダイアログを表示。
	* src/about.c: about_show(): すでにウィンドウが開いているときに
	  アクティブにするようにした。

2002-03-27

	* src/compose.c: Subject が空のときは送信前に確認ダイアログを表示。
	  compose_check_entries(): 新規。
	  compose_send()
	  compose_send_later_cb(): compose_check_entries() を使用。
	* src/imap.c: imap_parse_atom(): 応答解析をさらに修正。

2002-03-26

	* src/imap.c: imap_parse_atom(): 継続行応答を正しくパースしていな
	  かったバグとメモリリークを修正。

2002-03-26

	* src/undo.c: undo_insert_text_cb(): テキストの長さが大きいときに
	  クラッシュするバグを修正。
	* src/gtkstext.c: gtk_stext_button_press(): セレクションが増大する
	  のを防ぐために、中ボタンでペーストした後セレクションをキャンセル
	  するようにした。

2002-03-25

	* src/folderview.c:
	  folderview_rename_folder_cb()
	  folderview_delete_folder_cb(): 対象フォルダがデフォルトのメール
	  ボックス内にあるときだけ振り分けルールを修正するようにした。
	* src/utils.c: get_abbrev_newsgroup_name(): 冗長な行を削除。

2002-03-23

	* src/compose.c
	  src/mainwindow.c
	  src/prefs_common.c: 'Tool' メニューを 'Tools' に変更。
	  '重複メッセージを削除' を 'ツール' の下に移動。

2002-03-23

	* src/folderview.c: SET_SPECIAL_FOLDER(): 移動時に同じ親を保つように
	  した。
	* src/imap.c: imap_create_special_folder(): フォルダの作成に失敗した
	  ときにクラッシュするバグを修正し、 INBOX の下へフォルダの作成を
	  再度試みるようにした。
	  imap_scan_tree_recursive(): namespace プレフィクスが INBOX の場合
	  はそれを自動的に追加しないようにした。 INBOX の下の特別フォルダも
	  探すようにした。
	* src/foldersel.c: SET_SPECIAL_FOLDER(): 移動時に同じ親を保つように
	  した。

2002-03-23

	* src/utils.[ch]: get_abbrev_newsgroup_name(): 新規。省略された
	  ニュースグループ名を返す。
	* src/folderview.c: folderview_update_node(): name と path が一致
	  する場合ニュースグループを省略名で表示。
	* src/summaryview.c: summary_status_show(): ニュースグループを省略名
	  で表示。

2002-03-23

	* src/foldersel.c
	  src/folderview.c: ラベル 'Draft' を 'Drafts' に変更。
	* src/imap.c: ディレクトリ名 'Draft' を 'Drafts' に変更。
	  imap_create_missing_folders(): Queue フォルダの draft への誤った
	  代入を修正。

2002-03-22

	* IMAP サーバ上の送信控 / 草稿 / 送信待ちフォルダを有効にした。
	* src/compose.c: compose_queue(), compose_draft_cb(): 存在すれば
	  アカウントの送信待ち、草稿フォルダを使用するようにした。
	  src/imap.[ch]:
	  imap_create_trash(): 削除。
	  imap_create_special_folder(): 新規。imap_create_trash() を一般化。
	  imap_create_missing_folders(): 足りないフォルダを自動的に作成。
	  imap_is_msg_changed(): ダミーのメソッドを追加。
	  imap_scan_tree_recursive(): 送信控、草稿、送信待ちフォルダも探す
	  ようにした。少しコードを整理。
	  imap_parse_envelope(): ヌルストリングをチェック。
	  src/procmsg.c: procmsg_read_cache(): IMAP フォルダのメッセージに
	  F_QUEUE と F_DRAFT フラグを追加。

2002-03-20

	* src/compose.c: compose_send(): アカウントの送信控フォルダが存在
	  すればそれを使用するようにした。
	* src/procmsg.[ch]: procmsg_save_to_outbox(): 送信控を指定できる
	  ように API を変更。

2002-03-20

	* src/compose.c: メッセージを待機後に送信控に保存しないようにした。
	  compose_save_to_outbox(): procmsg.c に移動。
	* src/procmsg.[ch]: procmsg_send_queue(): 送信に成功した場合送信控
	  に保存するようにした。
	  procmsg_save_to_outbox(): 新規。必要があれば送信待機用ヘッダを
	  削除し、与えられたファイルを送信控に追加する。

2002-03-20

	* src/compose.c: compose_wrap_line(): '|' も引用文字として扱う
	  ようにした。
	  get_indent_length(): ':' と '#' も引用文字として扱うようにし、
	  strchr() を使って整理。

2002-03-19

	* src/mainwindow.c: いくつかのメニュー項目を修正。

2002-03-19

	* src/defs.h: OUTBOX_DIR を "outbox" から "sent" に変更
	  (現在の "outbox" は再スキャンまで保持されます)。
	* src/folder.c: folder_set_missing_folders(): 足りないフォルダを
	  生成。
	* src/foldersel.c
	  src/folderview.c: 'Outbox' を 'Sent' に変更。
	* src/main.c: folder_set_missing_folders() を呼ぶようにした。
	* src/mh.c: mh_scan_tree(): 足りないフォルダを生成。
	* src/summaryview.c: summary_set_menu_sensitive(): メニューの
	  センシティビティを正しくセットしないバグを修正。

2002-03-18

	* src/folderview.c
	  src/imap.[ch]: IMAP でのフォルダ名変更を実装(Mio さん thanks)。
	  folderview_rename_folder_cb(): 親フォルダが名称変更された場合
	  現在のフォルダを再オープンするようにした。
	  imap_rename_folder(): 新規メソッドの実装。
	  imap_cmd_rename()
	  imap_rename_folder_func(): 新規。
	  imap_remove_folder(): キャッシュディレクトリも削除。

2002-03-17

	* src/imap.c: locale エンコーディング <-> 修正 utf-7 の変換を実装し、
	  フォルダ名の国際化に対応(鈴木未央さん thanks)。
	  imap_path_separator_subst(): 修正 utf-7 のエスケープ文字を扱える
	  ようにした。
	  imap_modified_utf7_to_locale()
	  imap_locale_to_modified_utf7(): 新規。
	  imap_create_trash(): imap ディレクトリが指定されているときに
	  ごみ箱フォルダを正しい位置に作成するよう修正。
	  imap_get_real_path(): デバッグ print を削除。

2002-03-14

	* src/socket.c: DNS lookup と connect() のタイムアウトを実装。
	  sock_connect_by_hostname(): タイムアウト対応とコードの整理。
	  sock_connect_with_timeout(): 新規。
	  sock_peek(): SSL peek を実装。

2002-03-13

	* src/messageview.c: messageview_show(): シングルパートの text/html
	  メッセージを通常のテキストビューで表示。
	* src/account.c
	  src/addrbook.c
	  src/addrindex.c
	  src/compose.c
	  src/imap.c
	  src/inc.c
	  src/jpilot.c
	  src/ldif.c
	  src/mbox.c
	  src/mimeview.c
	  src/news.c
	  src/prefs.c
	  src/prefs_common.c
	  src/prefs_customheader.c
	  src/prefs_display_header.c
	  src/prefs_filter.c
	  src/procheader.c
	  src/procmime.c
	  src/procmsg.c
	  src/recv.c
	  src/rfc2015.c
	  src/send.c
	  src/sourcewindow.c
	  src/summaryview.c
	  src/template.c
	  src/textview.c
	  src/unmime.c
	  src/utils.c
	  src/vcard.c
	  src/xml.c: 全ての fopen() のオプションに 'b' を追加。

2002-03-09

	* version 0.7.4

2002-03-09

	* src/ssl.[ch]: コーディングスタイルを合わせた。
	* src/compose.c: compose_send_later_cb(): ファイルの保存に失敗する
	  バグを修正。
	* faq/Makefile.am
	  faq/en/Makefile.am
	  faq/en/sylpheed-faq*.html
	  faq/es/Makefile.am
	  faq/es/sylpheed-faq*.html
	  faq/fr/Makefile.am
	  faq/fr/sylpheed-faq*.html
	  configure.in
	  Makefile.am
	  src/Makefile.am
	  src/defs.h
	  src/mainwindow.c
	  src/manual.[ch]: 英語、スペイン語、フランス語の FAQ を追加。

2002-03-07

	* manual/en/sylpheed*.html: 最新版に更新。
	* libkcc/jis.c
	  src/addrcache.c
	  src/addritem.c
	  src/ldif.c
	  src/mgutils.c: string.h を include して strlen() 等の warning
	  を取り除いた。
	* src/folder.c
	  src/folderview.c
	  src/inc.c
	  src/logwindow.c
	  src/mainwindow.c
	  src/mimeview.c
	  src/prefs.c
	  src/prefs_common.c
	  src/procheader.c
	  src/send.c
	  src/session.c
	  src/sigstatus.c
	  src/summaryview.c: gcc-3.0 で 'deprecated use of label at end of
	  compound statement' の warning を避けるために switch の最後の
	  ラベルに break を追加。
	* src/rfc2015.c: passphrase_cb(): r_hd の型を修正。

2002-03-06

	* src/inc.[ch]: IncProgressDialog へのポインタを静的なリストに
	  保存するようにした。
	  inc_cancel_all(): 新規。全ての現在の受信をキャンセルする。
	* src/mainwindow.c: 「受信を中止」メニューを追加。
	* src/textview.c: シングルパート MIME メッセージのためのマイナー
	  な修正と、 textview_write_body() を少し整理。

2002-03-05

	* src/inc.c: inc_write_uidl_list(): UIDL コマンドを発行する前に
	  何かエラーが起こると UIDL 情報が失われてしまうバグを修正。
	  src/inc.h: uidl_is_valid を Pop3State に追加。
	  src/pop.c: UIDL が有効になれば uidl_is_valid を TRUE にする。

2002-03-03

	* version 0.7.3

2002-03-03

	* src/mimeview.c: mimeview_create(): 最初のノートブックページを 0
	  にした。
	* src/folderview.c: folderview_selected(): 選択行が隠れていたら
	  ビューをスクロールさせるようにした。
	* src/prefs_filter.c: prefs_filter_register_cb(): ビューをスクロール
	  させ、追加された行を選択するようにした。
	* src/summaryview.c: 空のメッセージ ID のスレッド化を修正。

2002-03-02

	* src/textview.c: textview_show_message(): message/rfc822 のパートを
	  辿るようにした。
	  textview_add_part(): 添付テキストファイルの前に見出しを付けるよう
	  にした。
	  textview_show_header(): 改行を付加しないようにした。
	* src/messageview.c: MIME モードでもメッセージ検索ができるようにした。

2002-03-01

	* src/messageview.c: messageview_show(): MimeView の TextView の
	  ヘッダの状態も指定するようにした。
	* src/mimeview.c: mimeview_show_message(): メッセージを表示するのに
	  textview_show_message() を呼ぶようにした。
	* src/textview.c: textview_add_part(): 新規。ビューをクリアせずに
	  メッセージパートの内容を追加する。
	  textview_show_message(): 全パートを適切なスタイルで表示。
	  textview_write_body(): textview_show_part() から分離。

2002-02-28

	* src/mainwindow.c
	  src/prefs_common.c: 表示と送信用のコードセットに ISO-8859-15 を
	  追加。
	* src/codeconv.c: conv_codeset_strdup(): コード変換に失敗したら
	  NULL を返し、呼び出し側がそれに対処するようにした。
	* src/compose.c: compose_write_to_file(): コード変換に失敗したら
	  エラーダイアログを表示し、それをそのまま送信するかどうかをユーザ
	  に選択させるようにした。
	* src/textview.c: textview_write_line(): コード変換に失敗したら
	  元の文字列を表示するようにした。

2002-02-27

	* src/inc.c: get_spool(): copy_mbox() に失敗したとき mbox をロック
	  解除していなかったバグを修正(Alexander Kabaev さん thanks)。
	* src/prefs_account.[ch]: SMTP AUTH 用の別のユーザ ID / パスワード
	  の設定を追加。
	* src/send.c: send_message_smtp(): SMTP AUTH 用の別のユーザ ID /
	  パスワードが指定されていればそれを使用。

2002-02-26

	* src/inc.[ch]
	  src/pop.[ch]: UIDL 管理のリファクタリング。
	  メッセージの情報を Pop3MsgInfo 構造体の配列に保持し、未取得
	  メッセージを完全に調べるようにした。

2002-02-26

	* src/filesel.c
	  src/foldersel.c
	  src/mainwindow.c: ウィンドウ/ダイアログの WMCLASS をセット。
	* src/codeconv.c: conv_codeset_strdup(): jconv_alloc_conv() が
	  失敗したら元の文字列を返すようにした。

2002-02-25

	* src/mh.c: mh_scan_tree_recursive(): ハードコードされたディレクトリ
	  名をマクロに変更。

2002-02-24

	* src/messageview.c
	  src/mimeview.[ch]
	  src/summaryview.c: MIME メッセージの新しいノートブックタブインタ
	  フェースを実装。
	* src/textview.[ch]: 行間に関する不具合を修正。

2002-02-23

	* src/prefs_filter.c:
	  prefs_filter_rename_path()
	  prefs_filter_delete_path(): flt->dest が NULL のときにクラッシュ
	  するのを修正。

2002-02-23

	* src/recv.[ch]: RecvUIFunc が FALSE を返したらデータ受信をキャンセル
	  するようにした。
	* src/pop.c: pop3_retr_recv(): データ受信中にキャンセルされたとき
	  誤って 'No space' を返すのを修正。
	* src/inc.c: inc_pop3_recv_func(): キャンセルされたときはデータ受信
	  を中断し、潜在的なクラッシュバグを修正。
	* src/grouplistdialog.c: データ受信のキャンセルができるようにした。
	* src/news.c: news_get_group_list(): 受信に失敗したら現在の
	  セッションを destroy するようにした。

2002-02-22

	* src/manage_window.[ch]: メインウィンドウを隠しているときに
	  クラッシュするバグを修正。
	  MANAGE_WINDOW_SIGNALS_CONNECT(): 新規マクロ。
	  "unmap_event", "destroy" イベントを監視するようにした。
	* src/account.c;
	  src/addressbook.c
	  src/compose.c
	  src/export.c
	  src/filesel.c
	  src/foldersel.c
	  src/grouplistdialog.c
	  src/import.c
	  src/inputdialog.c
	  src/mainwindow.c
	  src/message_search.c
	  src/passphrase.c
	  src/prefs_account.c
	  src/prefs_common.c
	  src/prefs_customheader.c
	  src/prefs_display_header.c
	  src/prefs_filter.c
	  src/prefs_template.c
	  src/summary_search.c
	  src/summaryview.c: ウィンドウ管理のためにシグナルを接続するのに
	  MANAGE_WINDOW_SIGNALS_CONNECT() マクロを使用するようにした。

2002-02-21

	* src/prefs_account.[ch]: 受信サイズ制限のオプションを追加。
	* src/pop.c: 制限サイズより大きいメッセージをスキップ。
	  LOOKUP_NEXT_MSG(): 新規マクロ。
	* src/compose.c: compose_attach_append(): ファイルが読み込み可能
	  かどうかをチェック。

2002-02-21

	* src/rfc2015.c: dump_mimeinfo() と dump_part() をコメントアウト。
	  g_message() を debug_print() と g_warning() に変更。
	  rfc2015_decrypt_message(): 復号化に失敗したあるいはキャンセルした
	  場合にメッセージパートを複製していたバグを修正。コードの整理。
	* src/passphrase.c: ダイアログを transient にした。
	* src/prefs.c: prefs_config_parse_one_line(): debug_print() を削除。

2002-02-20

	* src/messageview.c
	  src/procmsg.[ch]: GPGME が有効な場合マルチパートメッセージの
	  解析に失敗するバグを修正。
	* src/rfc2015.c: 使用されていない copy_gpgmedata_to_temp() を
	  コメントアウト。
	* src/prefs_account.c: prefs_account_privacy_create(): 縦方向の
	  間隔を修正。

2002-02-19

	* src/menu.[ch]: menu_set_sensitive_all(): 新規。
	  menu_set_insensitive_all(): menu_set_sensitive_all() のラッパー
	  にした。
	* src/prefs_account.c:
	  prefs_account_open()
	  prefs_account_protocol_set_optmenu(): アカウント作成後プロトコル
	  のタイプを変更不可にした。
	* src/compose.c: compose_attach_parts(): MIME ツリーをトラバース
	  してネストされたマルチパート MIME メッセージから全ての添付された
	  ファイルを展開するようにした。

2002-02-19

	* src/procmsg.[ch]: procmsg_get_mark_sum(): 最小/最大の番号を得る
	  引数と先頭の番号の制限を指定する引数を追加。
	* src/folderview.c
	  src/inc.c: ニュースフォルダのメッセージチェックを有効にした。
	* src/news.c: news_scan_group(): 実装。新着/未読メッセージ数を
	  GROUP コマンドの応答とマークデータから推測。
	  news_select_group(): 合計/最初/最後の番号を返すようにした。
	* src/prefs_account.c: prefs_account_receive_create(): 「全受信」
	  チェックボタンのテキストを修正。

2002-02-18

	* src/account.c: 「全受信」チェックボックスを IMAP4 と NNTP で
	  利用可能にした。
	* src/inc.c: folderview_check_new() の引数を修正。
	* src/prefs_account.c: "「全受信」でこのアカウントの新着メールを
	  チェックする" チェックボックスの修正。

2002-02-18

	* src/folderview.[ch]:
	  folderview_rescan_tree(), folderview_rescan_all():
	  folderview_update_tree() と folderview_update_all() を名称変更。
	  folderview_update_all_node(): 削除。
	  folderview_check_new(): 新規。引数が NULL の場合、全てのローカル
	  フォルダをチェックする。引数が指定されていれば、その(ローカルと
	  リモート)フォルダをチェックする。
	* src/inc.c:
	  inc_account_mail()
	  inc_all_account_mail(): IMAP4 アカウントもチェックするようにした。

2002-02-18

	* src/folderview.c:
	  folderview_rename_folder_cb()
	  folderview_delete_folder_cb(): フォルダを改名/削除したときに
	  フィルタルールを修正。
	* src/prefs_filter.[ch]:
	  prefs_filter_rename_path(): 新規。フィルタリスト中の振り分け先
	  のパスを改名する。
	  prefs_filter_delete_path(): 新規。振り分け先のパスがマッチすれば
	  フィルタルールを削除する。
	* 上記について Neill Miller さん thanks。

2002-02-17

	* src/compose.c: 転送または再編集時に添付ファイルを受け継ぐように
	  した(claws ブランチのコードを書き直した)。
	  compose_attach_parts(): 新規。与えられたメッセージ中のファイル
	  を展開して添付する。
	  compose_attach_append(): 引数の型を変更。
	* src/messageview.c: messageview_show(): GPG 復号のコードを
	  procmsg.c に移動。
	* src/procmsg.[ch]: procmsg_open_message_decrypted(): 新規。

2002-02-16

	* version 0.7.2

2002-02-16

	* src/summary_search(): summary_search_execute(): メッセージビュー
	  が隠れている場合ビューをスクロールするようにした。

2002-02-15

	* src/foldersel.c: foldersel_set_tree(): 移動モードで異なるタイプ
	  のフォルダを選択可能にした。
	* src/folderview.[ch]: folderview_update_msg_num(): 数を CTree の
	  ラベルと比較し、ここで folder_item を更新しないようにした。
	* src/imap.c: imap_move_msg(), imap_move_msgs_with_dest():
	  異なるタイプのフォルダ間での移動を実装。
	* src/mh.c: SET_DEST_MSG_FLAGS(): 新規マクロ。
	  mh_do_move(), mh_do_move_msgs_with_dest(): 新規(以前の mh_move_msg()
	  と mh_move_msgs_with_dest() を改名)。
	  mh_move_msg(), mh_move_msgs_with_dest(): 異なるタイプのフォルダ
	  間での移動を実装。
	  mh_copy_msg(), mh_copy_msgs_with_dest(): コードの整理。
	* src/summaryview.c: summary_status_show(): folder_item をここで
	  更新。
	* po/POTFILES.in: headerwindow.c への参照を削除。
	* src/summaryview.c: summary_step(): リストの先頭と末尾での挙動
	  を修正。

2002-02-15

	* src/mainwindow.c: main_window_set_menu_sensitive(): 「全ての
	  ヘッダを表示」のトグル状態を TextView の状態からセット。
	* src/summaryview.[ch]: 「全てのヘッダ」をトグルスイッチにした。
	  不要なメニューの更新を抑制。
	  summary_select_node(): 引数 'do_refresh' を追加。
	  コードの整理。

2002-02-14

	* src/utils.c: strsplit_with_quote(): この関数中で引用文字を削除
	  するようにした(メッセージ作成の外部エディタの問題を修正)
	  (Stefaan A Eeckels さん thanks)。
	* src/mainwindow.[ch]: 「全てのヘッダを表示」をトグルスイッチにした。
	  main_window_menu_callback_block()
	  main_window_menu_callback_unblock(): 新規。
	  main_window_set_menu_sensitive(): メニューアイテムのトグル状態を
	  セット。
	  show_all_header_cb(): トグルメニューアイテムの状態を読むようにした。
	* src/mainwindow.[ch]: 「スレッド表示」をトグルスイッチにした。
	* src/prefs_common.c: prefs_keybind_apply_clicked(): 「スレッド解除」
	  を削除。

2002-02-13

	* src/imap.c: imap_add_msg(): パス区切りを変換していなかったバグを
	  修正(Sergey Vlasov さん thanks)。
	* src/gtkutils.c: gtkut_editable_get_selection(): 選択部の長さが
	  0 のときは NULL を返すようにした。
	  アサーションを修正。
	* src/utils.c: str_open_as_stream(): str の長さが 0 のときはすぐに
	  戻るようにした。
	* src/headerwindow.[ch]: 削除。
	* src/socket.[ch]
	  src/inc.c: 古いスレッド対応コードを削除。

2002-02-12

	* src/procmsg.c: procmsg_open_message(): デコードされたメッセージ
	  ファイルが存在すればそのストリームを返すように修正
	  (messageview.c で gpg 暗号解除に失敗するのを修正)。

2002-02-11

	* version 0.7.1

2002-02-11

	* src/compose.[ch]
	  src/gtkutils.[ch]
	  src/prefs_template.c
	  src/quote_fmt.h
	  src/quote_fmt_parse.y
	  src/summaryview.c
	  src/utils.[ch]: メッセージテキストの部分が選択されていれば、
	  メッセージ本文全体の代わりにそれを引用文として使うようにした
	  (Darko Koruga さん thanks)。
	  src/utils.[ch]: str_open_as_stream(): 新規。与えられた文字列
	  に対して一時的なストリームを返す。
	* src/main.c: "--send" コマンドラインオプションを追加。
	* src/compose.c: compose_reply_set_entry(): Reply-To と to_all が
	  両方指定されていれば From のアドレスを Cc に追加。
	* Makefile.am: .tar.bz2 パッケージ中の RPM spec ファイルの Source:
	  行を修正。

2002-02-07

	* src/procmsg.c: procmsg_open_message(): キャッシュが存在しない
	  場合はメッセージを取得するようにした。
	* src/foldersel.[ch]: foldersel_folder_sel(): フォルダ選択の
	  タイプを指定する引数を追加。
	* src/addressbook.c
	  src/compose.c
	  src/editaddress.c
	  src/editgroup.c
	  src/folderview.c
	  src/importldif.c
	  src/mainwindow.c
	  src/md5.c
	  src/mimeview.c
	  src/prefs_common.c
	  src/prefs_customheader.c
	  src/prefs_filter.c
	  src/summaryview.c: gcc 以外の C コンパイラでもコンパイルできる
	  ようにした(Shawn Houston さん thanks)。

2002-02-06

	* src/imap.c: imap_copy_msgs_with_dest(): リストのトラバース時の
	  バグを修正。
	* src/prefs_common.c: キーバインドの設定を別ダイアログにした。
	* src/addressbook.c: addressbook_format_address(): 表示名にカンマ
	  が含まれていれば "" を追加するようにした(渡部さん thanks)。
	* src/addr_compl.c: get_complete_address(): 表示名にカンマが含まれて
	  いれば "" を追加するようにした。
	  get_address_from_edit(): 引用文字を正しく扱うようにした。
	* src/addr_compl.c: get_complete_address()
	  src/addressbook.c: addressbook_format_address(): 表示名が空の
	  場合にテキスト処理を誤るバグを修正。
	* NEWS を更新。

2002-02-05

	* src/compose.c: compose_exec_ext_editor_real(): g_strsplit() を
	  strsplit_with_quote() で置き換えた。
	* src/foldersel.c
	  src/folderview.c: folderview_drag_motion_cb(): 少しコードの整理。
	* src/folderview.c:
	  folderview_drag_motion_cb()
	  folderview_drag_received_cb(): IMAP4 フォルダへのドロップを可能
	  にした。
	* src/utils.c: get_file_size_as_crlf(): fread() の代わりに fgets()
	  を使用。
	* src/imap.c
	  imap_copy_msg()
	  imap_copy_msgs_with_dest(): メッセージのソースが現在のメール
	  ボックスと異なっていれば imap_add_msg() を使用するようにした。
	  正しい値を返すようにした。
	  imap_cmd_append(): APPEND コマンドを正しく実装。

2002-02-04

	* src/mainwindow.c
	  src/messageview.[ch]
	  src/summaryview.[ch]
	  src/textview.[ch]: 全ヘッダをメッセージビューに表示し、ヘッダ
	  ウィンドウはもう使用しないようにした。
	* src/mainwindow.c
	  src/prefs_common.c: 「新規メッセージを作成」のデフォルトの
	  ショートカットを変更。
	* src/mainwindow.c
	  src/summaryview.[ch]: summary_display_msg_selected(): 新規。
	  「全てのヘッダを表示」を選択したら選択されたメッセージを表示
	  するようにした。
	* src/mh.c
	  src/sourcewindow.c: いくつかの procmsg_get_message_file_path()
	  を procmsg_get_message_file() に変更し、メッセージが確実に
	  取得されているようにした。
	* src/folderview.c: folderview_drag_motion_cb(): 任意のフォルダ
	  から MH フォルダへの DnD を許可。
	  folderview_drag_received_cb(): ドラッグ元フォルダがニュース
	  あるいは IMAP の場合メッセージを移動するかわりにコピーするように
	  した。
	* src/mainwindow.c
	  src/summaryview.c: ニュースフォルダからのコピーを許可。

2002-02-03

	* src/prefs_common.c: prefs_other_create(): 外部コマンドの設定の
	  デザインを修正。
	  prefs_keybind_apply_clicked(): Mew / Wanderlust キーバインド
	  プリセットをよりオリジナルに近づけた。
	  Mutt キーバインドプリセットを追加。
	  メッセージ作成のキーバインドも変更。
	* src/compose.c: いくつかのメニューショートカットを変更。
	* src/codeconv.c: タイ語のエンコーディング用に locale_table を修正。

2002-02-01

	* src/Makefile.am: $(GPGME_CFLAGS) を INCLUDES に追加。
	* src/prefs_common.c: prefs_interface_create(): メニューショート
	  カットの説明を修正。

2002-01-31

	* src/gtkutils.[ch]: gtk_stext_clear() を追加。
	* src/compose.[ch]
	  src/mainwindow.c
	  src/summaryview.[ch]: 複数転送ができるようにした。
	* src/summaryview.c:
	  summary_set_marks_selected(): 選択行全てにマークを付けるようにした。
	  summary_reply(): summary_reply_cb() から移動。
	* compose.[ch]: compose_forward(): メッセージリストを受けるように
	  修正。
	* src/mainwindow.c: 返信の処理を整理。
	* src/summaryview.c: summary_reply(): メモリリークを修正。
	  summary_key_pressed(): ハードコードされたマーク／未読としてマーク
	  のショートカットを削除。
	* src/mainwindow.c
	  src/prefs_common.c: メニューにマーク／未読としてマークのショート
	  カットを追加。

2002-01-30

	* src/compose.c: compose_wrap_line_all():
	  prefs_common.linewrap_quote が指定されていなくても引用部を整形
	  するようにした(prefs_common.linewrap_quote は単に返信時の自動
	  改行のためにあるので)。
	* src/prefs_account.c: prefs_account_open(): 新規アカウントを作成
	  するときに tmp_ac_prefs を初期化するようにした。
	* src/mh.c: mh_get_msg_list(): ディレクトリの更新を検出するために
	  st_ctime も使うようにした。
	* src/prefs_common.c: prefs_interface_create(): キーバインドセレクタ
	  の説明を修正。

2002-01-29

	* src/mimeview.c: ボタン / キーイベント処理を修正して多重ダイアログ
	  / 移動を修正。
	* src/mimeview.[ch]
	  src/textview.c: MIME モードでいくつかのキープレスイベントを
	  MimeView に渡すようにした。
	* src/prefs_filter.c: ルールの順序を正しくセットしないバグを修正。
	* src/prefs_common.c: prefs_keybind_apply_clicked(): empty_menurc
	  の文字列を修正。

2002-01-28

	* src/mainwindow.c
	  src/prefs_common.c: メニューのショートカットを再構成。
	  「表示 - サマリビューを切替」を追加。
	* src/summaryview.[ch]: summary_toggle_view(): public な関数にした。
	* src/prefs_common.[ch]: 「ショートカットキー」と「終了時」の位置を
	  交換。
	* src/importldif.c: imp_ldif_delete_event(): ダイアログをウィンドウ
	  マネージャで閉じたときの segfault を修正(より正しい方法で)。
	* src/imageview.[ch]
	  src/messageview.c
	  src/mimeview.c: テキストと画像パートを切り替えたときの誤った
	  スクロール位置を修正。また不要な画像を開放するようにした
	  (Sergey Vlasov さん thanks)。
	* src/prefs_common.c: 「新着メールを受信した後受信箱に移動する」
	  をデフォルトで無効にした。

2002-01-28

	* src/prefs_common.c: ショートカット簡易変更機能を実装。
	* src/folderview.c: folderview_key_pressed()
	  src/summaryview.c: summary_key_pressed(): ハードコードされたキー
	  バインドをいくつか削除。

2002-01-25

	* src/procmime.c:
	  procmime_get_mime_type()
	  procmime_get_mime_type_table(): MIME タイプの検索を大小文字を
	  区別しないようにした。
	* src/gtkstext.c:
	  gtk_stext_delete_line(): 空行では改行を消すようにした。
	  gtk_stext_delete_to_line_end(): カーソルが行末にある場合は改行
	  を消すようにした。
	  (Yasuzaki Masayoshi さん thanks.)

2002-01-23

	* src/compose.c
	  src/gtkstext.[ch]: GtkSText 中のハードコードされているショート
	  カットを削除し、カスタマイズ可能にした。
	* src/utils.[ch]: LF を CR+LF に変換したときのファイルサイズを
	  返す get_file_size_as_crlf() を追加。

2002-01-22

	* src/compose.c: 以前動作していなかった 'Ctrl-Enter' と
	  'Ctrl-(修飾キー)-Enter' ショートカットを有効にした。
	* src/gtkstext.c: いくつかの Emacs キーバインドを無効にした。
	  gtk_stext_key_press(): カーソルの消滅を防ぐために Shift-Enter
	  が押されたときは選択部を伸長しないようにした。
	* src/summaryview.c: summary_select_next_unread(): 始めから未読
	  メッセージを再検索するボタンをダイアログに追加。
	* src/folderview.c: folderview_key_pressed(): 空フォルダ上で
	  スペースキーが押されたら次の未読フォルダへ移動するようにした。
	  行を選択する前に CTree のフォーカスを移動するようにした。

2002-01-21

	* src/defs.h: modified the XLFD of default fonts.
	* src/textview.c: textview_create(): フォントを読み込めない場合
	  segfault を起こすバグを修正。
	* src/folderview.c
	  src/grouplistdialog.c: 購読グループを path で比較。
	* src/prefs_filter.c: 「演算子」を「条件」に変更。

2002-01-20

	* src/compose.c: compose_wrap_line_all(): URL が改行マージンより
	  長いときのクラッシュを修正。
	* src/mainwindow.c
	  src/prefs_filter.[ch]
	  src/summaryview.[ch]: Luca Rosellini さんのパッチに基づいて
	  「振り分けルールを作成」機能を追加。
	* src/summaryview.c: summary_filter_open(): X-List と X-Mailing-list
	  を自動検出するヘッダに追加。

2002-01-18

	* configure.in: Mac OS X (Darwin) に対応。

2002-01-16

	* src/prefs_filter.c: inc_autocheck_timer_{remove|set}() の代わりに
	  inc_(un)lock() を使用。
	* src/summaryview.c: summary_sort(): スレッド内のメッセージもソート
	  されるように gtk_ctree_sort_node() の代わりに
	  gtk_ctree_sort_recursive() を使用。
	* src/procmsg.c: procmsg_read_mark_file(): sizeof の対象が間違って
	  いて、 Alpha アーキテクチャでクラッシュを起こすバグを修正(市村
	  さん thanks)。

2002-01-15

	* src/foldersel.c:
	  foldersel_gnode_func(): 特別フォルダの名前を翻訳済文字列にした。
	  foldersel_set_tree(): 特別フォルダを先頭に移動。
	* src/inputdialog.[ch]: input_dialog_query_password(): 新規。
	* src/imap.c
	  src/inc.c
	  src/news.c
	  src/send.c: 各自のクエリ関数の代わりに input_dialog_query_password()
	  を使用。

2002-01-14

	* src/defs.h: デフォルトフォントを修正。
	* src/folder.[ch]
	  src/mh.[ch]
	  src/imap.[ch]
	  src/news.[ch]: クラス定義といくつかのメソッドを適切な位置に移動。

2002-01-11

	* src/mimeview.c: mimeview_save_as()
	  src/summaryview.c: summary_save_as(): subject に基づいてデフォルト
	  のファイル名を出すようにした。
	* src/utils.[ch]: subst_chars() と、いくつかの特殊文字をアンダー
	  スコアで置換する subst_for_filename() を追加。
	* src/filesel.c: filesel_select_file(): デフォルトのファイル名を
	  選択するようにした。

2002-01-10

	* INSTALL
	  INSTALL.jp: libjconv の 説明と URL を追加。
	* src/mainwindow.c: メニューエントリの整理。

2002-01-09

	* README
	  README.jp
	  src/about.c: copyright の年を修正。
	* src/gtkstext.h: Sylpheed チームによる修正の表示を追加。

2002-01-08

	* INSTALL
	  INSTALL.jp: compface の URL を追加。

2002-01-07

	* version 0.7.0

2002-01-07

	* src/headerwindow.c
	  src/logwindow.c
	  src/messageview.c
	  src/sourcewindow.c: ウィンドウを生成するときに wmclass をセット
	  するようにした。

2002-01-04

	* src/compose.c: compose_wrap_line_all(): 特定のパターンの引用文
	  を折り返すときに無限ループに入るバグを修正。

2002-01-02

	* src/imap.c: imap_parse_envelope(): segmentation fault を防ぐ
	  ために imap_parse_address() の後に assertion を置いた。

2001-12-31

	* src/folderview.c
	  src/mainwindow.c: いくつかのメニュー項目のラベルを修正。
	* src/ldif.c: fgetc() の戻り値を gint に入れるようにした。
	* src/importldif.c: ヌル文字列を _() で括らないようにした。
	* src/compose.c: Subject エントリの位置を最後に移動。
	  メニューを再構成。
	  compose_draft_cb(): 「草稿に保存後編集を続ける」機能を追加。

2001-12-30

	* src/mainwindow.c: メインメニューの再構成。「サマリ」メニューを削除。
	  「ヘルプ」メニューを「設定」のすぐ右側に移動。「ファイル - 閉じる」
	  メニュー項目を削除。

2001-12-25

	* src/mainwindow.c: メニューを多少再構成。
	* AUTHORS: 更新。さらに contributor を追加。
	* src/account.c: account_row_moved(): 新規。上 / 下ボタンが押された
	  ときに表示行を正しい位置に移動。
	  account_clist_set(): 表示行を正しい位置に移動するようにした。
	* src/compose.c
	  src/mainwindow.c: ウィンドウを生成するときにタイトルと wmclass
	  をセットするようにした。

2001-12-24

	* src/gtkstext.c: ブロックカーソルを正しく表示しないバグを修正。
	  不要な GdkGC コピーを削除。カーソルの座標を修正。
	* src/compose.c
	  src/gtkutils.[ch]
	  src/textview.[ch]
	  src/undo.c: GtkSText を使用するように修正。
	* src/menu.h: #include <gtk/gtkmenu.h> を追加。

2001-12-23

	* acconfig.h
	  configure.in: GTK+ の XIM チェックを追加。
	* src/gtkstext.[ch]: 新規。 GTK+ の GtkText をコピーし、名称変更。

2001-12-22

	* src/filter.c: #include <sys/types.h> を追加。

2001-12-21

	* src/template.c: template_write_config(): typo を修正。
	* src/compose.c: toolbar_linewrap_cb(): compose_wrap_line_all() を
	  呼ぶようにした。
	* src/filter.[ch]
	  src/prefs_filter.c: 正規表現に対応(中井さん thanks)。
	* src/undo.c: undo_paste_clipboard_cb(): ペーストしたクリップボード
	  が空のときアンドゥの状態を破壊するバグを修正。
	  undo_check_size(): g_list_last() を使用。
	  undo_undo()
	  undo_redo(): NULL チェックを修正し、少し最適化。
	  コードの整理。
	* src/prefs_common.c: 自動改行の行長のデフォルトを72に変更。

2001-12-20

	* pixmap 管理の再構成。
	* src/stock_pixmap.[ch]: 新規。このモジュールは全ての static な
	  pixmap を管理する。
	* pixmap データを直接使う全てのファイルを stock_pixmap_*() を
	  使用するように修正。
	* src/undo.[ch]: undo_set_undo_change_funct() を
	  undo_set_change_state_func() に名称変更し、引数を GtkWidget*
	  から gpointer に変更。
	  undo_merge(): コードの整理。
	* src/compose.c: compose_set_undo() を compose_undo_state_changed()
	  に名称変更。

2001-12-19

	* src/account.c: account_find_from_address(): 大小文字を区別しない
	  ようにした。
	* src/addressbook.c: addressbook_create(): wmclass をセット。
	* src/compose.c: compose_insert_file(): DOS/Win/Mac の改行に対応。
	* src/importldif.c
	  src/ldif.[ch]: claws ブランチからマージ。
	* src/importldif.c: 警告を除去。
	  imp_ldif_field_list_toggle(): ボタンのチェックを修正。
	  imp_ldif_dialog_create(): レイアウトをわずかに修正。
	* src/ldif.c: 警告を除去。
	* INSTALL
	  INSTALL.jp: 動作確認リストを更新。
	* src/vcard.c:
	  vcard_read_file()
	  vcard_test_read_file(): tagtemp のメモリリークを修正。
	  コードの整理(インデントのレベルを削減)。
	* src/addrindex.c
	  src/jpilot.[ch]
	  src/syldap.[ch]: JPilot と LDAP のライブラリはビルド時にリンクされ、
	  それらなしでは結局実行できないため、実行時のライブラリチェックを
	  行わないようにした。
	* src/addressbook.c
	  src/addrindex.c: "J-Pilot" を "JPilot" に変更。
	  atoi() の警告を除去。

2001-12-18

	* src/procmsg.c: procmsg_empty_trash()
	  src/mainwindow.c: main_window_empty_trash(): ごみ箱がメッセージを
	  含んでいる場合のみ空にするようにした。
	* src/imap.c: search_array_str(): 新規。
	  imap_status(): コマンドの応答を正しくパースしないバグを修正。

2001-12-18

	* undo 機能をマージ (Jens Oberender さん作)。
	* src/undo.[ch]: 新規。
	  undo_insert_text_cb(): マルチバイト文字の修正(バイト数の代わりに
	  文字数を得る)。
	* src/compose.[ch]: undo のコードを追加。
	* src/prefs_common.[ch]: アンドゥレベル設定用インタフェースを追加。

2001-12-16

	* src/compose.c: compose_template_apply()
	  src/prefs_template.c: prefs_template_clist_set_row()
	  src/template.c: template_write_config(): メッセージ作成ウィンドウ
	  の To: と Subject: エントリが空の場合は置き換えないようにした。

2001-12-16

	* version 0.6.6

2001-12-15

	* src/folderview.c: folderview_drag_motion_cb(): DnD のバグを修正。
	* src/ldif.c: ldif_get_line(): CR を無視。
	* src/mimeview.c: mimeview_show_message(): 最初のテキストパートと
	  して text/html も探すようにした。

2001-12-14

	* src/prefs_account.c: prefs_account_save_config_all(): account_list
	  == NULL の場合 accountrc を更新しないバグを修正(渡部さん thanks)。

2001-12-14

	* src/utils.h: 2つの文字列を結合して alloca 済の文字列を返すマクロ
	  Xstrcat_a() を追加。
	* src/imap.c: imap_scan_tree_recursive(): スペースを含むフォルダ名
	  を正しく扱えないバグを修正(Willem van Engen さんのパッチに基づい
	  ています(thanks!))。
	* src/compose.c: compose_wrap_line_all(): 引用部の自動改行が無効
	  で、単語が1行以上に渡っている場合にクラッシュするのを修正。

2001-12-14

	* Tobias さんのパッチを修正して適用(thanks!)。
	* src/imap.[ch]:
	  imap_msg_set_perm_flags()
	  imap_msg_unset_perm_flags(): 新規。 IMAP メッセージに永続フラグを
	  セットする。
	* src/compose.c
	  src/summaryview.c: フラグが変更されたら IMAP サーバ上のフラグも
	  変更するようにした。

2001-12-11

	* src/gtkutils.[ch]: gtkut_container_remove(): 新規。 Gtk{Text,Entry}
	  のバグへの対処のための gtk_container_remove() のラッパー
	  (Sergey Vlasov さん thanks)。
	* src/compose.c
	  src/mainwindow.c
	  src/messageview.c
	  src/mimeview.c
	  src/summaryview.c
	  src/textview.c: gtk_container_remove() を gtkut_container_remove()
	  で置換し、以前の部分的な修正を削除。

2001-12-09

	* src/prefs_account.c: prefs_account_apply(): 「ローカル」で
	  ユーザ ID をチェックし、 IMAP4 でチェックしていなかったバグを
	  修正。
	* src/imap.c: imap_session_get(): rfolder->session == NULL のとき
	  にクラッシュするバグを修正。
	* Makefile.am: tar の引数を 'chojf' から '--bzip2 -chof' に変更。
	* src/summaryview.c: summary_toggle_view(): vpaned を remove する
	  前に textview のセレクションを放棄。

2001-12-08

	* src/messageview.c: messageview_change_view_type(): textview を
	  外す前にセレクションを放棄するようにした。これで謎のコピー・
	  ペーストの障害が解決(Melvin Hadasht さん thanks)。
	* src/textview.c: textview_set_font(): gtk_editable_select_region()
	  の代わりに gtk_editable_claim_selection() を使用するようにした。

2001-12-06

	* src/prefs_template.c: prefs_template_window_create(): To:
	  エントリでアドレス補完に対応。

2001-12-04

	* src/folder.c:
	  folder_count_total_msgs()
	  folder_count_total_msgs_func(): g_node_traverse() を使用して
	  GNode をトラバースするようにした。

2001-12-03

	* src/compose.c: 空の本文が拒否されるバグを修正。
	* src/prefs_template.c: To: エントリを正しくセットしないバグを修正。
	  フォーマットが不正ならエラーダイアログを表示。
	* src/prefs_common.c
	  src/quote_fmt_lex.l
	  src/quote_fmt_parse.y: 丸括弧を使ったときの混乱を避けるため、
	  丸括弧「( )」を中括弧「{ }」に変更。
	* src/html.c: html_get_parenthesis(): CSS / script を無視。

2001-11-29

	* src/prefs_template.c: ヘッダのラベルにコロンを追加。

2001-11-28

	* src/src/compose.c
	  src/prefs_template.c
	  src/template.[ch]: テンプレートに To フィールドを追加。

2001-11-27

	* src/textview.c: textview_show_part(): 最初に見つかった
	  message/rfc822 ヘッダを使用。
	* src/folderview.c: 「メッセージを検索...」をコンテキストメニュー
	  に追加。
	* src/prefs_common.c: prefs_quote_description_create(): エスケープ
	  する必要のある文字の説明を追加。

2001-11-26

	* src/compose.c: compose_wrap_line_all(): claws からさらにマージ。
	  GET_CHAR(): GET_TEXT() を名称変更し、より一般化した。
	  compose_wrap_line() と compose_wrap_line_all() を GET_CHAR() を
	  使用するように修正。
	* src/textview.c: textview_show_part(): ネストされた RFC822 の添付
	  のヘッダを正しく表示するようにした。

2001-11-25

	* src/folder.[ch]
	  src/main.c: 起動中の Sylpheed から新着、未読、合計メッセージ数
	  を得る --status オプションを追加。
	  prohibit_duplicate_launch(): '\n' を一度だけ出力。

2001-11-23

	* src/compose.c
	  src/gtkutils.[ch]: 新しい自動改行機能をマージ。
	  gtkut_text_str_compare_n()
	  gtkut_text_str_compare()
	  gtkut_text_is_uri_string(): claws ブランチの GtkSText から
	  バックポートし、修正。
	* src/prefs_template.c
	  src/template.[ch]: テンプレートに Subject を追加。

2001-11-22

	* src/compose.c: compose_write_headers(): 括弧を付け忘れて無効な
	  カスタムヘッダを生成していたのを修正(野呂さん thanks)。
	  Sender: カスタムヘッダを許可。

2001-11-20

	* src/procheader.c: procheader_date_parse(): RFC 非準拠の Date
	  ヘッダへの対処。

2001-11-20

	* src/addrbook.c: 余分な関数を削除し、不正なアドレス帳ファイル名
	  が生成されるのを修正。
	* src/addrindex.c: V-Card -> vCard。

2001-11-19

	* src/textview.c: get_email_part(): isalnum() を文字の範囲を
	  7bit ASCII の範囲に押さえるマクロ IS_ASCII_ALNUM() で置き換えた
	  (島本さん thanks)。
	* src/utils.c: remote_tzoffset_sec(): 異常なタイムゾーンオフセット
	  への対処。

2001-11-18

	* src/textview.c: textview_show_part(): ネストされたマルチパート
	  テキストでヘッダを表示。

2001-11-17

	* src/imap.c: imap_session_get()
	  src/news.c: news_session_get(): 再接続に失敗したときの segfault
	  を修正。
	* src/grouplistdialog.c: 余分なコードを削除し、パターンにマッチ
	  しないノードを展開するようにした。

2001-11-16

	* src/compose.c: To:, Cc:, Bcc:, Newsgroups: のどれかが有効な
	  宛先を持っていればメッセージを送信するように修正。
	  compose_check_for_valid_recipient(): 新規。
	* src/grouplistdialog.c: UI を改良。
	  適切な説明と検索ボタンを追加。
	  検索でグループリストを再び取得しないようにした。

2001-11-15

	* src/news.c: news_session_get(): 最終アクセス時間を正しく更新する
	  ようにした。
	  news_group_list_free(): 新規。
	* src/grouplistdialog.c: リソースを正しく解放するようにした。

2001-11-15

	* src/folderview.c
	  src/grouplistdialog.[ch]: 新ニュースグループ購読ダイアログの
	  さらなるマージ。
	* src/news.[ch]: news_remove_group_list() を
	  news_remove_group_list_cache() に名称変更。

2001-11-14

	* src/defs.h: MAX_ENTRY_LENGTH の定義を追加。
	* src/compose.c: compose_add_entry_field(): 最大長を指定して
	  新規エントリを作成するようにした。

2001-11-13

	* src/grouplistdialog.c: リーフでないノードも選択可能にした。
	  各ノードに完全なニュースグループ名を付けるようにした。

2001-11-13

	* src/grouplistdialog.c
	  src/news.[ch]: 新ニュースグループ購読ダイアログのマージ
	  (現在進行中。まだ使わないで下さい!)。

2001-11-12

	* src/utils.[ch]: decode_uri(): 新規。 URL エンコードされた文字列
	  をデコードする。
	* src/compose.[ch]: compose_new_with_recipient(): mailto URL を
	  受け付けるようにした。
	  compose_entries_set(): 新規。 mailto URL をパースし、各値を
	  エントリに入れる。

2001-11-12

	* src/compose.c: compose_forward(): 転送時の引用符を使用していな
	  かったバグを修正(岩根さん thanks)。
	* src/codeconv.[ch]
	  src/mainwindow.c
	  src/prefs_common.c: タイ語のエンコーディングを追加(Manrat
	  Chobchuen さん thanks)。

2001-11-08

	* src/socket.c: sock_connect_by_hostname(): h_errno を削除。
	* src/session.h
	  src/defs.h
	  src/imap.[ch]
	  src/news.c: Session に last_access_time を追加。
	  imap_session_get(): アクセス間隔が超過したときのみ接続を
	  チェックするようにした。

2001-11-07

	* version 0.6.5

2001-11-07

	* src/socket.c: ssl_gets(): SSL_peek を使用。
	* NEWS と AUTHORS を更新。
	* Makefile.am: release ターゲットを修正。

2001-11-06

	* src/template.c: テンプレートファイルのフォーマットを RFC2822
	  ライクに変更。
	* src/compose.c: compose_template_apply(): 文字列を挿入している
	  間テキストウィジェットを freeze するようにした。

2001-11-05

	* po/POTFILES.in: src/template_select.c を削除。
	* src/summaryview.c: summary_set_header()
	  src/address.c: address_parse_str()
	  src/filter.c: filter_read_str()
	  src/news.c: news_parse_xover()
	  src/procheader.c: procheader_get_fromname()
	  src/utils.c: subject_compare():
	  Xalloca() + strcpy() を Xstrdup_a() で置換。
	* src/inputdialog.[ch]: combo モードを追加。
	  input_dialog_combo(): 新規。
	* src/prefs_common.[ch]: MIME オープンコマンドの設定を追加。
	  prefs_common_{read, save}_config(): コマンドヒストリの読み書き。
	* src/mimeview.c: mimeview_open_with(): combo 入力ダイアログを使用。
	* src/utils.[ch]: add_history(): ヒストリリスト管理関数。

2001-11-04

	* src/compose.c: テンプレートをメニューから選択するようにした。
	  compose_set_template_menu(): 新規。
	  compose_reflect_prefs_all(): 新規。
	  compose_template_apply(): 新規。パースするためにダミーの MsgInfo
	  を使用。
	* src/template.[ch]: テンプレートリストを static なヒープに保存。
	  template_get_config(): 新規。
	  template_set_config(): 新規。
	* src/prefs_template.c: テンプレートリストをグローバルな領域に保存
	  しないようにした。
	* src/template_select.[ch]: 削除。
	* src/quote_fmt_parse.y: メッセージを引用するときに folderitem を
	  チェック。
	* src/mh.c: mh_add_msg(): link() が失敗したときは常にファイルを
	  コピーするようにした(大城さん thanks)。

2001-11-03

	* src/utils.[ch]: get_template_dir(): 新規。
	* src/template.c: get_template_dir() を使用。

2001-11-02

	* src/prefs_template.c: ダイアログのレイアウトを修正。
	  記号の説明ボタンを追加。
	* src/summaryview.c: ソート対象のカラムに矢印マークを表示。
	  summary_set_column_titles(): 新規。
	* INSTALL
	  INSTALL.jp
	  README
	  README.jp
	  TODO
	  TODO.jp: ドキュメントを更新。

2001-11-02

	* src/Makefile.am: checkbox_{on, off}.xpm が抜けていたので追加。
	* src/textview.c: textview_key_pressed()
	  src/mimeview.c: mimeview_key_pressed()
	  src/summaryview.c: summary_key_pressed(): Delete キーでメッセージ
	  を削除するようにした。

2001-11-01

	* src/socket.c: ssl_gets(): SSL_read() が 0 を返したときに無限
	  ループに陥るバグを修正。
	* src/utils.[ch]: strcrchomp(): 新規。文字列の末尾から CR を除去
	  する。
	* src/quote_fmt_parse.y: メッセージ挿入時に CRLF を LF に変換。
	  警告を抑制するために yylex() のプロトタイプを追加。
	* テンプレート機能をマージ。
	* src/prefs_template.[ch]
	  src/template.[ch]
	  src/template_select.[ch]: 新規。
	  prefs_templates_* -> prefs_template_* に名称変更。
	* src/compose.c: テンプレートメニューを追加。 replyinfo を Compose
	  に追加。
	* src/mainwindow.c: テンプレート設定メニューを追加。
	* src/quote_fmt_lex.l: タブと改行文字をそのまま出力するようにした。
	* src/prefs_common.c: 引用フォーマットの設定名を
	  'reply_quote_{mark, format}' と 'fw_quote_{mark, format}' に変更。

2001-10-31

	* src/prefs_common.[ch]: 引用タブを追加し、引用設定を作成タブから
	  移動。
	* 新引用フォーマットパーサをマージ。
	* src/quote_fmt_lex.h
	  src/quote_fmt.h
	  src/quote_fmt_lex.l
	  src/quote_fmt_parse.y: 引用フォーマットパーサ用新規ファイル。
	* configure.in: lex と yacc のチェックを追加。
	* src/compose.c: compose_quote_file(), compose_quote_parse_fmt():
	  削除。
	  compose_quote_fmt(): 新規。
	* src/prefs_common.[ch]: 引用タブに転送フォーマットの設定を追加。
	  引用記号の説明ダイアログを更新。
	* src/quote_fmt_parse.y: テキストパートが取得できなくてもファイルを
	  読み込もうとするバグを修正。

2001-10-31

	* src/pixmaps/checkbox_off.xpm
	  src/pixmaps/checkbox_on.xpm: 新規。
	* src/account.c: 「全受信」のステータスをチェックボックスの pixmap
	  で表示するようにした。

2001-10-30

	* src/send.c: コードの整理。たくさんの引数の代わりにアカウント
	  設定構造体を渡すようにした。
	  SMTP AUTH のパスワードが指定されていない場合は尋ねるようにした。
	  (Mio さん thanks)。

2001-10-30

	* src/procheader.c: procheader_parse(): In-Reply-To: ヘッダの
	  複数のメッセージ ID を正しくパースしていなかったバグを修正
	  (梶原さん thanks)。

2001-10-29

	* src/account.c: アカウント一覧の 'G' カラムのクリックによる
	  「全受信」設定を可能にし、簡単な説明を加えた。
	* src/prefs_common.c: prefs_send_create(): 送信コードセットの
	  説明を追加。

2001-10-28

	* src/prefs_account.[ch]: 受信箱のエントリを受信タブに移動し、
	  選択ボタンと簡単な説明を追加。
	* src/Makefile.am: CPPFLAGS に SYSCONFDIR を追加。
	* src/procmime.c:                                                      
	  procmime_get_mime_type_table()                                       
	  procmime_get_mime_type_list(): $(SYSCONFDIR)/mime.types
	  (見つからない場合は /etc/mime.types) と
	  $(HOME)/.sylpheed/mime.types を読み込むように修正。

2001-10-27

	* src/prefs_account.c: アドレス自動指定を作成タブに移動。
	  prefs_account_create(): 正しいウィンドウサイズを得るために
	  gtk_widget_show_all() を削除。
	* src/prefs_common.c: 「プログラムのパス」を「コマンド」に変更。

2001-10-26

	* src/textview.c: textview_set_font(): EUC-JP locale でロシア語
	  の文字集合に対応。
	* src/summaryview.c: summary_delete(): (多分)削除時のクラッシュ
	  バグを修正。
	* prefs_account.c
	  prefs_common.c
	  prefs_summary_column.c: 英語を少し改良。
	* src/main.c: get_queued_message_num(): 送信待ちフォルダが見付から
	  ない場合に警告を出力しないようにした。

2001-10-21

	* version 0.6.4

2001-10-21

	* src/prefs_summary_column.[ch]:
	  prefs_summary_column_get_config() を public にした。
	* src/summaryview.c: summary_ctree_create(): コードの整理。
	* configure.in: リンク時の問題のために SSL のチェックの位置を
	  LDAP の後に移動。

2001-10-21

	* src/mainwindow.c
	  src/summaryview.c: 送信控で再編集できるようにした。
	* src/prefs_summary_column.[ch]: 新規。サマリのカラムを設定するため
	  の UI 。
	* src/mainwindow.[ch]: main_window_set_summary_column(): 新規。
	  summary_set_column_order() を呼ぶ。
	* src/summaryview.[ch]:
	  summary_ctree_create(): 新規。summary_create() から分離。
	  summary_set_column_order(): 新規。現在の CTree を削除し、新たな
	  CTree で置き換える。

2001-10-19

	* src/smtp.[ch]: smtp_from(): 認証に失敗した場合中断するようにした。
	* C++ スタイルのコメントを C スタイルに変更し、不要なコメントアウト
	  されたコードを削除。
	* src/addrcache.[ch]
	  src/addressbook.c
	  src/addrindex.[ch]
	  src/jpilot.[ch]
	  src/syldap.[ch]: アドレス帳のコードを更新し、 LDAP のスレッド
	  のバグを修正。
	* src/ldif.[ch]
	  src/importldif.[ch]: 新規。

2001-10-18

	* src/about.c: コンパイル済機能にいくつかの項目を追加。
	* src/addr_compl.c: LOG_MESSAGE を debug_print に変更。
	* src/addressbook.c: "V-Card" を "vCard" に変更。
	  addressbook_edit_address_cb(): invalidate_address_completion()
	  をアドレスが変更された箇所に追加。
	* src/codeconv.c: C++ スタイルのコメントを C スタイルに変更。

2001-10-17

	* src/compose.c: 「送信」ショートカットを Ctrl+Enter に変更。

2001-10-16

	* src/inc.c: キャンセルボタンが2回押されたら sylpheed がクラッシュ
	  するバグを修正。

2001-10-16

	* src/procmsg.c: procmsg_get_thread_tree(): 未完成のスレッドを完成
	  させるようにした。
	* src/summaryview.c:
	  summary_thread_init(): summary_thread_build() から分離。
	  summary_thread_build(): 初期化のためのコードを削除。
	  summary_set_ctree_from_list(): summary_thread_build() の代わりに
	  summary_thread_init() を呼ぶようにした。
	  summary_filter(): 即時実行の設定にも関わらずメッセージを移動しない
	  バグを修正。

2001-10-14

	* src/procmsg.c: procmsg_get_thread_tree(): 新規。メッセージリスト
	  から反転したスレッドツリーを生成する。
	* src/summaryview.c: summary_set_ctree_from_list(): ノードを末尾
	  に追加する代わりに先頭に追加するようにした。これにより GtkCTree
	  内部でのノードリストのトラバースを避けることができ、サマリ表示
	  をかなり高速化できる(O(n^2) -> O(n) のオーダー)。

2001-10-12

	* src/prefs_common.c
	  src/summaryview.[ch]: 順序変更可能なカラムのための最初の修正。

2001-10-12

	* src/procmsg.c: procmsg_get_mark_sum(), mark_sum_func(): メモリ
	  リークを修正。
	* src/folderview.c: folderview_button_pressed(): コードの整理と、
	  メインウィンドウがロックされていたら sensitivity を off にする
	  ようにした。
	* src/syldap.c: syldap_read_data(): 不要かつ移植性に問題のある
	  sched_yield() を削除。

2001-10-11

	* src/folderview.c: 「フォルダツリーを更新」コンテキストメニュー
	  を「フォルダツリーを再スキャン」に変更し、「フォルダツリーを更新」
	  をフォルダの状態のみを更新するようにした。
	  folderview_update_all_node(): メッセージダイアログを表示しない
	  ようにした。
	* src/gtkutils.c: gtkut_widget_get_uposition()
	  src/mainwindow.c: main_window_popup(): 座標を非負の値に
	  クリッピングするようにした。

2001-10-10

	* src/utils.c: to_human_readable(): 少し最適化。
	* src/summaryview.c: summary_delete(): フォーカスの問題を修正。
	  summary_find_{prev,next}_msg(): 新規。前/次の削除されていない
	  メッセージを検索する。
	* src/prefs_filter.c: 移動した行が完全に表示されなくなった場合は
	  自動的に CList をスクロールさせるようにした。

2001-10-09

	* いくつかの autotool スクリプトを更新。
	* src/codeconv.c: conv_encode_header(): エンコーディングの変換に
	  失敗した場合に無限ループを起こすバグを修正。
	* src/codeconv.[ch]: 旧バージョンの libjconv のための修正
	  (jconv_info_get_current_codeset() が "EUC-JP" の代わりに "EUCJP"
	  を返していた)。

2001-10-08

	* version 0.6.3

2001-10-08

	* src/compose.c: compose_write_to_file()
	  src/codeconv.c: conv_codeset_strdup(): C locale 上での libjconv
	  問題へのさらなる対処。
	* src/editldap_basedn.c: ダイアログを開くときの segfault を修正。
	* src/utils.c: is_next_mbs()
	  src/compose.c: compose_wrap_line(), compose_wrap_line_all():
	  ANSI C へ準拠させるために MB_CUR_MAX を MB_LEN_MAX へ変更。
	* configure.in: 必要な GPGME のバージョンを 0.2.3 に上げた。
	* src/pop.c: pop3_getauth_user_recv(): POP3 サーバが通常の認証を
	  拒否したときに受信ダイアログを閉じるバグを修正。

2001-10-07

	* src/prefs_common.c: prefs_receive_create(): 英語の修正。
	* src/compose.c: compose_set_ext_editor_sensitive(): メニューの
	  sensitivity を正しくセットしていなかったバグを修正(Melvin Hadasht
	  さん thanks)。
	* src/summaryview.c: 現在のフォルダがごみ箱の場合に「削除」操作を
	  実行したらメッセージを完全削除するようにした。
	  最後の行を正しく選択しないバグを修正(Alfons Hoogervorst さん
	  thanks)。
	* src/folder.[ch]: folder_item_remove_msgs(): 新規。リストで与え
	  られた全てのメッセージを削除する。

2001-10-05

	* src/summaryview.c: summary_show(): 「フォルダに入ったときに未読
	  メッセージを開く」オプションが ON になっていてもメッセージを
	  表示しないバグを修正。

2001-10-03

	* src/procmime.c: procmime_get_text_content(): HTML に対応。

2001-10-02

	* src/summaryview.[ch]: 新たなロック機構を実装し、全ての静的な
	  ロックを summary_lock(), summary_unlock() で置き換え、いくつか
	  の関数にさらにロックを追加した。
	  これにより 'd' (削除) キーを押しっぱなしにしたときに segfault を
	  起こすバグを修正。

2001-10-01

	* src/addressbook.c: addressbook_folder_load_person(): segfault を
	  起こすバグを修正(Stefaan A Eeckels さん thanks)。

2001-09-30

	* src/textview.[ch]: textview_set_position() を追加。
	* src/messageview.[ch]: messageview_set_position() を追加。
	* src/addrbook.c
	  src/addrcache.c
	  src/addressadd.c
	  src/addressbook.c
	  src/addrindex.c
	  src/addritem.c
	  src/editaddress.c
	  src/editbook.c
	  src/editgroup.c
	  src/editjpilot.c
	  src/editldap.c
	  src/editldap_basedn.c
	  src/editvcard.c
	  src/jpilot.c
	  src/mgutils.c
	  src/syldap.c
	  src/vcard.c: C++ スタイルのコメントを C スタイルに変換。
	* src/imap.c: QUOTE_IF_REQUIRED(): 新規マクロ。文字列を新規
	  バッファにコピーし、必要ならダブルクォートで括る。
	  imap_status(), imap_cmd_login(), imap_cmd_list(),
	  imap_cmd_do_select(), imap_cmd_create(), imap_cmd_delete(),
	  imap_cmd_copy(): QUOTE_IF_REQUIRED() を使用。
	* compose.c: compose_write_to_file(): libjconv 使用時に C locale
	  で 8bit コードが変換できない問題に対処。
	* codeconv.[ch]: エンコーディング文字列に "ANSI_X3.4-1968" を追加。
	  conv_codeset_strdup(): 変換元と変換先のコードセットが同一の
	  場合は変換しないようにした。

2001-09-30

	* src/textview.[ch]: textview_search_string_backward(): 新規。
	  新規メンバ cur_pos を TextView に追加。
	  正しい editable の位置を得るために button_press_event を
	  gtk_signal_connect_after() で接続。

2001-09-27

	* src/folder.c: folder_write_list_recursive(): スレッド解除の状態
	  を保存。

2001-09-26

	* src/summaryview.c: ポップアップメニューの構成を変更。

2001-09-25

	* src/folder.c
	  src/folder.h
	  src/mainwindow.c
	  src/summaryview.c: フォルダ毎のスレッド表示設定ができるようにする
	  Alfons さんのパッチを適用(thanks!)。

2001-09-23

	* src/message_search.[ch]: 新規。現在のメッセージの検索ダイアログ。
	* src/gtkutils.[ch]: gtkut_text_match_string(): 新規。 GtkText の
	  現在位置のテキストと与えられたワイドキャラクタ文字列を比較。
	* src/messageview.[ch]: messageview_search_string()
	  src/textview.[ch]: textview_search_string(): 見つかったら TRUE
	  を返すようにした。
	* src/textview.[ch]: 本文の開始位置を記憶。

2001-09-21

	* src/procmime.c: procmime_get_first_text_content(): MIME 構造全体
	  を探索するように修正。
	* src/summary_search.c: summary_search_execute(): マクロの代わりに
	  strdup_mbstowcs() を使用。マッチしたメッセージを表示するようにした。

2001-09-20

	* src/inc.c: バックグラウンドの POP3 プロセスのハングまたはクラッシュ
	  を修正(Sergey Vlasov さん thanks)。
	* src/summary_search.c: 本文検索機能を追加。
	* src/procmime.[ch]: procmime_find_string(): 引数と戻り値を変更。
	  大小文字の区別のオプションを追加。

2001-09-20

	* src/procmime.[ch]:
	  procmime_find_string()
	  procmime_find_string_part(): 新規。メッセージから文字列を検索する。
	  procmime_get_text_part() を procmime_get_first_text_content() に
	  名称変更。
	  procmime_get_text_content(): 新規。指定した MIME パートのテキスト
	  内容を返す。
	  procmime_mimeinfo_next(): 新規。 MimeInfo ツリーの次のノードを
	  返す。

2001-09-19

	* src/procmime.c: procmime_get_text_part(): 入れ子状のマルチパート
	  メッセージのテキストパートを正しく見つけるように修正。
	* src/procmime.h: MimeInfo 構造体の例を追加。
	* src/mimeview.c: mimeview_show_message(): 最初のテキストパートを
	  探すようにした。

2001-09-17

	* src/mainwindow.c: ac_menu_popup_closed(): segfault を起こすバグ
	  を修正。「アカウント毎の設定...」メニュー項目を変更。

2001-09-17

	* version 0.6.2

2001-09-16

	* src/addrindex.c: 旧形式のアドレス帳の「共有アドレス」と「個人用
	  アドレス」を翻訳するようにした。

2001-09-12

	* src/utils.c: get_quote_level(): 最適化とバグ修正。
	* src/codeconv.[ch]: conv_get_current_locale(): 新規。
	* src/editaddress.c: edit_person_page_basic(): 特定のロカールで
	  姓・名の順序を交換。

2001-09-11

	* src/compose.c: 現在の段落を整形するようにする安松さんのパッチを
	  適用(thanks!)。引用された段落を整形しないように修正。
	  compose_create(): 再編集モードでエントリを自動的に埋めないように
	  した。
	* src/mainwindow.c
	  src/summaryview.[ch]: 「全て読んだことにする」オプションを追加。
	  summary_mark_all_read(): 新規。

2001-09-10

	* src/vcard.c
	  src/mgutils.c
	  src/syldap.c
	  src/editldap.c
	  src/editldap_basedn.c
	  src/jpilot.c
	  src/editjpilot.c: 全ての警告を除去。
	* configure.in
	  src/jpilot.[ch]: Debian システムで JPilot のヘッダファイルを
	  検出できない問題を修正。
	* src/mainwindow.c
	  src/summaryview.[ch]: マーク、未読、添付、そしてカラーラベル
	  によるソートができるようにした。前/次のフラグ付きメッセージ
	  への移動ができるようにした。

2001-09-09

	* src/pixmaps/dir-close.xpm
	  src/pixmaps/dir-open.xpm
	  src/pixmaps/new.xpm
	  src/pixmaps/unread.xpm: 色のバランスを修正。
	* src/utils.[ch]: execute_sync(): 新規。
	  execute_command_line(): 非同期モード用の引数を追加。
	* src/inc.c: inc_mail(): execute_command_line() を使用。

2001-09-08

	* src/prefs.[ch]
	  src/prefs_common.[ch]
	  src/prefs_account.c: レイアウトを修正。外部エディタを自動的に
	  起動するオプションを追加。
	* src/compose.c: オプションが指定されていたら外部エディタを自動的
	  に起動するようにした。

2001-09-06

	* src/Makefile.am: 残りの xpm を追加。

2001-09-05

	* src/addressbook.c: LDAP を有効にしたときにコンパイルできない問題
	  を修正。
	  addressbook_open(): 'else' がないのを修正。

2001-09-04

	* src/pixmaps/dir-close.xpm
	  src/pixmaps/dir-open.xpm
	  src/pixmaps/trash.xpm: 新しいブルーのアイコンで置き換えた。
	* Match Grun さんの新アドレス帳のコードをマージ。
	* src/pixmaps/address.xpm
	  src/pixmaps/book.xpm
	  src/pixmaps/category.xpm
	  src/pixmaps/interface.xpm
	  src/pixmaps/jpilot.xpm
	  src/pixmaps/ldap.xpm
	  src/pixmaps/vcard.xpm: 新規アイコン。
	* src/addrbook.[ch]
	  src/addrcache.[ch]
	  src/addressadd.[ch]
	  src/addressitem.[ch]
	  src/addrindex.[ch]
	  src/addritem.[ch]
	  src/editaddress.[ch]
	  src/editbook.[ch]
	  src/editgroup.[ch]
	  src/editjpilot.[ch]
	  src/editldap.[ch]
	  src/editldap_basedn.[ch]
	  src/editvcard.[ch]
	  src/jpilot.[ch]
	  src/mgutils.[ch]
	  src/syldap.[ch]
	  src/vcard.[ch]: 新規。大量の warning を取り除くために修正。
	  addrbook_build_avail_email_vis(): メモリリークを修正。

2001-09-04

	* NEWS: 以前に web に置かれた全ての更新履歴を取り込んだ。

2001-09-03

	* src/mainwindow.c
	  src/summaryview.c: メニューの配置を修正。
	* src/mainwindow.c: ac_menu_popup_closed(): アカウントメニューを
	  選択後フォーカスをメインウィンドウに返さなかったバグを修正。

2001-09-03

	* version 0.6.1

2001-09-03

	* src/send.c: send_message_data(): ボディパートを正しく処理しな
	  かったバグを修正。

2001-09-02

	* src/inc.[ch]: inc_autocheck_(un)lock() を inc_(un)lock() に変更。
	  inc_mail(), inc_all_account_mail(): ロックされていればすぐに戻る
	  ようにした。
	* src/account.c
	  src/prefs_common.c
	  src/prefs_account.c: inc_autocheck_timer_{remove,set}() の代わりに
	  inc_lock() と inc_unlock() を用いるようにした。
	* src/summaryview.c: summary_set_colorlabel_color(): 視認性のために
	  ラベル色と選択前景色との平均をとるようにした。

2001-09-01

	* src/inc.[ch]: inc_autocheck_lock(), inc_autocheck_unlock(): 新規。
	  ロックカウントを増加/減少させる。
	* inc_autocheck_func(): ロックされていれば、自動チェックを1秒遅ら
	  せるようにした。
	  inc_autocheck_timer_set_interval(): 引数で間隔を指定。
	* src/summaryview.c: summary_show(): 処理中は自動チェックをロック
	  するようにした。
	* src/main.c: app_will_exit(): 自動チェックタイマを削除。
	* acconfig.h
	  src/defs.h: 不要なコンパイルを避けるために PACKAGE と VERSION 
	  の定義を削除。
	* configure.in: PACKAGE と VERSION の AC_DEFINE_UNQUOTED() を
	  AC_SUBST に変更し、 src/version.h を AC_OUTPUT に追加。
	* src/version.h.in: 新規。
	* src/intl.h: dgettext() を gettext() に変更。

2001-08-31

	* po/ja.po: 古いバージョンの GTK+ で Sylpheed をクラッシュさせる
	  typo を修正。
	* configure.in: 結果を正しく表示していなかったバグを修正。
	  --enable-compface と --enable-jconv がオプションを無効にしていた
	  バグを修正。
	* src/procmsg.c: procmsg_send_queue(): メッセージの送信に失敗しても
	  中断しないようにした。
	* src/compose.c: compose_write_headers(): 出力ファイルに Bcc:
	  ヘッダを付加するようにした。
	* src/send.c: send_message_data(): 新規。send_message_smtp() から
	  分離。送信前に Bcc: ヘッダを削除するようにした。

2001-08-30

	* version 0.6.0

2001-08-30

	* src/send.c: ローカルの sendmail コマンドによる送信を実装。
	  send_message_local(): 新規。コマンドを popen() で呼び出し、
	  RFC822 メッセージの内容をコマンドに送信する。
	* src/prefs_common.[ch]: 外部送信コマンドのオプションを有効にした。
	* src/defs.h: #define DEFAULT_SENDMAIL_CMD /usr/sbin/sendmail -t
	* src/account.c: account_edit_create(): プロトコル行を広げた。
	* src/summaryview.c: summary_set_colorlabel_color(): コードの整理。

2001-08-30

	* src/folder.c: folder_item_remove_msg(): 最後のメッセージが削除
	  されたらフォルダを再びスキャンするようにした。
	* src/compose.c: compose_queue(), compose_draft_cb(): 新しいメッ
	  セージを追加した後に再編集対象のメッセージを削除するようにした。

2001-08-29

	* src/compose.c: compose_queue(): キューイングヘッダに AID: を追加。
	* src/send.c: send_message_queue(): AID: ヘッダを探し、 SSV: の
	  代わりにアカウントで指定されたサーバを使用するようにした。
	* src/summaryview.c
	  src/compose.[ch]: 送信待ちメッセージを再編集可能にした。
	  compose_remove_reedit_target(): 新規。古い再編集対象のメッセージ
	  を削除する。
	  compose_send(), compose_queue(), compose_draft_cb(): 再編集
	  モードのときは、古いメッセージを削除するようにした。
	* src/procmsg.c: procmsg_msg_exist(): 警告を出力するバグを修正。

2001-08-28

	* 文字列をハッシュテーブルに保存し、メモリ確保を最小化する Alfons
	  Hoogervorst さんからの XML string table パッチを適用(thanks!)。
	* src/stringtable.[ch]: 新規。
	  official な GLib のシンボル名ではないため型と関数名から全ての
	  G と g_ プレフィクスを削除。
	  string_table_insert_string(): 検索時に無効なポインタを参照する
	  可能性のあったバグを修正し、また少し最適化した。

2001-08-27

	* claws ブランチからカラーラベル機能をマージ(Satoshi Nagayasu さん
	  と Alfons Hoogervoost さん thanks)。
	* src/colorlabel.[ch]: 新規。labelcolors.[ch] から名称変更。
	  labelcolors_*() を colorlabel_*() に改名。
	* src/summaryview.[ch]: カラーラベルに対応。
	* src/procmsg.h: 永続フラグにカラーラベルフラグを追加。
	* gettext 0.10.39 に更新。
	* src/summaryview.[ch]: カラーラベルのメニュー項目を ItemFactory
	  に置いた。
	* sylpheed.desktop: GNOME 用に追加。
	* configure.in: いくつかのオプションに AC_MSG_CHECKING() を追加。
	  configure が完了したときに設定結果を出力するようにした。

2001-08-27

	* src/account.c: account_clist_set_row(): SSL が有効になっていない
	  場合にコンパイルに失敗するバグを修正。

2001-08-26

	* SSL 対応を claws ブランチからマージ(Christoph Hohmann さん thanks)。
	* src/ssl.[ch]: 新規。
	* src/socket.[ch]: ssl_read(), ssl_write(), ssl_gets(), そして
	  ssl_getline() を追加。
	  sock_close(): SSL が有効なら ssl_done_socket() を呼ぶようにした。
	* src/md5.[ch]: 型の衝突を防ぐために MD5_CTX の typedef を削除し、
	  MD5_CONTEXT を使用するようにした。
	* src/prefs_account.[ch]: SSL タブを追加し、表現を変更。
	* src/esmtp.[ch]: esmtp_ehlo() と esmtp_starttls() を追加。
	  esmtp_starttls() から SSL 初期化と HELO を削除。
	  esmtp_auth(): 引数から use_smtp_auth を削除。
	* src/send.c: send_smtp_open(): SSL 対応を追加。
	* src/smtp.c: smtp_helo(): esmtp が真なら esmtp_ehlo() を呼ぶように
	  した。

2001-08-25

	* src/mimeview.c: mimeview_open_with(): '%s' をシングルクォートで
	  囲った。

2001-08-24

	* src/main.c: アカウントが設定されていなければ新規アカウント
	  ダイアログを開くようにした。
	* src/utils.[ch]: log_verbosity_set(): 新規。 verbosity count を
	  増加/減少させる。
	  log_print(): log_verbosity_count > 0 の場合のみステータスバーに
	  出力。
	  log_message(): ステータスバーに出力。
	* src/inc.c: inc_pop3_session_do(): ログの verbosity を指定。
	* src/mainwindow.c: main_window_set_menu_sensitive(): 「新規
	  メッセージを作成」項目を追加。
	  main_window_show_cur_accoun(): 「現在のアカウント: 」の文字列を
	  削除。
	* src/summaryview.c: summary_show(): メインウィンドウがロックされ
	  ていれば現在のマークを無視するようにした。
	* src/compose.c: compose_attach_property(): segmentation fault
	  を起こすバグを修正。

2001-08-23

	* src/mainwindow.c: main_window_get_current_state(): 新規。 UI の
	  sensitivity のための、現在の状態を返す。
	  main_window_set_toolbar_sensitive():
	  main_window_set_menu_sensitive() のようにテーブルを使用。

2001-08-23

	* src/mainwindow.[ch]: ステータスバーにプログレスバーとステータス
	  ラベルを追加。
	  main_window_close_cb(): ロックされていれば終了しないようにした。
	* src/inc.c: メインウィンドウのプログレスバーも更新するようにした。

2001-08-22

	* src/mainwindow.[ch]: main_window_set_toolbar_sensitive(): 2番目の
	  引数を削除し、サマリビューの状態で sensitivity を決定するように
	  した。

2001-08-21

	* src/pop.c: pop3_getsize_list_recv(), pop3_retr_recv(),
	  pop3_delete_recv(): 存在しないメッセージを取得しようとしないよう
	  にした。

2001-08-21

	* src/mainwindow.c: main_window_lock(), main_window_unlock():
	  メニューバー全体のロックを削除。
	  main_window_set_menu_sensitive(): sensitivity の変更をテーブル
	  で行うようにし、ロックに対応。

2001-08-20

	* src/summaryview.[ch]: summary_get_selection_type(): 新規。サマリ
	  ビューの現在の選択状態を返す。
	  summary_key_pressed(): メインウィンドウがロックされていたら
	  いくつかのコマンドで抜けるようにした。
	* src/mainwindow.[ch]: main_window_lock(), main_window_unlock():
	  ロックカウントを増加/減少させるようにした。

2001-08-19

	* src/prefs_filter.c: prefs_filter_create(): デフォルトのヘッダ
	  リストに List-Id を追加。
	* src/prefs_common.[ch]: 受信ダイアログモードのオプションを
	  インタフェースタブに追加。
	* src/inc.[ch]: inc_progress_dialog_create(): ダイアログを transient
	  にしないようにし、設定が RECV_DIALOG_ALWAYS か、または
	  RECV_DIALOG_ACTIVE でウィンドウがアクティブのときのみダイアログを
	  表示するようにした。
	* src/mainwindow.[ch]: main_window_lock(), main_window_unlock():
	  新規。ユーザインタフェースをロック/ロック解除する。
	* src/progressdialog.c: progress_dialog_create(): ダイアログを
	  モーダルにしないようにした。

2001-08-18

	* src/folderview.c: folderview_update_node(): 不要な再帰呼び出しを
	  抑制。
	* src/menu.[ch]: menu_button_position(): 新規。ポップアップメニュー
	  の位置を計算する。
	* src/mainwindow.c: toolbar_account_button_pressed(),
	  ac_label_button_pressed(): ポップアップメニューを正しい位置に
	  置くようにした。メニューを開いている間ボタンのスタイルを変化
	  させるようにした。
	  ac_menu_popup_closed(): selection_done イベント時に呼ばれる新規
	  関数。
	* src/gtkutils.c: gtkut_ctree_node_next(): node == NULL のときに
	  クラッシュするバグを修正。
	* src/summaryview.c: Sergey Vlasov さんからのサマリ修正パッチを
	  適用(thanks!)。
	  スレッドを展開しない場合に更新モードで以前のメッセージを選択
	  できないバグを修正。
	  summary_select_node(): 新規。
	* src/inc.c: Sergey Vlasov さんからのサマリビュー更新最適化パッチ
	  を適用(thanks!)。
	  新着メッセージが受信されなければ、サマリの更新を行わないようにした。
	  Vlasov 氏のパッチに加え、 POP3 の受信情報も同様に使用。
	* src/inc.h: Pop3State に新メンバ cur_total_num を追加。
	* src/pop.c: pop3_retr_recv(): state->cur_total_num を増加させる。

2001-08-14

	* version 0.5.3

2001-08-14

	* src/summaryview.c: summary_set_row_marks(): 未読の行の色が正しく
	  指定されるようにした。
	* src/folderview.c: foldreview_update_node(): gtk_style_copy() を
	  使用せず、あらかじめ割り当てられた style を再使用するようにした。
	* README, README.jp: 修正。

2001-08-14

	* src/pop.c: pop3_getsize_list_recv(): リモートから攻撃可能な
	  メモリ破壊バグを修正(David Looney さん thanks)。
	* src/inc.c: inc_all_account_mail(): 有効なアカウントがない、
	  あるいはローカルスプールのみの場合でも inc_finished() を呼ぶ
	  ようにした。
	* src/summaryview.c: サマリの更新を改良する Sergey Vlasov さん
	  からのパッチを適用(thanks!)。表示されているメッセージの位置が
	  保持される。選択、表示されているメッセージも同様に保持される。
	  summary_get_msgnum(): 新規。
	  summary_get_current_msgnum(): 削除。
	  summary_select_by_msgnum(): メッセージを表示しないようにした。
	* src/account.c: 「全受信」カラムを追加。
	  account_clist_set_row(): 通常使用と全受信のフラグをマークアイコン
	  で表示。
	* src/utils.c: to_human_readable(): MB と GB の小数点以下の桁数
	  を 2 に増加。

2001-08-13

	* 待望の :)「差出人をアドレス帳に追加」機能を実装。
	* src/address.[ch]: address_item_new() に備考のための引数を追加。
	  address_get_folder_list(): 新規。アドレスツリーをトラバースし、
	  フォルダのリストを返す。
	  address_delete_object(): ツリーからノードを削除するように修正。
	* src/addressbook.[ch]: addressbook_add_submenu(): 新規。アドレス
	  フォルダのメニューを作成し、それをメニューアイテムに付加する。
	  addressbook_refresh(): アドレス帳のフォルダツリーを再読込する。
	* src/summaryview.c: summary_set_add_sender_menu(): 新規。差出人
	  をアドレス帳に追加するためのメニューを付加する。
	  summary_button_pressed(): メニューをポップアップする前に
	  summary_set_add_sender_menu() を呼ぶようにした。

2001-08-12

	* src/summaryview.c: summary_thread_build(): プロセスを固まらせる
	  バグを修正。初期のスレッド構築を最適化。

2001-08-12

	* src/summaryview.c: 多数のコードの整理を行った。
	  summary_show(): シグナルハンドラを切断/接続する代わりにブロック/
	  ブロック解除するようにした。
	  summary_set_row_marks(): 閉じたノードが未読マークの付いた子を
	  持っていればフォントをボールドで表示するようにした。
	  summary_thread_build(): 処理中に tree_expand シグナルをブロック
	  するようにした。再帰関数の代わりにループを使用するようにした。
	  閉じたノードを正しくマークするようにした。
	  summary_unthread(): 処理中に tree_collapse シグナルをブロック
	  するようにした。再帰関数の代わりにループを使用するようにした。
	  summary_thread_func(), summary_unthread_func(): 削除。
	  summary_tree_expanded(), summary_tree_collapsed(): 新規コール
	  バック関数。
	* src/inc.[ch]: inc_pop3_session_do(): 接続に失敗したときに警告パネル
	  を表示しないようにした。ダイアログにより詳細な状態を表示する
	  ようにした。

2001-08-10

	* src/folderview.c: folderview_update_all_node(): 新規。全ての
	  ローカルフォルダを更新する。
	* src/inc.c: scan_all_after_inc オプションがセットされていれば
	  受信後にローカルフォルダを更新するようにした。
	* src/prefs_common.[ch]: scan_all_after_inc オプションを追加。
	* src/folder.h: FOLDER_IS_LOCAL(): 新規マクロ。

2001-08-09

	* src/defs.h
	  src/headerview.c
	  src/headerwindow.c
	  src/textview.c
	  src/prefs_common.c
	  src/prefs_common.h: ボールドと小フォントを設定可能にした。
	  src/summaryview.c: 未読メッセージをボールドフォントで表示する
	  ようにした。
	* src/prefs_common.c
	  src/prefs_common.h
	  src/summaryview.c: 未読メッセージの強調を有効/無効にするオプション
	  を追加。

2001-08-08

	* src/pixmaps/mark.xpm: 修正。
	* src/gtkutils.[ch]: gtkut_ctree_expand_parent_all(): 新規。
	* src/summaryview.c: summary_set_ctree_from_list(): パフォーマンス
	  向上のためにスレッドのルートメッセージを展開しないようにした。
	  summary_show()
	  summary_select_next_unread()
	  summary_step(): メッセージを開くときにスレッドを展開するようにした。
	  summary_thread_build(): オプションが ON になっていたらスレッドを
	  展開するようにした。
	* src/prefs_common.[ch]: 「スレッドを展開する」オプションを追加。

2001-08-08

	* src/prefs_common.c: 「Emacs上のメーラのマウス操作時の挙動を
	  エミュレートする」を削除。
	* src/prefs_common.c
	  src/prefs_account.c: VSPACING_NARROW の値を 3 に変更。
	* src/pixmaps/new.xpm
	  src/pixmaps/unread.xpm: 元に戻した。

2001-08-07

	* src/address.[ch]:
	  address_folder_new()
	  address_group_new()
	  address_item_new(): 戻り値を AddressObject に変更。
	  address_build_tree(): file の assertion を出さないようにした。
	* src/pixmaps/new.xpm
	  src/pixmaps/unread.xpm: 少し修正。

2001-08-06

	* src/addressbook.c: いくつかのバグを修正。

2001-08-06

	* アドレス帳のロジック部分を別モジュールに分離(現在進行中)。
	* src/address.[ch]: 新規。アドレス帳のロジック部分を含む。
	* src/addressbook.[ch]: ロジック部分を削除。

2001-08-04

	* src/textview.c: textview_show_header(): ヘッダ名の後にゴミ文字が
	  表示されるバグを修正。

2001-08-02

	* src/inc.c: inc_start(): 致命的でないエラーで中断しないようにした。

2001-08-01

	* version 0.5.2

2001-08-01

	* src/mimeview.c: mimeview_view_file(): メインプロセスのサスペンド
	  を防ぐために metamail に -x オプションを追加。
	  mimeview_button_pressed(): content-type が application/octet-stream
	  の場合は `開く' メニュー項目を選択不可にした。

2001-07-31

	* src/imap.c: imap_parse_atom(): エスケープされた文字を正しく処理
	  するようにした。
	  get_quoted(): 新規。エスケープ文字 '\' を処理する。
	* src/folder.c: folder_read_list(): folderlist.xml が存在しない
	  場合警告を出力しないようにした。
	* src/main.c: main(): セットアップの後フォルダリストを書き出すよう
	  にした。
	* src/textview.c: textview_create()
	  src/compose.c: compose_create(): デフォルトのタブ幅を8にした。

2001-07-29

	* src/prefs_common.c: date_format_select_row(): リストをキーで選択
	  したときに segfault を起こすバグを修正。

2001-07-28

	* src/mainwindow.c: main_window_popup(): ポップアップ時にウィンドウ
	  を非アイコン化するようにした。
	* src/procmime.c: procmime_scan_mime_type(): 新規。
	  procmime_scan_content_type(): procmime_scan_mime_type() を使用
	  するようにした。
	  procmime_scan_mime_header(): Content-Type が
	  "application/octet-stream" の場合は添付ファイルの拡張子を調べて
	  正しい MIME タイプを付けるようにした。

2001-07-27

	* src/prefs_common.c: date_format_create(): ダイアログのレイアウト
	  を修正。

2001-07-26

	* src/account.c: account_find_from_address(): マイナーなバグを修正。
	* src/prefs_common.c: claws ブランチから日付の形式の設定のユーザ
	  インタフェースを取り込み、いくつかの修正を加えた。

2001-07-25

	* src/account.[ch]: account_edit_create(): デフォルトボタンの文字列
	  を修正。
	  account_find_from_address(): 新規。
	* src/procmime.c:
	  procmime_scan_content_type(), procmime_scan_content_disposition():
	  ESC コード検出を修正。
	* src/compose.c: compose_reply(): メッセージヘッダに従ってアカウント
	  を自動的に選択するようにした。
	* src/prefs_common.[ch]: メンバ "reply_account_autosel" を追加。

2001-07-25

	* src/progressdialog.c: CList をスクロール可能にした。
	* src/inc.c: inc_start(): 致命的でないエラーで中断しないようにした。

2001-07-24

	* Paul Kater さん作の英語版 Sylpheed User's Manual (paul@nlpagan.net)
	  を追加(thanks!)。
	* configure.in
	  manual/Makefile.am
	  src/mainwindow.c: 英語版マニュアルに対応。
	* manual/en/sylpheed*.html: 英語の文書を追加。
	* AUTHORS: 更新。

2001-07-23

	* src/nntp.c: nntp_ok(): 後に続くメッセージを持たない応答を処理
	  できないバグを修正。
	* src/smtp.c: smtp_ok(): 同上。
	* src/compose.c: compose_account_option_menu_create(): アカウント
	  オプションメニューの表示形式を変更。

2001-07-22

	* src/prefs_customheader.c: prefs_custom_header_clist_set_row():
	  文字列から改行コードを自動的に取り除くようにした。
	  prefs_custom_header_create(): デフォルトの選択肢に "X-Face" を
	  追加。
	* src/news.c: news_fetch_msg(), news_get_group_list()
	  src/imap.c: imap_fetch_msg(): 書き込みの前にキャッシュディレクトリ
	  を作成するようにした。
	* src/procmime.c:
	  procmime_scan_content_type()
	  procmime_scan_content_disposition(): パース前に JIS を EUC-JP
	  に変換するようにした。
	* src/codeconv.c: conv_unmime_header(): 少しコードを整理。
	* src/compose.c: 添付ペインが表示されているがリストが空の場合は
	  添付ヘッダを付けないようにした。
	* src/recv.c: recv_bytes_write(): alloca() の代わりに g_malloc()
	  を使用するようにした。

2001-07-18

	* version 0.5.1

2001-07-18

	* src/compose.c: compose_quote_parse_fmt()
	  src/prefs_common.c: prefs_quote_description_create(): Cc を
	  返信フォーマットに含める記号 `%c' を追加(Cyril Bellot さん thanks)。
	* src/base64.[ch]
	  src/procmime.c: procmime_decode_content(): 通常の行長(4の倍数)では
	  ない base64 データをデコードできるようにする Sergey Vlasov さん
	  からのパッチを適用(thanks!)。

2001-07-17

	* src/procmsg.[ch]: 永続フラグと一時フラグを2つの変数に分離し、
	  MsgFlags をそれらを含む構造体にした。
	  MSG_SET_PERM_FLAGS()
	  MSG_SET_TMP_FLAGS()
	  MSG_UNSET_PERM_FLAGS()
	  MSG_UNSET_TMP_FLAGS(): 新規マクロ。
	* src/compose.c
	  src/imap.c
	  src/inc.c
	  src/messageview.c
	  src/mh.c
	  src/news.c
	  src/procheader.c
	  src/summaryview.c: 新しい MsgFlags のために変更。
	* src/utils.[ch]: hash_free_value_mem(): 新規。ハッシュテーブルの
	  値を解放する。

2001-07-16

	* src/inc.c: inc_pop3_recv_func(), inc_progress_update():
	  現在のサイズを人間が読みやすい形式で表示。
	* src/grouplistdialog.c: grouplist_recv_func(): 同上。
	* TODO
	  TODO.jp: 更新。

2001-07-16

	* src/codeconv.c:
	  conv_unmime_header(), conv_unmime_header_overwrite(): ヘッダ
	  フィールドの生 JIS コードに対する対処。
	* src/folder.c:
	  folder_get_default_folder()
	  folder_get_default_inbox()
	  folder_get_default_outbox()
	  folder_get_default_draft()
	  folder_get_default_queue()
	  folder_get_default_trash(): folder_list が NULL のときに segfault
	  を起こすバグを修正。

2001-07-15

	* README
	  README.jp
	  INSTALL
	  INSTALL.jp
	  TODO
	  TODO.jp: 更新。
	* src/grouplistdialog.c: grouplist_dialog_set_list(): ニュース
	  グループのリストを受信中に UI を更新するようにした。
	  grouplist_dialog_create(): エントリウィジェットとステータスラベル
	  を追加。
	  grouplist_recv_func(): 新規。
	  refresh_clicked(): 排他ロック変数を追加。
	  clist_selected(): CList が選択されたらテキストエントリをセットする
	  ようにした。 group_clist_select() から改名。
	  entry_activated(): 新規。
	  grouplist_clear(): grouplist_free() から改名。リストとエントリ
	  ウィジェットもクリアするようにした。
	* src/news.c: news_get_group_list(): リストの追加を高速化
	  (g_slist_append() はリストのサイズが大きくなると非常に遅くなる)。
	* src/defs.h: UI_REFRESH_INTERVAL の定義を追加。
	  NEWSGROUP_LIST の定義を変更。
	* src/recv.c: recv_write()
	  src/send.c: send_message_smtp(): UI の更新間隔を UI_REFRESH_INTERVAL
	  (50msec) に変更。
	* src/account.c: account_add(): ニュースアカウントを追加したときに
	  フォルダツリーを更新していなかったバグを修正。
	* src/grouplistdialog.c: 排他ロック変数をグローバルにし、
	  grouplist_dialog_set_list() でロックするようにした。
	* src/textview.c: メッセージの色を無効にしたときにクリッカブル URI
	  も無効になっていたバグを修正。

2001-07-15

	* src/grouplistdialog.c: ok_clicked(), cancel_clicked():
	  gtk_main_level() が 1 ならメインループを抜けないようにした。
	  grouplist_dialog_set_list(): リストの追加中に CList をフリーズ
	  するようにした。
	  grouplist_dialog(): リストを更新する前にダイアログを表示する
	  ようにした。

2001-07-14

	* src/folder.c: folder_write_list_recursive(): ノードが子を持って
	  いれば `collapsed' 属性を追加するようにした。
	* src/grouplistdialog.[ch]: 新規。ニュースグループを一覧から選択
	  可能。
	* src/news.[ch]
	  news_get_group_list(): 新規。ニュースグループのリストを返す。
	  news_remove_group_list(): 新規。ニュースグループリストのキャッシュ
	  を削除する。
	* src/folderview.c: folderview_new_news_group_cb(): input_dialog()
	  の代わりに grouplist_dialog() を呼ぶようにした。

2001-07-12

	* autogen.sh: 修正。
	* src/folder.[ch]
	  src/folderview.c: フォルダの開閉状態が保存されるようにした
	  (Alfons さん thanks)。

2001-07-06

	* version 0.5.0

2001-07-06

	* src/imap.c: imap_remove_folder(): DELETE の前に EXAMINE で INBOX
	  を選択するようにした。
	  imap_cmd_do_select(): 新規。引数に応じて SELECT と EXAMINE を
	  切り替える。
	  imap_cmd_select(): imap_cmd_do_select() を使用するようにした。
	  imap_cmd_examine(): 新規。
	* src/folderview.c: folderview_rm_imap_folder_cb(): 削除に失敗したら
	  現在のフォルダを再度選択するようにした。

2001-07-05

	* version 0.5.0pre4

	* manual/ja/sylpheed.sgml
	  manual/ja/*.html: 日本語マニュアルを更新(今井さん thanks)。
	* src/summaryview.c: summary_set_row_marks(): フォアグラウンドを
	  正しく指定していなかったバグを修正。
	* src/folderview.h
	  src/summaryview.h: color_normal メンバを FolderView と SummaryView
	  から削除。
	* src/mainwindow.c: main_window_create(): color_normal を削除。

2001-07-04

	* src/prefs_account.[ch]: IMAP4 と NNTP のポート番号を指定可能にした。
	* src/imap.c: imap_session_get()
	  src/news.c: news_session_new_for_folder(), news_session_get():
	  指定されていればユーザ定義のポート番号を使用するようにした。

2001-07-03

	* src/imap.c: imap_scan_tree_recursive(): スキャン中にメールボックス
	  のステータスを取得するようにした。
	  imap_scan_folder(): 実装。新着、未読、合計のメッセージ数を更新する。
	  imap_status(): 新規。 STATUS コマンドの応答を解析する。
	  imap_status_uidnext(): 削除。
	  imap_cmd_status(): 削除。
	* src/textview.c: textview_show_part(): 潜在的なメモリリークを修正。

2001-07-03

	* src/alertpanel.c: alertpanel_create(): メッセージが途切れるのを修正。
	* src/rfc2015.c: rfc2015_decrypt_message(): content-type の大小文字
	  問題を修正(この patch に関して Rene Rebe さん thanks)。
	* src/codeconv.c: code_get_code_conv_func(): ISO-8859-1 の検出部を
	  修正。
	* src/prefs_common.c: prefs_send_create(): libjconv 未使用時に
	  追加でいくつかの文字コードセットを指定できるようにした。
	* configure.in: 一時的に --enable-threads を無効にした。
	* INSTALL
	  INSTALL.jp: --enable-threads オプションについての記述を削除。

2001-07-01

	* version 0.5.0pre3

	* src/folderview.[ch]: folderview_set_all(): 新規。
	* src/account.c: account_add(): IMAP4 ツリーを作成した後
	  folderview_set_all() を呼ぶようにした。
	  account_edit_create(): リストをダブルクリックしてアカウントの設定
	  ダイアログを開けるようにした。
	  account_selected(): 新規。
	  account_clist_set(): CList のフォーカスを正しくセットするようにした。

2001-06-30

	* src/imap.c: imap_scan_tree(): trash が見つからなければ
	  imap_create_tree() を呼ぶようにした。
	  imap_scan_tree_recursive(): INBOX のサブフォルダを探すようにした。
	  Trash フォルダを認識するようにした。
	  imap_create_tree(): trash を作成する部分を分割した。
	  imap_create_trash(): 新規。
	* src/folder.c: folder_build_tree(), folder_write_list_recursive():
	  no_sub と no_select を保存するようにした。
	* src/summaryview.c: summary_show(): item->no_select が真の場合
	  続行しないようにした。

2001-06-29

	* src/imap.c: imap_scan_tree(): ルートフォルダを正しくセットして
	  いなかったバグを修正。

2001-06-28

	* src/folderview.[ch]:
	  folderview_update_tree(): 新規。一つのフォルダツリーを更新する。
	  folderview_update_tree_cb(): 新規。
	  「フォルダツリーを更新」をポップアップメニューに追加し、表現を
	  いくつか変更。

2001-06-27

	* src/imap.c: IMAP4 フォルダリストの自動スキャンを実装。
	  imap_scan_tree(): 新規。 IMAP4 フォルダ全体をスキャンする。
	  imap_scan_tree_recursive(): 新規。 IMAP4 フォルダツリーを
	  トラバースする。
	  imap_parse_list(): 新規。ローカルパスを IMAP4 パスに変換する。
	* src/folder.h: no_sub と no_select を FolderItem に追加。
	* src/folder.c: folder_tree_destroy(): 変数をいくつかリセットする
	  ようにした。
	* src/folderview.c: folderview_scan_tree_func(): IMAP4 に対応。

2001-06-26

	* src/imap.c: imap_parse_envelope(): 次の行に続く FETCH 応答を
	  解析できなかったバグを修正。
	  imap_parse_fetch_element(): 削除。
	  imap_parse_atom(), imap_parse_one_address(), imap_parse_address(),
	  imap_parse_envelope(), imap_get_uncached_messages(): FETCH 応答
	  を解析するために GString と sock_getline() を使用するようにした。
	  imap_remove_all_msg(): メッセージを正しく削除していなかったバグを
	  修正。
	  imap_parse_address(): アドレスを正しく結合していなかったバグを
	  GString を使用して修正。
	* src/socket.[ch]: sock_getline(), fd_getline(): 新規。行全体を
	  読み込み、新規にアロケートされた文字列を返す。
	* src/prefs_account.[ch]: 「IMAPサーバディレクトリ」エントリを追加。

2001-06-25

	* version 0.5.0pre2

	* src/imap.c: imap_create_tree(): imap_create_folder() にローカル
	  ファイルシステムのセパレータで区切られているパスを渡すようにした。
	  imap_create_folder(): STATUS コマンドの代わりに LIST を使って
	  フォルダの存在を調べるようにした。
	  imap_cmd_list(): 新規。
	  imap_query_password(): 新規。
	  imap_session_new(): パスワードが設定されていなければ尋ねるように
	  した。

2001-06-24

	* src/imap.c: imap_parse_envelope(): FETCH の結果を任意の順序で
	  解析できるようにした。
	  imap_parse_fetch_element(): 新規。 FETCH の結果の名前と値のペア
	  を解析する。
	  imap_parse_flags(): より柔軟性を持たせるために修正。
	* src/utils.[ch]: set_log_file(): 新規。ロギングのために新しい
	  ファイルを開く。
	  close_log_file(): 新規。開いたログファイルを閉じる。
	  log_print(), log_message(), log_warning(), log_error(): ログ
	  ファイルにも出力するようにした。

2001-06-22

	* src/imap.c: imap_cmd_status(): 代入の前に "value" へのポインタを
	  チェックするようにした(西島さん thanks)。

2001-06-21

	* src/folderview.c: folderview_drag_motion_cb(): MH と IMAP4 フォルダ
	  間の DnD が(今のところ)できないようにした(平松さん thanks)。
	* src/foldersel.[ch]: 現在のフォルダの対象になれないフォルダを
	  表示しないようにした。

2001-06-20

	* version 0.5.0pre1

	* src/imap.c
	  imap_get_msg_list()
	  imap_cmd_envelope()
	  imap_cmd_fetch()
	  imap_cmd_copy()
	  imap_cmd_store(): 連番の代わりに UID を使用するようにした。
	  imap_set_article_flags() を imap_set_message_flags() に名称変更。
	* src/summaryview.c: summary_execute(): 現在のフォルダが IMAP4
	  でもサマリを更新しないようにした。
	* src/utils.[ch]: remove_numbered_files(): 引数の型を gint から
	  guint にした。

2001-06-19

	* src/imap.c: imap_cmd_login(), imap_cmd_select(), imap_cmd_status(),
	  imap_cmd_create(), imap_cmd_delete(), imap_cmd_copy(): 文字列
	  にスペースが入っていなければダブルクォーテーションで囲まない
	  ようにした(古い Cyrus IMAP4 server への対処)。
	  imap_create_folder(): セパレータ置換のバグ修正。
	  imap_session_connect_if_not() を imap_session_get() に名称変更。
	  imap_get_msg_list(): use_cache が off のときは全てのキャッシュ済
	  メッセージを削除。
	  imap_delete_cached_messages(): ディレクトリエントリを読んで指定
	  した範囲のキャッシュ済ファイルを削除するようにした。
	  imap_parse_one_address(): fromname が空の場合は差出人アドレスと
	  同じにするようにした。
	* src/utils.[ch]: remove_numbered_files(): 新規。範囲を指定可能。
	* src/summaryview.c: summary_execute(): 現在のフォルダが IMAP4
	  の場合サマリを更新するようにした。
	  KEY_PRESS_EVENT_STOP(): 新規マクロ。
	  summary_key_pressed(): summary_execute() を呼ぶときにシグナルの
	  発行を止めるようにした。
	  summary_select_by_msgnum(): msg_is_toggled_on が TRUE のときだけ
	  メッセージを表示するようにした。現在のページを選択されたノード
	  のところへ移動するようにした。
	* src/news.c; news_delete_old_articles(): ディレクトリエントリを
	  読んで指定した範囲のキャッシュ済ファイルを削除するようにした。
	* src/folderview.c:
	  folderview_selected(), folderview_button_released(): フォルダを
	  正しく選択しなかったバグを修正。

2001-06-18

	* src/mainwindow.c
	  src/summaryview.c
	  src/prefs_common.c: 英語表現の改善(Paul Mangan さん thanks)。
	* src/mainwindow.c: compose_cb()
	  src/summaryview.c: summary_key_pressed()
	  src/compose.c: compose_new_with_recipient(): 新規記事を作成する
	  ときにニュースグループのエントリを自動的に埋めるようにした。

2001-06-17

	* src/procmsg.c: procmsg_msg_list_free(): リストを正しく解放して
	  いなかったバグを修正。

2001-06-16

	* version 0.4.99

	* src/imap.c: imap_find_namespace(): namespace のパス区切りを
	  比較の前にスラッシュで置換するようにした。
	  imap_remove_folder(): namespace を使用。
	  imap_create_tree(): Trash を作成するときに namespace を使うように
	  した。
	  imap_get_msg_list(): exists == 0 のときに古いリストを返しメモリ
	  リークを起こしていたバグを修正。
	  imap_select(): 新規。 imap_cmd_select() のラッパー。
	* src/foldersel.c: foldersel_set_tree(): IMAP4 フォルダも表示する
	  ようにした。

2001-06-15

	* src/folderview.c:
	  folderview_new_folder_cb()
	  folderview_new_imap_folder_cb(): フォルダの作成または削除に失敗
	  したらエラーダイアログを表示するようにした。
	  サブフォルダを含むフォルダを作成できるようにした。
	  folderview_button_pressed(): 特別な IMAP4 フォルダ上で削除メニュー
	  を無効にした。
	* AUTHORS: claws ブランチから取込。全ての contributor を含んでいる。
	* src/send.c: キャンセルを有効にした。
	  EXIT_IF_CANCELLED(): 新規マクロ。
	  SendProgressDialog に cancelled フラグを追加。
	* src/utils.[ch]: strtailchomp(): 新規。末尾の指定した文字を取り除く。
	* src/imap.c: imap_cmd_fetch(): MS Exchange 2000 サーバのための修正。

2001-06-15

	* src/imap.c: imap_create_tree(): 新規。 INBOX や Trash のような
	  必要なフォルダを作成する。
	  imap_do_copy(), imap_do_copy_msgs_with_dest(): COPY が失敗したら
	  expunge しないようにした。
	  imap_remove_all_msg(): exists == 0 ならすぐに return するように
	  した。
	* src/account.c: account_add(), account_set_missing_folder():
	  folder->create_tree() を使用するようにした。

2001-06-14

	* src/imap.c: さらに namespace を実装。
	* imap_find_namespace(), imap_path_separator_subst(): 新規。

2001-06-13

	* src/imap.c: imap_parse_namespace(), imap_cmd_namespace(): 新規。

2001-06-11

